--Set Values
local G 			= GLOBAL
G.MarkMod 			= {}
local M 			= G.MarkMod
G.CMM				= false
G.AlwaysOnStatus 	= false
G.NightmaresTab 	= false
G.RPGHUD 			= false
G.StatusPLUS 		= false
G.SeasonClock 		= false

--Checking for DST and ROG
local is_dst
local is_rog
function IsDST()
    if is_dst == nil then
        is_dst = G.kleifileexists("scripts/networking.lua") and true or false
    end
    return is_dst
end
function IsROG()
	if is_rog == nil then
		is_rog = G.IsDLCEnabled(G.REIGN_OF_GIANTS) and true or false
	end
	return is_rog
end
G.DST = IsDST()
G.ROG = IsROG()

--Name Mod Configuration Variables
M.CustomIntro 	= GetModConfigData("Custom Maxwell Intro")
M.SwearControl 	= GetModConfigData("Swear Control")
M.ManiacChance 	= GetModConfigData("The Key Maniac Chance")
M.ManiacWarn	= GetModConfigData("Maniac Warning")
M.HeroChance 	= GetModConfigData("HoodedHero Chance")
M.HeroHealth	= GetModConfigData("HoodedHero Difficulty")
M.DarkThresh 	= GetModConfigData("Darkiplier SanityThreshold")
M.WarFXSize 	= GetModConfigData("Warfstache SparkleFX Size")
M.WarfMinis		= GetModConfigData("Warfminis")
M.WadeTest		= GetModConfigData("Wade Test Mode")
M.BobTest		= GetModConfigData("Bob Test Mode")
M.PooFish		= GetModConfigData("Poo The Fishes?")

--Look for other mods
for k,v in ipairs(G.KnownModIndex:GetModsToLoad()) do 
	local Mod = G.KnownModIndex:GetModInfo(v).name
	if Mod == "Corrupt Memories" then
		G.CMM = true
	end
	if Mod == "Always On Status" then 
		G.AlwaysOnStatus = true
	end
	if Mod == "Nightmares Tab" then
		G.NightmaresTab = true
	end
	if Mod == "RPG HUD" then
		G.RPGHUD = true
	end
	if Mod == "StatusPlus" then
		G.StatusPLUS = true
	end
	if Mod == "Season Clock" then
		G.SeasonClock = true
	end
end

--This table is for ~ALOT~ less repeating
G.ModCharacters = {
	"markiplier",
	"lordminion777",
	"muyskerm",
	--"yamimash",
	"darkiplier",
	--"santiplier"
	"wilford"
}

--Prefab Table
local TemporaryPrefabTable = {}
local MarkimodPrefabs = {
	markiplier = {
		"tinyboxtim",
		"tinytimdevice",
		"warfstache",
		"hoodedhero",
		"blacksmithkey",
		"blacksmithsafe",
		"blacksmithplatinum",
		"blacksmithsword_blueprint",
		"blacksmithsword",
		"blacksmithnote",
		"patientbab",
		"heartbox",
		"new_heart",
		"fedora",
		"operatingtool"
	},
	lordminion777 = {
		"punbook",
		"clonerpowersource",
		"tedcloner",
		"ted"
	},
	muyskerm = {
		"lexi",
		"lexitoy",
		"muyskermgun"
	},
	yamimash = {
		
	},
	darkiplier = {
		"googlepiece",
		"googleirl",
		"chromesword"
	},
	santiplier = {
		"pinkfuzz",
		"booze",
		"thrownbooze"
	},
	wilford = {
		"warfstaff",
		"poofgun",
		"poofgun_broken",
		"warflower",
		"warfmini",
		"warfbug",
		"warfbug_dead",
		"warfbutter",
		"warfmuffin"
	},
	other = {
		"markfx",
	}
}

--Asset Tables
local TemporaryAssets = {
	Asset("SOUNDPACKAGE", "sound/markiplier_sounds.fev"),
	Asset("SOUND", "sound/markiplier_sounds_bank00.fsb"),
	Asset("ANIM", "anim/chester_warfstache_build.zip"),
	Asset("ANIM", "anim/warfbone.zip"),
	Asset("ANIM", "anim/stache.zip")
}

local MarkimodImages = {
	{--UI Images
		"blood_menu",
		"blood_button",
		"greyoverlay",
		"willybox",
		"dontstarveglobe"
	},
	{ --InventoryImages
		"warfstache",
		"tinytimdevice",
		"blacksmithkey",
		"blacksmithsword",
		"blacksmithplatinum",
		"blacksmithnote",
		"fedora",
		"new_heart",
		"operatingtool",
		"chester_warfbone",
		"chester_warfbone_closed",
		
		"tedcloner",
		"clonerpowersource",
		"punbook",

		"lexitoy",
		"muyskerm_scope",
		"muyskerm_pistol",
		"muyskermpistol1",
		"muyskermpistol2",
		"muyskermpistol3",
		"muyskerm_ammo_1",
		"muyskerm_ammo_2",
		"muyskerm_ammo_3",

		"poofgun",
		"poofgun_broken",
		"warfstaff",
		"warfstaff_empty",
		"warfbug",
		"warfbug_dead",
		"warfbutter",
		"warfmuffin",
		"warfmini",
		
		"googleirl",
		"googleirlitem",
		"chromesword",
		"googlepiece",

		"booze",
		"pinkfuzz"
	},
	{ --Minimap
		"markipliertwo",
		"markiplierthree",
		"markiplierfour",
		"markiplierfive",
		"blacksmithsafe",
		"blacksmithnote",
		"tinyboxtim",
		"tinywarfboxtim",
		"euphoricboxtim",
		"euphoricwarfboxtim",
		"tinywarfboxtim",
		"tinytimdevice",
		"warfstache",
		"fedora",
		"patientbab",
		
		"tedcloner",
		
		"lexitoy",
		
		"googleirl",

		"warfchester"
	}
}

--Throw correct tables into temps and call them
for k,v in pairs(G.ModCharacters) do table.insert(TemporaryPrefabTable, v.."/"..v) end
for key,value in pairs(MarkimodPrefabs) do
	for k,v in pairs(value) do
		table.insert(TemporaryPrefabTable, key.."/"..v)
	end
end

local filetypes = {
	{"IMAGE", ".tex"},
	{"ATLAS", ".xml"},
	"images/",
	"images/inventoryimages/",
	"minimap/"
}

for i = 1,3 do
	for k,v in pairs(MarkimodImages[i]) do
		for o = 1,2 do
			table.insert(TemporaryAssets, Asset( filetypes[o][1], filetypes[(i + 2)]..v..filetypes[o][2] ))
		end
	end
end

for k,v in pairs(G.ModCharacters) do
	for o = 1,2 do
		table.insert(TemporaryAssets, Asset( filetypes[o][1], "images/saveslot_portraits/"..v..filetypes[o][2] ))
		table.insert(TemporaryAssets, Asset( filetypes[o][1], "images/selectscreen_portraits/"..v..filetypes[o][2] ))
		table.insert(TemporaryAssets, Asset( filetypes[o][1], "images/selectscreen_portraits/"..v.."_silho"..filetypes[o][2] ))
		table.insert(TemporaryAssets, Asset( filetypes[o][1], "bigportraits/"..v..filetypes[o][2] ))
		table.insert(TemporaryAssets, Asset( filetypes[o][1], "minimap/"..v..filetypes[o][2] ))
	end
end

PrefabFiles = TemporaryPrefabTable
Assets = TemporaryAssets

--Adding Minimap atlases and Remapping Sounds
for k,v in pairs(MarkimodImages[3]) do
	AddMinimapAtlas("minimap/"..v..".xml")
end

for k,v in pairs(G.ModCharacters) do
	AddMinimapAtlas("minimap/"..v..".xml")
	
	--RemapSoundEvent( "dontstarve/characters/"..v.."/death_voice", "markiplier_sounds/characters/"..v.."/death_voice" )
	--RemapSoundEvent( "dontstarve/characters/"..v.."/hurt", "markiplier_sounds/characters/"..v.."/hurt" )
	--RemapSoundEvent( "dontstarve/characters/"..v.."/talk_LP", "markiplier_sounds/characters/"..v.."/talk_LP" )
end

RemapSoundEvent( "dontstarve/characters/markiplier/death_voice", "markiplier_sounds/characters/markiplier/death_voice" )
RemapSoundEvent( "dontstarve/characters/markiplier/hurt", "markiplier_sounds/characters/markiplier/hurt" )
RemapSoundEvent( "dontstarve/characters/markiplier/talk_LP", "markiplier_sounds/characters/markiplier/talk_LP" )
RemapSoundEvent( "dontstarve/characters/wilford/death_voice", "markiplier_sounds/characters/wilford/death_voice" )
RemapSoundEvent( "dontstarve/characters/wilford/hurt", "markiplier_sounds/characters/wilford/hurt" )
RemapSoundEvent( "dontstarve/characters/wilford/talk_LP", "markiplier_sounds/characters/wilford/talk_LP" )
RemapSoundEvent( "dontstarve/characters/santiplier/death_voice", "markiplier_sounds/characters/santiplier/death_voice" )
RemapSoundEvent( "dontstarve/characters/santiplier/hurt", "markiplier_sounds/characters/santiplier/hurt" )
RemapSoundEvent( "dontstarve/characters/santiplier/talk_LP", "markiplier_sounds/characters/santiplier/talk_LP" )
RemapSoundEvent( "dontstarve/characters/darkiplier/death_voice", "markiplier_sounds/characters/darkiplier/death_voice" )
RemapSoundEvent( "dontstarve/characters/darkiplier/hurt", "markiplier_sounds/characters/darkiplier/hurt" )
RemapSoundEvent( "dontstarve/characters/darkiplier/talk_LP", "markiplier_sounds/characters/darkiplier/talk_LP" )

--import everything else
modimport "scripts/postinits/wilfordbutton.lua"
modimport "scripts/postinits/warfstachebadge.lua"
modimport "scripts/postinits/markimod_crafting.lua"
modimport "scripts/postinits/wilford_penaltyandbonus.lua"
modimport "scripts/postinits/chester.lua"
modimport "scripts/postinits/markimod_actions.lua"
modimport "scripts/speech/markimod_strings.lua"
modimport "scripts/postinits/markimod_stategraphs.lua"
modimport "scripts/speech/tinyboxtimspeech.lua"
modimport "scripts/speech/googleirlspeech.lua"
modimport "scripts/postinits/maxwellintros.lua"

--Add Characters
function ModPlayerProfile(PlayerProfile)
    function PlayerProfile:IsCharacterUnlocked(character)
        if character == "wilson" then
            return true
        end
        if self.persistdata.unlocked_characters[character] then
            return true
        end
        if not table.contains(CHARACTERLIST, character) and character ~= "wilford" then
            return true
        end
        return false
    end
end
AddGlobalClassPostConstruct("playerprofile", "PlayerProfile", ModPlayerProfile)

for k,v in pairs(G.ModCharacters) do
	table.insert(GLOBAL.CHARACTER_GENDERS.MALE, v)
	AddModCharacter(v)
end