local GirlLight = Class(function(self, inst)
	self.inst = inst
	self.currentstate = "on"
end)

function GirlLight:OnSave()
	return {current = self.currentstate}
end

function GirlLight:OnLoad(data)
	self.currentstate = data.current or self.currentstate
end

function GirlLight:State()
	return self.currentstate
end

function GirlLight:CanCycle()
	return self.inst.components.girltransformer.currentstate == "on"
end

function GirlLight:Cycle(owner)
	if self:State() == "off" then
		self.currentstate = "on"
		if self.inst.Light:IsEnabled() == false and self.inst:checkdark() then self.inst:turnon(self.inst, nil) end
		self.inst.components.talker:Say("I will now enable my light in the dark.")
	else
		self.currentstate = "off"
		if self.inst.Light:IsEnabled() == true then self.inst:turnoff(self.inst, nil) end
		self.inst.components.talker:Say("I will not enable my light anymore.")
	end
end

function GirlLight:CollectInventoryActions(doer, actions)
	if self:CanCycle() and TheInput:IsKeyDown(KEY_CTRL) then
		if self:State() == "off" then table.insert(actions, ACTIONS.GIRL_LIGHT_ON)
		else table.insert(actions, ACTIONS.GIRL_LIGHT_OFF) end
	end
end

function GirlLight:CollectSceneActions(doer, actions)
	if self:CanCycle() and TheInput:IsKeyDown(KEY_CTRL) then
		if self:State() == "off" then table.insert(actions, ACTIONS.GIRL_LIGHT_ON)
		else table.insert(actions, ACTIONS.GIRL_LIGHT_OFF) end
	end
end

return GirlLight