local GirlTransformer = Class(function(self, inst)
	self.inst = inst
	self.currentstate = "on"
end)

function GirlTransformer:OnSave()
	return {current = self.currentstate}
end

function GirlTransformer:OnLoad(data)
	self.currentstate = data.current or self.currentstate
end

function GirlTransformer:State()
	return self.currentstate
end

function GirlTransformer:CanCycle()
	if self.inst.components.inventoryitem then
		return TheInput:IsKeyDown(KEY_CTRL)
	else
		return not TheInput:IsKeyDown(KEY_CTRL)
	end
end

function GirlTransformer:Cycle(owner)
	if self:State() == "on" then
		self.currentstate = "off"
		if self.inst.Light:IsEnabled() == "true" then self.inst:turnoff() end
		if self.inst.components.chatterbox.run_convo == true then self.inst.components.chatterbox:Cancel_Convo() end
		self.inst.components.talker:ShutUp()
		self.inst.components.talker:Say("SHUTTING DOWN")
		self.inst:ClearBufferedAction()
		self.inst.Physics:Stop()
		self.inst.components.locomotor:Stop()
		self.inst.AnimState:SetBank("googleirl_transform")
		self.inst.AnimState:SetBuild("googleirl_transform")
		self.inst.sg:GoToState("transformdown")
	else
		self.currentstate = "on"
		self.inst:removeinventory(self.inst)
	end
end

function GirlTransformer:CollectInventoryActions(doer, actions)
	if not self.inst.components.inventoryitem.owner and self:CanCycle() then
		if self:State() == "off" then table.insert(actions, ACTIONS.GIRL_TRANSFORM_ON) end
	end
end

function GirlTransformer:CollectSceneActions(doer, actions)
	if not self.inst.components.inventoryitem and self:CanCycle() then
		if self:State() == "on" then table.insert(actions, ACTIONS.GIRL_TRANSFORM_OFF) end
	elseif self.inst.components.inventoryitem and self:CanCycle() then
		if self:State() == "off" then table.insert(actions, ACTIONS.GIRL_TRANSFORM_ON) end
	end
end

return GirlTransformer