local Stache = Class(function(self, inst)
    self.inst = inst
    self.max = 100
    self.current = self.max

    self.whimprate = 1
    
    self.burning = true
    self.burnrate = 1 
    self.period = 1
    
    self.task = self.inst:DoPeriodicTask(self.period, function() self:DoDec(self.period) end)
	self.inst:ListenForEvent("respawn", function(inst) self:OnRespawn() end)
	
end)


function Stache:OnRespawn()
	
end

function Stache:OnSave()
    if self.current ~= self.max then
        return {stache = self.current}
    end
end

function Stache:OnLoad(data)
    if data.stache then
        self.current = data.stache
        self:DoDelta(0)
    end
end

function Stache:LongUpdate(dt)
	self:DoDec(dt, true)
end

function Stache:Pause()
    self.burning = false
end

function Stache:Resume()
    self.burning = true
end

function Stache:GetDebugString()
    return string.format("%2.2f / %2.2f", self.current, self.max)
end

function Stache:SetMax(amount)
    self.max = amount
    self.current = amount
end


function Stache:IsWhimp() 
    return self.current <= 0
end

function Stache:DoDelta(delta, overtime, ignore_invincible)
    
    if self.redirect then
        self.redirect(self.inst, delta, overtime)
        return
    end

    if not ignore_invincible and self.inst.components.health.invincible == true or self.inst.is_teleporting == true then
        return
    end

    local old = self.current
    self.current = self.current + delta
    if self.current < 0 then 
        self.current = 0
    elseif self.current > self.max then
        self.current = self.max
    end
    
    self.inst:PushEvent("stachedelta", {oldpercent = old/self.max, newpercent = self.current/self.max, overtime = overtime})
end

function Stache:GetPercent(p)
    return self.current / self.max
end

function Stache:SetPercent(p)
    local old = self.current
    self.current  = p*self.max
    self.inst:PushEvent("stachedelta", {oldpercent = old/self.max, newpercent = p})
end

function Stache:DoDec(dt, ignore_damage)
	
    local old = self.current
    
    if self.burning then
        if self.current <= 0 then
			if not ignore_damage then
			end
        else
            self:DoDelta(self.burnrate*(-self.whimprate*dt), true)

        end
    end
end

function Stache:SetRate(rate)
    self.whimprate = rate
end


return Stache
