local StateCycler = Class(function(self, inst)
	self.inst = inst
	self.states = {}
	self.currentstate = 1
	self.oncyclefn = nil
end)

function StateCycler:OnSave()
	return {current = self.currentstate}
end

function StateCycler:OnLoad(data)
	self.currentstate = data.current or self.currentstate
end

function StateCycler:SetOnCycleFn(fn)
    self.oncyclefn = fn
end

function StateCycler:CanCycle()
	if self.inst.components.equippable then
		return not self.inst.components.equippable.isequipped
	else
		return self.inst
	end
end

function StateCycler:Cycle(owner)
	--[[if self.oncycle then
		self.oncyclefn(self.inst, owner, self.currentstate, self.states)
	end]]
	if self.currentstate < #self.states then
		self.currentstate = self.currentstate + 1
	else
		self.currentstate = self.currentstate - (#self.states - 1)
	end
	self.inst.OnCycle(self.inst, self.currentstate, self.states)
end

function StateCycler:CollectInventoryActions(doer, actions)
	if self:CanCycle() then
		table.insert(actions, ACTIONS.CYCLE_STATE)
	end
end

return StateCycler