local I = GLOBAL.Ingredient
local R = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local GetPlayer = GLOBAL.GetPlayer

AddSimPostInit(function(inst)
    if inst.prefab == "markiplier" then
        local blacksmithplatinum = I( "blacksmithplatinum", 1)
			blacksmithplatinum.atlas = "images/inventoryimages/blacksmithplatinum.xml"
		
		local blacksmithswordrecipe = Recipe( ("blacksmithsword"), {blacksmithplatinum, I("pigskin", 1), I("twigs", 8)}, R.WAR,  {SCIENCE = 9001} )
			blacksmithswordrecipe.atlas = "images/inventoryimages/blacksmithsword.xml"
			blacksmithswordrecipe.sortkey = 1
			
		local operatingtool = Recipe( ("operatingtool"), {I("flint", 5), I("goldnugget", 4), I("houndstooth", 1)}, R.TOOLS, {SCIENCE = 9001} )
			operatingtool.atlas = "images/inventoryimages/operatingtool.xml"
			operatingtool.sortkey = 4
    end

	if inst.prefab == "wilford" then
		local warfmini = I( "warfmini", 10)
			warfmini.atlas = "images/inventoryimages/warfmini.xml"
		
		local warfstaff_empty = I( "warfstaff_empty", 1)
			warfstaff_empty.atlas = "images/inventoryimages/warfstaff_empty.xml"
		
		local poofgun_broken = I( "poofgun_broken", 1)
			poofgun_broken.atlas = "images/inventoryimages/poofgun_broken.xml"
		
		local bugnetrecipe = Recipe( ("bugnet"), {I("twigs", 6), I("silk", 1), I("rope", 2)}, R.SURVIVAL, {SCIENCE = 1} )
			bugnetrecipe.sortkey = 1
		
		local warfstaffrecipe = Recipe( ("warfstaff"), {warfmini, warfstaff_empty}, R.WAR,  {SCIENCE = 0} )
			warfstaffrecipe.atlas = "images/inventoryimages/warfstaff.xml"
			warfstaffrecipe.sortkey = 1
		
		local poofgunrecipe = Recipe( ("poofgun"), {poofgun_broken, I("gears", 3), I("goldnugget", 6)}, R.WAR,  {SCIENCE = 2} )
			poofgunrecipe.atlas = "images/inventoryimages/poofgun.xml"
			poofgunrecipe.sortkey = 2
	end
	
	if inst.prefab == "lordminion777" then
		local clonerpowersource = I("clonerpowersource", 1)
			clonerpowersource.atlas = "images/inventoryimages/clonerpowersource.xml"
			
		if GLOBAL.MarkMod.WadeTest == true then
			local tedcloner = Recipe( ("tedcloner"), {clonerpowersource, I("goldnugget", 5), I("gears", 3)}, R.TOWN, {SCIENCE = 0}, "tedcloner_placer" )
			tedcloner.atlas = "images/inventoryimages/tedcloner.xml"
			tedcloner.sortkey = 1
		else
			local tedclonernontest = Recipe( ("tedcloner"), {clonerpowersource, I("goldnugget", 5), I("gears", 3)}, R.TOWN, {SCIENCE = 2}, "tedcloner_placer" )
			tedclonernontest.atlas = "images/inventoryimages/tedcloner.xml"
			tedclonernontest.sortkey = 1
		end
		
		local punbook = Recipe( ("punbook"), {I("papyrus", 2), I("poop",3), I("silk", 1)}, R.SCIENCE, {SCIENCE = 0} )
			punbook.atlas = "images/inventoryimages/punbook.xml"
			punbook.sortkey = 1
	end
	
	if inst.prefab == "santiplier" then
		local pinkfuzz10 = I( "pinkfuzz", 10)
			pinkfuzz10.atlas = "images/inventoryimages/pinkfuzz.xml"
		local pinkfuzz20 = I( "pinkfuzz", 20)
			pinkfuzz20.atlas = "images/inventoryimages/pinkfuzz.xml"
		
		local boozerecipe = Recipe( ("booze"), {I("spoiled_food", 3), I("wetgoop", 5), I("corn", 2)}, R.SURVIVAL, {SCIENCE = 0} )
			boozerecipe.atlas = "images/inventoryimages/booze.xml"
			boozerecipe.sortkey = 1
	end
	
	if inst.prefab == "darkiplier" then
		local googlepiece = I( "googlepiece", 1)
			googlepiece.atlas = "images/inventoryimages/googlepiece.xml"
		
		local googleirl = Recipe( ("googleirl"), {googlepiece, I("gears", 3), I("nightmarefuel", 5)}, R.WAR, {SCIENCE = 2}, "googleirl_placer" )
		googleirl.atlas = "images/inventoryimages/googleirl.xml"
		googleirl.sortkey = 1
	end
	
	if inst.prefab == "muyskerm" then
		local scope = I( "muyskerm_scope", 1)
			scope.atlas = "images/inventoryimages/muyskerm_scope.xml"
		
		local pistolrecipe = Recipe( ("muyskerm_pistol"), {scope, I("gunpowder", 2), I("gears", 4)}, R.WAR, {SCIENCE = 2} )
			pistolrecipe.atlas = "images/inventoryimages/muyskerm_pistol.xml"
			pistolrecipe.sortkey = 1
		
		if GLOBAL.MarkMod.BobTest ~= true then
			ammorecipetest1 = Recipe( ("muyskerm_ammo_1"), {I("gunpowder", 1), I("stinger", 5), I("rocks", 3)}, R.WAR, {SCIENCE = 2}, nil, nil, nil, 10 )
			ammorecipetest2 = Recipe( ("muyskerm_ammo_2"), {I("gunpowder", 1), I("nightmarefuel", 3), I("goldnugget", 2)}, R.WAR, {SCIENCE = 2}, nil, nil, nil, 15 )
			ammorecipetest3 = Recipe( ("muyskerm_ammo_3"), {I("gunpowder", 1), I("healingsalve", 2), I("honey", 5)}, R.WAR, {SCIENCE = 2}, nil, nil, nil, 10 )
			ammorecipetest1.atlas = "images/inventoryimages/muyskerm_ammo_1.xml"
			ammorecipetest1.sortkey = 2
			ammorecipetest2.atlas = "images/inventoryimages/muyskerm_ammo_2.xml"
			ammorecipetest2.sortkey = 3
			ammorecipetest3.atlas = "images/inventoryimages/muyskerm_ammo_3.xml"
			ammorecipetest3.sortkey = 4
		else
			local ammorecipe1 = Recipe( ("muyskerm_ammo_1"), {I("cutgrass", 1)}, R.WAR, {SCIENCE = 0}, nil, nil, nil, 100 )
			ammorecipe1.atlas = "images/inventoryimages/muyskerm_ammo_1.xml"
			ammorecipe1.sortkey = 2
			local ammorecipe2 = Recipe( ("muyskerm_ammo_2"), {I("twigs", 1)}, R.WAR, {SCIENCE = 0}, nil, nil, nil, 100 )
			ammorecipe2.atlas = "images/inventoryimages/muyskerm_ammo_2.xml"
			ammorecipe2.sortkey = 3
			local ammorecipe3 = Recipe( ("muyskerm_ammo_3"), {I("pinecone", 1)}, R.WAR, {SCIENCE = 0}, nil, nil, nil, 100 )
			ammorecipe3.atlas = "images/inventoryimages/muyskerm_ammo_3.xml"
			ammorecipe3.sortkey = 4
		end
		
		local blueprintrecipe = Recipe( ("blueprint"), {I("papyrus", 2), I("silk", 1)}, R.SCIENCE, {SCIENCE = 0} )
			blueprintrecipe.sortkey = 1
		
		--Since Bob is not as advanced as Wickerbottom we will have to lower random values from certain recipes
		local pickaxerecipe = Recipe( ("pickaxe"), {I("twigs", 2), I("flint", 1)}, R.TOOLS, {SCIENCE = 0} )
		local shovelrecipe = Recipe( ("shovel"), {I("twigs", 1), I("flint", 2)}, R.TOOLS, {SCIENCE = 0} )
		local goldaxerecipe = Recipe( ("goldenaxe"), {I("twigs", 3), I("goldnugget", 1)}, R.TOOLS, {SCIENCE = 1} )
		local goldenpickaxerecipe = Recipe( ("goldenpickaxe"), {I("twigs", 2), I("goldnugget", 2)}, R.TOOLS, {SCIENCE = 1} )
		local firepitrecipe = Recipe( ("firepit"), {I("log", 2), I("rocks", 8)}, R.LIGHT, {SCIENCE = 0} )
		local traprecipe = Recipe( ("trap"), {I("twigs", 2), I("cutgrass", 4)}, R.SURVIVAL, {SCIENCE = 0} )
		local birdtraprecipe = Recipe( ("birdtrap"), {I("twigs", 3), I("silk", 3)}, R.SURVIVAL, {SCIENCE = 0} )
		local heatrockrecipe = Recipe( ("heatrock"), {I("rocks", 8), I("pickaxe", 1), I("flint", 3)}, R.SURVIVAL, {SCIENCE = 1} )
		local piggybackrecipe = Recipe( ("piggyback"), {I("pigskin", 3), I("silk", 4), I("rope", 3)}, R.SURVIVAL, {SCIENCE = 1} )
		local grasssuitrecipe = Recipe( ("armorgrass"), {I("cutgrass", 8), I("twigs", 1)}, R.WAR, {SCIENCE = 0} )
		local spearrecipe = Recipe( ("spear"), {I("twigs", 2), I("cutgrass", 2), I("flint", 1)}, R.WAR, {SCIENCE = 0} )
		local logsuitrecipe = Recipe( ("armorwood"), {I("log", 6), I("rope", 2)}, R.WAR, {SCIENCE = 0} )
		local roperecipe = Recipe( ("rope"), {I("cutgrass", 3)}, R.REFINE, {SCIENCE = 0} )
		local boardrecipe = Recipe( ("boards"), {I("log", 4)}, R.REFINE, {SCIENCE = 0} )
		local cutstonerecipe = Recipe( ("cutstone"), {I("rocks", 3)}, R.REFINE, {SCIENCE = 0} )
		local papyrusrecipe = Recipe( ("papyrus"), {I("cutreeds", 3)}, R.REFINE, {SCIENCE = 0} )
		local sewingkitrecipe = Recipe( ("sewing_kit"), {I("log", 1), I("silk", 6), I("houndstooth", 1)}, R.DRESS, {SCIENCE = 1} )
		local garlandrecipe = Recipe( ("flowerhat"), {I("petals", 10)}, R.DRESS, {SCIENCE = 0} )
		
		--Bob will be able to craft Wickerbottom's books but it'll be a bit difficult!
		local birdbookrecipe = Recipe( ("book_birds"), {I("papyrus", 5), I("bird_egg", 2)}, R.MAGIC, {MAGIC = 3} )
		local gardeningbookrecipe = Recipe( ("book_gardening"), {I("papyrus", 5), I("seeds", 3), I("poop", 5)}, R.MAGIC, {MAGIC = 3} )
		local sleepbookrecipe = Recipe( ("book_sleep"), {I("papyrus", 5), I("nightmarefuel", 3)}, R.MAGIC, {MAGIC = 3} )
		local tentaclebookrecipe = Recipe( ("book_tentacles"), {I("papyrus", 5), I("tentaclespots", 2)}, R.MAGIC, {MAGIC = 3} )
		local brimstonebookrecipe = Recipe( ("book_brimstone"), {I("papyrus", 5), I("redgem", 2)}, R.MAGIC, {MAGIC = 3} )
	end
end)


--since Bob can craft Wickerbottom's books we need to keep them character specific but share with Bob!
if not GLOBAL.DST then
	local Wickerbottom_books = {
		"book_birds",
		"book_gardening",
		"book_sleep",
		"book_tentacles",
		"book_brimstone"
	}
	for k,v in pairs(Wickerbottom_books) do
		AddPrefabPostInit(v, function(inst)
			if GetPlayer().prefab == "wickerbottom" then
				inst.components.characterspecific:SetOwner("wickerbottom")
			elseif GetPlayer().prefab == "muyskerm" then
				inst.components.characterspecific:SetOwner("muyskerm")
			end
		end)
	end
end

AddIngredientValues({"warfbutter"}, {warf=1})
local warfmuffin = {
	name = "warfmuffin",
	test = function(cooker, names, tags) return names.warfbutter and (names.meat or names.cookedmeat) and (names.meat or names.cookedmeat or names.warfbutter) and (names.meat or names.cookedmeat or names.warfbutter) end,
	priority = 5,
	weight = 1,
	foodtype = "MEAT",
	cooktime = 3,
}
AddCookerRecipe("cookpot",warfmuffin)