local require = GLOBAL.require
local assert = GLOBAL.assert
local TUNING = GLOBAL.TUNING
local GetPlayer = GLOBAL.GetPlayer
local StacheBadge = require "widgets/stachebadge"
local GirlLight = require "widgets/girllightbadge"

function GetOtherModConfigData(optionname, modname)
        assert(modname, "forgot to supply modname")
        local config = GLOBAL.KnownModIndex:GetModConfigurationOptions(modname)
        if config and type(config) == "table" then
            for i,v in pairs(config) do
				if v.name == optionname then
					if v.saved ~= nil then
						return v.saved 
					else 
						return v.default
					end
				end
            end
        end
    return nil
end

local function WarfstachePositioning(class)

	if GetPlayer().components.stache then
	 
	    class.stache = class:AddChild(StacheBadge(class.owner))
	
	    class.stache:SetPosition(-40,-50,0)

	    class.stache.anim:GetAnimState():SetBank("sanity")
	    class.stache.anim:GetAnimState():SetBuild("stache")
 	    class.stache:SetPercent(class.owner.components.stache:GetPercent(), class.owner.components.stache.max)
		
		local Stache = class.stache:GetPosition()
		local BP = class.brain:GetPosition()
		local ST = class.stache
		
		local SPlus = GLOBAL.StatusPLUS
		local AoS = GLOBAL.AlwaysOnStatus
		local RPG = GLOBAL.RPGHUD
		local SC = GLOBAL.SeasonClock
		
		if RPG == false and SPlus == false then
			if SC == false then
				if AoS == true then
					ST:SetPosition(Stache.x + 100, Stache.y - 30, 0)
				else
					class.brain:SetPosition(BP.x + 40, BP.y - 9, 0)
				end
			elseif SC == true then
				local SCName = GLOBAL.KnownModIndex:GetModActualName("Season Clock")
				local SCM = GetOtherModConfigData("clockposition", SCName)
				if AoS == true then
					if SCM == "aboveday" or SCM == "belowday" then
						ST:SetPosition(Stache.x + 100, Stache.y - 170, 0)
					elseif SCM == "leftofday" or SCM == "rightofday" then
						ST:SetPosition(Stache.x + 40, Stache.y - 45, 0)
					end
				elseif AoS == false then
					if SCM == "aboveday" or SCM == "belowday" then
						ST:SetPosition(Stache.x, Stache.y - 140, 0)
					elseif SCM == "leftofday" or SCM == "rightofday" then
						ST:SetPosition(Stache.x - 60, Stache.y - 18, 0)
					end
				end
				if RPG == false and AoS == false then
					class.brain:SetPosition(BP.x + 40, BP.y - 9, 0)
				end
			end
		end
		    
		class.inst:ListenForEvent("stachedelta", function(inst, data) 
			class.stache:SetPercent(data.newpercent, class.owner.components.stache.max)
		end, class.owner)
	end
end
AddClassPostConstruct("widgets/statusdisplays", WarfstachePositioning)

--[[local function GIRLLIGHT(class)
	class.googleirl = class:AddChild(GirlLight(class.owner))
	class.googleirl:SetPosition(-40,-50,0)
	class.googleirl.anim:GetAnimState():SetBank("girl_light")
	class.googleirl.anim:GetAnimState():SetBuild("girl_light")
	class.googleirl:SetPercent(1, 1)

	class.inst:ListenForEvent("percentusedchange", function(inst, data)
	class.googleirl:SetPercent(class.inst.components.fueled:GetPercent(), class.inst.components.fueled.maxfuel) end, class.owner)
end

AddClassPostConstruct("widgets/statusdisplays", GIRLLIGHT)]]

local function googleirl_health(inst)
	inst:DoTaskInTime( 0, function() 
		local controls = inst.HUD.controls
		local googleirl_health = require "widgets/googleirl_health"
		controls.petStatus = controls:AddChild(googleirl_health(inst))
		controls.petStatus:SetPosition(0, -250, 0)
	end)
	--[[inst:DoTaskInTime( 0, function() 
		local controls = inst.HUD.controls
		local googleirl_light = require "widgets/googleirl_light"
		controls.petStatus = controls:AddChild(googleirl_light(inst))
		controls.petStatus:SetPosition(0, -250, 0)
	end)]]
end	   
AddSimPostInit(googleirl_health)