local STRINGS = GLOBAL.STRINGS
local SwearControl = GLOBAL.MarkMod.SwearControl
local GetRandomItem = GLOBAL.GetRandomItem
AddPrefabPostInit("wilford", function(inst)
	local KillLookUp = {
		{pf = "butterfly", 			adj =   5},
		{pf = "bee", 				adj =   5},
		{pf = "killerbee", 			adj =   5},
		{pf = "mosquito", 			adj =   5},
		{pf = "snurtle", 			adj =   5},
		{pf = "eyeplant", 			adj =   5},
		{pf = "mole", 				adj =   5},
		{pf = "birchnutdrake", 		adj =   5},
		{pf = "crow", 				adj =  10},
		{pf = "robin", 				adj =  10},
		{pf = "robin_winter", 		adj =  10},
		{pf = "rabbit", 			adj =  10},
		{pf = "perd", 				adj =  15},
		{pf = "frog", 				adj =  10},
		{pf = "babybeefalo", 		adj =  15},
		{pf = "smallbird", 			adj =  10},
		{pf = "spider", 			adj =  15},
		{pf = "bat", 				adj =  15},
		{pf = "buzzard", 			adj =  15},
		{pf = "teenbird", 			adj =  20},
		{pf = "penguin", 			adj =  20},
		{pf = "hound", 				adj =  25},
		{pf = "firehound", 			adj =  25},
		{pf = "icehound", 			adj =  25},
		{pf = "little_walrus", 		adj =  20},
		{pf = "merm", 				adj =  20},
		{pf = "bunnyman", 			adj =  20},
		{pf = "spider_warrior", 	adj =  25},
		{pf = "spider_hider", 		adj =  25},
		{pf = "spider_spitter", 	adj =  25},
		{pf = "spider_dropper", 	adj =  25},
		{pf = "slurper", 			adj =  25},
		{pf = "monkey", 			adj =  25},
		{pf = "slurtle", 			adj =  25},
		{pf = "lureplant", 			adj =  20},
		{pf = "walrus", 			adj =  25},
		{pf = "ghost", 				adj =  25},
		{pf = "catcoon", 			adj =  20},
		{pf = "mossling", 			adj =  20},
		{pf = "beefalo", 			adj =  35},
		{pf = "koalefant_summer", 	adj =  35},
		{pf = "koalefant_winter", 	adj =  35},
		{pf = "tallbird", 			adj =  30},
		{pf = "tentacle", 			adj =  30},
		{pf = "bishop", 			adj =  30},
		{pf = "bishop_nightmare", 	adj =  30},
		{pf = "knight", 			adj =  30},
		{pf = "knight_nightmare", 	adj =  30},
		{pf = "rook", 				adj =  30},
		{pf = "rook_nightmare", 	adj =  30},
		{pf = "krampus", 			adj =  30},
		{pf = "lightninggoat", 		adj =  30},
		{pf = "tentacle_pillar", 	adj =  75},
		{pf = "rocky", 				adj =  50},
		{pf = "worm", 				adj =  75},
		{pf = "leif", 				adj =  75},
		{pf = "leif_sparse", 		adj =  75},
		{pf = "spiderqueen", 		adj = 100},
		{pf = "abigail", 			adj =  50},
		{pf = "warg", 				adj =  50},
		{pf = "deerclops", 			adj = 225},
		{pf = "dragonfly", 			adj = 225},
		{pf = "moose", 				adj = 225},
		{pf = "bearger", 			adj = 225},
		{pf = "minotaur", 			adj = 225}
	}

	local FoodLookUp = {
		{pf = "monstermeat", 		adjone =  10, adjtwo =  10},
		{pf = "cookedmonstermeat", 	adjone =  10, adjtwo =  10},
		{pf = "monstermeat_dried", 	adjone =  10, adjtwo =  10},
		{pf = "monsterlasagna", 	adjone =  10, adjtwo =  10},
		{pf = "warfmini", 			adjone =   2, adjtwo =   0},
		{pf = "warfbug_dead", 		adjone =   5, adjtwo =   0},
		{pf = "smallmeat", 			adjone =  10, adjtwo =   0},
		{pf = "cookedsmallmeat", 	adjone =  10, adjtwo =   0},
		{pf = "smallmeat_dried", 	adjone =  10, adjtwo =   0},
		{pf = "drumstick", 			adjone =  10, adjtwo =   0},
		{pf = "drumstick_cooked", 	adjone =  10, adjtwo =   0},
		{pf = "fish", 				adjone =  10, adjtwo =   0},
		{pf = "fish_cooked", 		adjone =  10, adjtwo =   0},
		{pf = "eel", 				adjone =  10, adjtwo =   0},
		{pf = "eel_cooked", 		adjone =  10, adjtwo =   0},
		{pf = "froglegs", 			adjone =  10, adjtwo =   0},
		{pf = "froglegs_cooked", 	adjone =  10, adjtwo =   0},
		{pf = "batwing", 			adjone =  10, adjtwo =   0},
		{pf = "batwing_cooked", 	adjone =  10, adjtwo =   0},
		{pf = "bird_egg", 			adjone =  10, adjtwo =   0},
		{pf = "bird_egg_cooked", 	adjone =  10, adjtwo =   0},
		{pf = "unagi", 				adjone =  10, adjtwo =   0},
		{pf = "warfbutter", 		adjone =  15, adjtwo =   5},
		{pf = "meat", 				adjone =  20, adjtwo =   5},
		{pf = "cookedmeat", 		adjone =  20, adjtwo =   5},
		{pf = "meat_dried", 		adjone =  20, adjtwo =   5},
		{pf = "trunk_summer", 		adjone =  20, adjtwo =   5},
		{pf = "trunk_winter", 		adjone =  20, adjtwo =   5},
		{pf = "tallbirdegg", 		adjone =  20, adjtwo =   5},
		{pf = "tallbirdegg_cooked", adjone =  20, adjtwo =   5},
		{pf = "baconeggs", 			adjone =  20, adjtwo =   5},
		{pf = "fishtacos", 			adjone =  20, adjtwo =   5},
		{pf = "fishsticks", 		adjone =  20, adjtwo =   5},
		{pf = "frogglebunwhich", 	adjone =  20, adjtwo =   5},
		{pf = "honeyham", 			adjone =  20, adjtwo =   5},
		{pf = "honeynuggets", 		adjone =  20, adjtwo =   5},
		{pf = "kabobs", 			adjone =  20, adjtwo =   5},
		{pf = "meatballs", 			adjone =  20, adjtwo =   5},
		{pf = "perogies", 			adjone =  20, adjtwo =   5},
		{pf = "turkeydinner", 		adjone =  25, adjtwo =   5},
		{pf = "hotchili", 			adjone =  20, adjtwo =   5},
		{pf = "trunk_cooked", 		adjone =  30, adjtwo =  10},
		{pf = "minotaurhorn", 		adjone =  30, adjtwo =  10},
		{pf = "deerclops_eyeball", 	adjone =  30, adjtwo =  10},
		{pf = "bonestew", 			adjone =  30, adjtwo =  10},
		{pf = "warfmuffin",			adjone =  35, adjtwo =   0}
	}
	
	inst:ListenForEvent( "killed", function(attacker, victim)
		if attacker and attacker.components.stache then
			if victim and victim.prefab then
				if attacker.prefab == "wilford" and attacker.WilfordState ~= "Mighty" then
					for k,v in pairs( KillLookUp ) do
						if victim.prefab == v.pf then
							attacker.components.stache:DoDelta( v.adj )
						end
					end
					if victim.prefab == "pigman" then
						if not victim.components.werebeast or not victim.components.werebeast:IsInWereState() then
							attacker.components.stache:DoDelta(20)
						elseif victim.components.werebeast or victim.components.werebeast:IsInWereState() then
							attacker.components.stache:DoDelta(30)
						end
					elseif victim.prefab == "chester" or victim.prefab == "glommer" then
						attacker.components.stache:DoDelta(-225)
						attacker.components.sanity:DoDelta(-100)
					end
				end
			end
		end
	end)

	inst.components.eater:SetOnEatFn(function(inst, food)
		local eater  = inst.components.eater
		local morsal = food.components.edible.foodtype
		local prefab = food.prefab
		
		if inst.WilfordState ~= "Mighty" then
			if eater and morsal == "MEAT" and prefab ~= "plantmeat" and prefab ~= "plantmeat_cooked" then
				local ActionTaken = false
				for k,v in pairs( FoodLookUp ) do
					if prefab == v.pf then
						inst.components.stache:DoDelta(v.adjone)
						inst.components.sanity:DoDelta(v.adjtwo)
						ActionTaken = true
					end
				end
				if ActionTaken == false then
					inst.components.stache:DoDelta(math.random(5,15))
				end
			else
				inst.components.stache:DoDelta(-(math.random(3,10)))
				inst.components.sanity:DoDelta(-(math.random(2,7)))
				inst.components.hunger:DoDelta(-(math.random(1,4)))
				if SwearControl == true then
					inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.WILFORD_EAT_VEGGIE))
				else
					inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.WILFORD_EAT_VEGGIE_SLANG))
				end
			end
		end
	end)
end)