local assets = {
	Asset("ANIM", "anim/chromesword.zip"),
	Asset("ANIM", "anim/swap_chromesword.zip"),
	Asset("ATLAS", "images/inventoryimages/chromesword.xml")
    
}

local function onattack(inst, attacker, target)
	if math.random(1,100) <= 10 then
		if target.components.burnable and not target.components.burnable:IsBurning() then
			if target.components.freezable and target.components.freezable:IsFrozen() then           
				target.components.freezable:Unfreeze()            
			else            
				target.components.burnable:Ignite(true)
			end   
		end
	end
end

local function onfinished(inst)
	local owner = inst.components.inventoryitem.owner
	SpawnPrefab("brokentool").Transform:SetPosition(owner:GetPosition():Get())
	owner.AnimState:PlayAnimation("hit")
	owner.SoundEmitter:PlaySound("dontstarve/wilson/use_break")
	inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_chromesword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("chromesword")
    inst.AnimState:PlayAnimation("idle")
    --inst.AnimState:SetMultColour(1, 1, 1, 0.6)
    
    --inst:AddTag("shadow")
    inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.NIGHTSWORD_DAMAGE * 0.8)
	inst.components.weapon:SetOnAttack(onattack)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.NIGHTSWORD_USES)
    inst.components.finiteuses:SetUses(TUNING.NIGHTSWORD_USES)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/chromesword.xml"
    --inst:AddComponent("dapperness")
    --inst.components.dapperness.dapperness = TUNING.CRAZINESS_MED,
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/chromesword", fn, assets) 
