local MakePlayerCharacter = require "prefabs/player_common"
local MarkimodHelpScreen = require "screens/markimodcallforhelpscreen"

local assets = {
	Asset( "SOUND", "sound/markiplier_sounds_bank00.fsb" ),
	Asset( "ANIM", "anim/darkiplier.zip" ),
	Asset( "IMAGE", "minimap/darkiplier.tex" ),
	Asset( "ATLAS", "minimap/darkiplier.xml" )
}

local prefabs = {"googlepiece", "googleirl", "chromesword", "nightmarefuel"}
local start_inv = {"googlepiece", "nightsword"}

local function onsave(inst, data)
	data.HelpShown = inst.HelpShown
end

local function onload(inst, data)
	if data then
		inst.HelpShown = data.HelpShown or false
		if inst.HelpShown == false then
			inst:DoTaskInTime(1, function() TheFrontEnd:PushScreen(MarkimodHelpScreen()) end)
		end
	end
end

local fn = function(inst)
	inst.HelpShown = false
	inst.OnSave = onsave
	inst.OnLoad = onload
	inst.soundsname = "darkiplier"
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("darkiplier.tex")
	inst:SetStateGraph("SGwilson")
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("darkiplier")
	inst:AddTag("Darkiplier")
	inst:AddTag("monster")
    inst.components.health:SetMaxHealth(200)
	inst.components.hunger:SetMax(175)
	inst.components.sanity:SetMax(75)
	inst.components.sanity.neg_aura_mult = (-0.6)
    inst.components.sanity.night_drain_mult = (-0.6)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_MED * -0.5)
	inst.components.combat.damagemultiplier = (1.3)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.talker.colour = Vector3(58/255,58/255,58/255)
end

return MakePlayerCharacter("darkiplier", prefabs, assets, fn, start_inv)