local MakePlayerCharacter = require "prefabs/player_common"
local MarkimodHelpScreen = require "screens/markimodcallforhelpscreen"

local assets = {
	Asset( "SOUND", "sound/markiplier_sounds_bank00.fsb" ),
	Asset( "ANIM", "anim/lordminion777.zip" ),
	Asset( "ANIM", "anim/wade_beard.zip" ),
	Asset( "IMAGE", "minimap/lordminion777.tex" ),
	Asset( "ATLAS", "minimap/lordminion777.xml" )
}

local prefabs = {"beardhair"}
local start_inv_temp = {"punbook","clonerpowersource"}
local start_test = {"goldnugget","goldnugget","goldnugget","goldnugget","goldnugget","gears","gears","gears"}
if MarkMod.WadeTest == true then
for k,v in pairs(start_test) do
table.insert(start_inv_temp, v) end end
local start_inv = start_inv_temp

local function onsave(inst, data)
	data.HelpShown = inst.HelpShown
end

local function onload(inst, data)
	if data then
		inst.HelpShown = data.HelpShown or false
		if inst.HelpShown == false then
			inst:DoTaskInTime(1, function() TheFrontEnd:PushScreen(MarkimodHelpScreen()) end)
		end
	end
end

local fn = function(inst)
	inst.HelpShown = false
	inst.OnSave = onsave
	inst.OnLoad = onload
	inst:AddTag("lordminion777")
	inst:AddComponent("reader")
    inst:AddComponent("beard")
    inst.components.beard.onreset = function()
        inst.AnimState:ClearOverrideSymbol("beard")
    end
    inst.components.beard.prize = "beardhair"
	inst.components.beard:AddCallback(5, function()
        inst.AnimState:OverrideSymbol("beard", "wade_beard", "beard_short")
        inst.components.beard.bits = 3
    end)
	inst.soundsname = "wilson" --"lordminion777"
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("lordminion777.tex")
	inst:SetStateGraph("SGwilson")
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("lordminion777")
    inst.components.health:SetMaxHealth(165)
	inst.components.hunger:SetMax(140)
	inst.components.sanity:SetMax(180)
	inst.components.sanity.neg_aura_mult = (1.4)
    inst.components.sanity.night_drain_mult = (1.1)
	inst.components.combat.damagemultiplier = (0.9)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.2)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.2)
	inst.Transform:SetScale(1,1.2,1)
end

return MakePlayerCharacter("lordminion777", prefabs, assets, fn , start_inv)