local assets = {Asset("ANIM", "anim/punbook.zip"), Asset("ATLAS", "images/inventoryimages/punbook.xml")}
local prefabs = {}
function pundembitchesfn (inst, reader)
	local range = 20
	local pos = Vector3(reader.Transform:GetWorldPosition())
	local ents = TheSim:FindEntities(pos.x,pos.y,pos.z, range)
	if reader.components.talker then
		reader.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.PUNS))
		if reader.components.sanity then
			if reader:HasTag("punfriendly") then
				reader.components.sanity:DoDelta(math.random(5,15))
			else
				reader.components.sanity:DoDelta(-math.random(10,25))
			end
		end
		reader:StartThread(function()
			for k,v in pairs(ents) do
				if not v:HasTag("player") then
					if v.prefab == "pigman" or v.prefab == "bunnyman" then
						local Were = false
						if v.components.werebeast and v.components.werebeast:IsInWereState() then
							Were = true
						end
						if Were ~= true then
							if v.components.follower and not v.components.follower.leader  and not reader.components.leader:IsFollower(v) and reader.components.leader.numfollowers < 6 then
								reader.components.leader:AddFollower(v)
								if v.prefab == "pigman" then
									v.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.PIG_LIKE_PUNS))
								else
									v.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.BUNNY_LIKE_PUNS))
								end
							end
						end
					elseif v.prefab ~= "pigman" and v.prefab ~= "bunnyman" and v.components.sleeper then
						if not v:HasTag("hostile") then
							v.components.sleeper:GoToSleep(math.random(15,60))
						else
							if v.components.combat then
								v.components.combat:SuggestTarget(reader)
								if v.components.talker then
									v.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.NOLIKE_PUN))
								end
							end
						end
					end
				else
					if v.components.sanity and v ~= reader then
						local chancetoreply = math.random(1,100)
						if v:HasTag("punfriendly") then
							if v.components.talker and chancetoreply >= 40 then
								v.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.BUNNY_LIKE_PUNS))
							end
							v.components.sanity:DoDelta(math.random(5,20))
						else
							if v.components.talker and chancetoreply >= 60 then
								v.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.NOLIKE_PUN))
							end
							v.components.sanity:DoDelta(-math.random(5,20))
						end
					end
				end
			end
			Sleep(math.random( 10, 20))
		end)
	else
		reader:StartThread(function()
			for k,v in pairs(ents) do
				if v.components.combat then
					v.components.combat:SuggestTarget(reader)
				end
			end
			reader.components.sanity:DoDelta(-25)
			inst:Remove()
			Sleep(1000)
		end)
	end
	return true
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local sound = inst.entity:AddSoundEmitter()
	anim:SetBank("books")
	anim:SetBuild("punbook")
	anim:PlayAnimation("book_gardening")
	MakeInventoryPhysics(inst)
	inst:AddComponent("inspectable")
	inst:AddComponent("book")
	inst.components.book.onread = pundembitchesfn
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/punbook.xml"
	inst:AddComponent("finiteuses")
	inst.components.finiteuses:SetMaxUses( 6 )
	inst.components.finiteuses:SetUses( 6 )
	inst.components.finiteuses:SetOnFinished( function() inst:Remove() end )
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	return inst
end

return Prefab( "common/punbook", fn, assets, prefabs) 