local assets = {Asset("ANIM", "anim/tedcloner.zip")}

local function MakeTed(inst)
	if inst.components.machine.ison then
		if not TheSim:FindFirstEntityWithTag("TedTheAlien") then
			SpawnPrefab("ted").Transform:SetPosition(inst.Transform:GetWorldPosition())
			inst.SoundEmitter:PlaySound("dontstarve/common/destroy_wood")
		end
	end
end

local function onhammered(inst, worker)
	inst.components.lootdropper:DropLoot()
	SpawnPrefab("collapse_big").Transform:SetPosition(inst.Transform:GetWorldPosition())
	inst.SoundEmitter:PlaySound("dontstarve/common/destroy_wood")
	inst:Remove()
end

local function onhit(inst, worker)
	local animation = (tostring(math.random(1,3)))
	if not inst.components.machine.ison then
		inst.AnimState:PlayAnimation("hammered_off"..animation)
		inst.AnimState:PushAnimation("idle_off")
	else
		inst.AnimState:PlayAnimation("hammered"..animation)
		inst.AnimState:PushAnimation("idle_on", true)
	end
end

local function turnon(inst)
	inst.AnimState:PlayAnimation("turn_on")
	inst.components.machine.ison = true
	inst.AnimState:PushAnimation("idle_on", true)
end

local function turnoff(inst)
    inst.AnimState:PlayAnimation("turn_off")
    inst.components.machine.ison = false
	inst.AnimState:PushAnimation("idle_off")
end
    
local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	   
    MakeObstaclePhysics(inst, 1)    
    
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( "tedcloner.tex" )
    
    anim:SetBank("tedcloner")
    anim:SetBuild("tedcloner")
    anim:PlayAnimation("idle_off")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("lootdropper")
	
	inst:AddComponent("machine")
	inst.components.machine.turnonfn = turnon
    inst.components.machine.turnofffn = turnoff
    inst.components.machine.cooldowntime = 0
	
	inst:ListenForEvent( "daycomplete", function() MakeTed(inst) end, GetWorld() )
    
    inst:AddComponent("workable")
    inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
    inst.components.workable:SetWorkLeft(5)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit)
 	MakeSnowCovered(inst, .01)	
   
    return inst
end

return  Prefab( "common/objects/tedcloner", fn, assets),
		MakePlacer("common/tedcloner_placer", "tedcloner", "tedcloner", "idle_off") 