local StringName = {blacksmithsword = "The Blacksmith's Sword Blueprint", operatingtool = "Face Saw Blueprint"}

local function Blueprint(data)
	require "recipes"

	assets = {Asset("ANIM", "anim/blueprint.zip")}

	local function OnTeach(inst, learner)
		if learner.SoundEmitter then
			learner.SoundEmitter:PlaySound("dontstarve/HUD/get_gold")    
		end
	end

	local function fn(inst, recipes)
		local inst = CreateEntity()
		inst.entity:AddTransform()
		MakeInventoryPhysics(inst)
		inst.entity:AddAnimState()
		inst.AnimState:SetBank("blueprint")
		inst.AnimState:SetBuild("blueprint")
		inst.AnimState:PlayAnimation("idle")
		inst:AddComponent("inspectable")    
		inst:AddComponent("inventoryitem")
		inst.components.inventoryitem:ChangeImageName("blueprint")
		inst:AddComponent("named")
		inst:AddComponent("teacher")
		inst.components.teacher.onteach = OnTeach
		inst.components.teacher:SetRecipe(data.name)
		inst.components.named:SetName(StringName[data.name])
			
		return inst
	end

	return Prefab( "common/inventory/"..data.name.."_blueprint", fn, assets)
end

local data = {{name = "blacksmithsword"}, {name = "operatingtool"}}

local ret = {}
for k,v in pairs(data) do
	table.insert(ret, Blueprint(v))
end

return unpack(ret)
	