require "prefabutil"

local assets = {
	Asset("SOUND", "sound/markiplier_sounds_bank00.fsb"),
	Asset("ANIM", "anim/donorbox.zip"),
	Asset("ANIM", "anim/ui_patientbab_1x1.zip")
}

local prefabs = {"new_heart"}

local function checkforheart(inst)
	local foundheart = false
	for k,v in pairs(inst.components.container.slots) do if v and v.prefab == "new_heart" then
		foundheart = true else foundheart = false
	end end
	return foundheart
end

local function onopen(inst)
	if checkforheart(inst) then
		inst.AnimState:PlayAnimation("idle_opened_full", true)
	else
		inst.AnimState:PlayAnimation("idle_opened_empty")
	end
	inst.SoundEmitter:PlaySound("dontstarve/wilson/chest_open")
end 

local function onclose(inst)
	inst.AnimState:PlayAnimation("idle_closed") 
	inst.SoundEmitter:PlaySound("dontstarve/wilson/chest_close")		
end 

local slotpos = {Vector3(0,-(15+4),0)}

local function itemtest(inst, item, slot)
	if item.prefab ~= "new_heart" then
		return false
	else
		return true
	end
end

local function Fill(inst)
	local heart = SpawnPrefab("new_heart")
	inst.components.container:GiveItem(heart)
end

local fn = function(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	
	inst.Fill = Fill
	inst:AddTag("donorbox")
	inst.AnimState:SetBank("donorbox")
	inst.AnimState:SetBuild("donorbox")
	inst.AnimState:PlayAnimation("idle_closed")
	inst.Transform:SetScale(2,2,2)
	print("I exist!")
	
	inst:AddComponent("container")
	inst.components.container:SetNumSlots(#slotpos)
	inst.components.container.onopenfn = onopen
	inst.components.container.onclosefn = onclose
	inst.components.container.itemtestfn = itemtest
	inst.components.container.widgetslotpos = slotpos
	inst.components.container.widgetanimbank = "ui_cookpot_1x4"
	inst.components.container.widgetanimbuild = "ui_patientbab_1x1"
	inst.components.container.widgetpos = Vector3(0,200,0)
	inst.components.container.side_align_tip = 160
	
	inst.HeartIn = false
	inst:DoPeriodicTask(0.1, function() if inst.components.container:IsOpen() then
		if checkforheart(inst) == true and inst.HeartIn == false then
			inst.AnimState:PlayAnimation("idle_opened_full", true)
			inst.HeartIn = true
		elseif checkforheart(inst) == false and inst.HeartIn == true then
			inst.AnimState:PlayAnimation("idle_opened_empty")
			inst.HeartIn = false
		end
	end end)
	
	inst:AddComponent("inspectable")
	MakeSnowCovered(inst, .01)	
	return inst
end

return Prefab( "common/heartbox", fn, assets, prefabs)