local SwearControl = MarkMod.SwearControl

local assets = {
        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/maxwell.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
		Asset( "ANIM", "anim/torch.zip" ),
		Asset( "ANIM", "anim/swap_torch.zip" ),
		Asset("ANIM", "anim/hoodedhero.zip")
}

local prefabs = {
	"torch",
}

SetSharedLootTable( 'hoodedhero', {
	{'twigs',                        0.7},
	{'twigs',                        0.4},
	{'silk',                         0.2}
})

local function retargetfn(inst)
    local entity = FindEntity(inst, TUNING.SHADOWCREATURE_TARGET_DIST, function(guy) 
		if guy.prefab == "markiplier" then
			if guy.MarkState == "Maniac" then
				if guy:HasTag("Maniac") then
					return guy:HasTag("player") and inst.components.combat:CanTarget(guy)
				end
			end
		end
    end)
    return entity
end

local function WeaponDropped(inst)
    --inst.components.inventory:DropEverything()
end

local function EquipWeapon(inst)
    if inst.components.inventory and not inst.components.inventory:GetEquippedItem(EQUIPSLOTS.HANDS) then
        
		local weapon = SpawnPrefab("torch")
        weapon.entity:AddTransform()
        
		if weapon then
		end
		
        weapon.persists = false
        weapon.components.inventoryitem:SetOnDroppedFn(WeaponDropped)
        
        inst.components.inventory:Equip(weapon)
    end
end

local function onkilledbyother(inst, attacker)
	if attacker and attacker.prefab == "markiplier" then
		if attacker.KeyDrop == true then
			if TheSim:FindFirstEntityWithTag("BLACKSMITHSWORD") or TheSim:FindFirstEntityWithTag("blacksmithkey") then
				attacker.KeyDrop = false
			elseif not TheSim:FindFirstEntityWithTag("BLACKSMITHSWORD") and not TheSim:FindFirstEntityWithTag("blacksmithkey") then
				local key = math.random(1,10)
				if key >= 5 then
					SpawnPrefab("blacksmithkey").Transform:SetPosition(inst:GetPosition():Get())
					attacker.components.talker:Say(STRINGS.MARKIMODSTRINGS.IS_THAT_THE_KEY)
					attacker.KeyDrop = false
				end
			end
		end
		
		local SpecialLoot = math.random(1,100)
		local SpecialLootSelecter = math.random(1,12)
		if SpecialLoot <= 10 then
		SpawnPrefab("trinket_"..SpecialLootSelecter).Transform:SetPosition(inst:GetPosition():Get())
		end
	end
end

local function OnAttacked(inst, data)
end

local function TalkTasker(inst)
	inst.Talking = true
	inst:DoTaskInTime((math.random(3,6)), function()
		local LetsTalk = math.random(1,3)
		local markiplier = TheSim:FindFirstEntityWithTag("markiplier")
		if markiplier then
			if LetsTalk == 2 then
				if markiplier.MarkState == "Maniac" then
					if SwearControl == true then
						inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.HERO_VS_MANIAC))
					else
						inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.HERO_VS_MANIAC_SLANG))
					end
				end
			end
			if markiplier.MarkState ~= "Maniac" then
				inst.components.combat:GiveUp()
				inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.MANIAC_GONE)
				inst.AnimState:PlayAnimation("staff")
				inst.components.locomotor:StopMoving()
				inst:DoTaskInTime(1.5, function()
					SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
					SpawnPrefab("statue_transition_2").Transform:SetPosition(inst:GetPosition():Get())
					inst:Remove()
				end)
			end
		end
		TalkTasker(inst)
	end)
end

local function onload(inst, data)
	if inst.Talking == false then
		TalkTasker(inst)
	end
end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local physics = inst.entity:AddPhysics()
	local sound = inst.entity:AddSoundEmitter()
	
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("hoodedhero")
	inst.AnimState:PlayAnimation("idle_loop")
	
	inst.Transform:SetFourFaced()
	MakeCharacterPhysics(inst, 10, 1.5)
	inst.Physics:ClearCollisionMask()
	inst.Physics:SetCollisionGroup(COLLISION.CHARACTERS)
	inst.Physics:CollidesWith(COLLISION.WORLD)
	inst.Physics:CollidesWith(COLLISION.OBSTACLES)
	inst.Physics:CollidesWith(COLLISION.CHARACTERS)
	
	inst:AddComponent("talker")
	inst.components.talker.fontsize = 28
	inst.components.talker.font = TALKINGFONT
	inst.components.talker.colour = Vector3(255/255, 255/255, 255/255)
	inst.components.talker.offset = Vector3(0,-400,0)
	
	inst:AddComponent("inventory")
	EquipWeapon(inst)
	inst.AnimState:Show("ARM_carry") 
	inst.AnimState:Hide("ARM_normal")
	
	inst:AddComponent("locomotor")
	inst.components.locomotor.walkspeed = 1 
	inst.components.locomotor:SetTriggersCreep(false)
	inst.components.locomotor.pathcaps = { ignorecreep = true }

	--inst.entity:AddMiniMapEntity()
	--inst.MiniMapEntity:SetIcon("hoodedhero.tex")
	
	inst:SetStateGraph("SGhoodedhero")
	inst:AddComponent("follower")
	inst:AddComponent("inspectable")
	inst:AddComponent("lootdropper")
	inst.components.lootdropper:SetChanceLootTable('hoodedhero')
	inst:AddTag("notraptrigger")
	inst:AddTag("HoodedHero")
	
	local brain = require "brains/hoodedherobrain"
	inst:SetBrain(brain)
	
	inst:AddComponent("health")
	inst.components.health:SetMaxHealth (MarkMod.HeroHealth)
	
	inst:AddComponent("combat")
	inst.components.combat:SetDefaultDamage(10)
	inst.components.combat.damagemultiplier = 5
	inst.components.combat:SetAttackPeriod(1.5)
	inst.components.combat:SetRange(3)
	inst.components.combat:SetRetargetFunction(1, retargetfn)
	inst.components.combat.onkilledbyother = onkilledbyother
	inst:ListenForEvent("attacked", OnAttacked)
	
	inst.Talking = false
	TalkTasker(inst)
    inst.OnLoad = onload 
		
    return inst
end


return Prefab( "common/monsters/hoodedhero", fn, assets, prefabs) 