local MakePlayerCharacter = require "prefabs/player_common"
local MarkimodHelpScreen = require "screens/markimodcallforhelpscreen"
local SwearControl = MarkMod.SwearControl

local assets = {
    Asset( "SOUND", "sound/markiplier_sounds_bank00.fsb" ),
    Asset( "ANIM", "anim/markiplier.zip" ),
	Asset( "ANIM", "anim/darkiplier.zip" ),
	Asset( "ANIM", "anim/markmaniac.zip")
}

local prefabs = {
	"hoodedhero",
	"lockedblacksmithsafe",
	"blacksmithnote"
}

local start_inv = {
	"warfstache",
	"tinytimdevice"
}

local function MarkiplierStats(inst)
	inst.MarkState = "Markiplier"
	inst.components.health:StartRegen(0, 5)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.1)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_MED * 0)
	inst.components.sanity.neg_aura_mult = 1.1
    inst.components.sanity.night_drain_mult = 0.9
	inst.components.health.absorb = 0
	inst.components.combat.damagemultiplier = 1.1
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.Transform:SetScale(1,1,1)
	inst.components.eater:SetOmnivore()
	inst.MiniMapEntity:SetIcon("markiplier.tex")
	inst.talksoundoverride = "markiplier_sounds/characters/markiplier/talk_LP"
	inst.components.talker.colour = Vector3(1,1,1)
	inst.components.named:SetName("Markiplier")
	if SwearControl == true then
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/default/speech_markiplier"
	else
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/slang/speech_markiplier"
	end
end

local function WilfordStats(inst)
	inst.MarkState = "Wilford"
	inst.components.health:StartRegen(0.7, 5)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 7)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_MED * 0.5)
	inst.components.sanity.neg_aura_mult = 0.7
    inst.components.sanity.night_drain_mult = 0.7
	inst.components.health.absorb = 0.15
	inst.components.combat.damagemultiplier = 1.8
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.15)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.15)
	inst.Transform:SetScale(1.1,1.1,1.1)
	inst.components.eater:SetCarnivore()
	inst.MiniMapEntity:SetIcon("markipliertwo.tex")
	inst.talksoundoverride = "markiplier_sounds/characters/wilford/talk_LP"
	inst.components.talker.colour = Vector3(1,161/255,161/255)
	inst.components.named:SetName("Wilford")
	if SwearControl == true then
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/default/speech_wilford"
	else
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/slang/speech_wilford"
	end
end

local function DarkiplierStats(inst)
	inst.MarkState = "Darkiplier"
	inst.components.health:StartRegen(0, 5)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_MED * -0.1)
	inst.components.sanity.neg_aura_mult = 0.65
    inst.components.sanity.night_drain_mult = 0.6
	inst.components.health.absorb = 0
	inst.components.combat.damagemultiplier = 1.3
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.Transform:SetScale(1,1,1)
	inst.components.eater:SetOmnivore()
	inst.MiniMapEntity:SetIcon("markiplierthree.tex")
	inst.talksoundoverride = "markiplier_sounds/characters/darkiplier/talk_LP"
	inst.components.talker.colour = Vector3(58/255,58/255,58/255)
	inst.components.named:SetName("Darkiplier")
	if SwearControl == true then
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/default/speech_darkiplier"
	else
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/slang/speech_darkiplier"
	end
end

local function ManiacStats(inst)
	inst.MarkState = "Maniac"
	inst.components.health:StartRegen(1, 5)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_MED * 0)
	inst.components.sanity.neg_aura_mult = 0
    inst.components.sanity.night_drain_mult = 0
	inst.components.health.absorb = 0.4
	inst.components.combat.damagemultiplier = 7
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.5)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.5)
	inst.Transform:SetScale(1,1,1)
	inst.components.eater:SetCarnivore()
	inst.MiniMapEntity:SetIcon("markiplierfour.tex")
	inst.components.talker.colour = Vector3(220/255, 24/255, 24/255)
	inst.components.named:SetName("Crazed Maniac")
	STRINGS.CHARACTERS.MARKIPLIER = require "speech/default/speech_markmaniac"
end

local function FedoraplierStats(inst)
	inst.MarkState = "Fedoraplier"
	inst.components.health:StartRegen(0.2, 5)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.9)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_LARGE * 3.5)
	inst.components.sanity.neg_aura_mult = 0.5
    inst.components.sanity.night_drain_mult = 0.5
	inst.components.health.absorb = -0.5
	inst.components.combat.damagemultiplier = 0.65
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.8)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.8)
	inst.Transform:SetScale(1,1,1)
	inst.components.eater:SetOmnivore()
	inst.MiniMapEntity:SetIcon("markiplierfive.tex")
	inst.talksoundoverride = "markiplier_sounds/characters/fedoraplier/talk_LP"
	inst.components.talker.colour = Vector3(200/255,200/255,200/255)
	inst.components.named:SetName("Fedoraplier")
	if SwearControl == true then
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/default/speech_fedoraplier"
	else
		STRINGS.CHARACTERS.MARKIPLIER = require "speech/slang/speech_fedoraplier"
	end
end

local function ManiacActionButton(inst)
	local action_target = FindEntity(inst, 6, function(guy) return (guy.components.edible and inst.components.eater:CanEat(guy)) or
									(guy.components.workable and inst.components.worker:CanDoAction(guy.components.workable.action)) end)
	
	if not inst.sg:HasStateTag("busy") and action_target then
		if (action_target.components.edible and inst.components.eater:CanEat(action_target)) then
			return BufferedAction(inst, action_target, ACTIONS.EAT)
		else
			return BufferedAction(inst, action_target, action_target.components.workable.action)
		end
	end
end

local function maniacactionstring(inst)
	return STRINGS.ACTIONS.BONK
end

local function LeftClickPicker(inst, target_ent, pos)
    if inst.components.combat:CanTarget(target_ent) then
        return inst.components.playeractionpicker:SortActionList({ACTIONS.ATTACK}, target_ent, nil)
    end

	if target_ent and target_ent.components.edible and inst.components.eater:CanEat(target_ent) then
		return inst.components.playeractionpicker:SortActionList({ACTIONS.EAT}, target_ent, nil)
	end

    if target_ent and target_ent.components.workable and inst.components.worker:CanDoAction(target_ent.components.workable.action) then
        return inst.components.playeractionpicker:SortActionList({target_ent.components.workable.action}, target_ent, nil)
    end
end

local function RightClickPicker(inst, target_ent, pos)
	return {}
end

local function SetHUDState(inst)
	if RPGHUD == false and StatusPLUS == false then
		if inst.HUD then
			if inst.MarkState == "Maniac" then
				inst.HUD.controls.crafttabs:Hide()
				inst.HUD.controls.inv:Hide()
				inst.HUD.controls.status.stomach:Hide()
				inst.HUD.controls.status.brain:Hide()
				inst.HUD.controls.mapcontrols.minimapBtn:Hide()
				inst:DoTaskInTime(0.1, function()
					local HCP = inst.HUD.controls.status.heart:GetPosition()
					local HSP = inst.HUD.controls.status.heart
					if AlwaysOnStatus == true then
						HSP:SetPosition(HCP.x - 60, HCP.y - 15, 0)
					else
						HSP:SetPosition(HCP.x - 40, HCP.y, 0)
					end
				end)
			elseif inst.MarkState ~= "Maniac" then
				inst.HUD.controls.crafttabs:Show()
				inst.HUD.controls.inv:Show()
				inst.HUD.controls.status.stomach:Show()
				inst.HUD.controls.status.brain:Show()
				inst.HUD.controls.mapcontrols.minimapBtn:Show()
				inst:DoTaskInTime(0.1, function()
					local HCP = inst.HUD.controls.status.heart:GetPosition()
					local HSP = inst.HUD.controls.status.heart
					if AlwaysOnStatus == true then
						HSP:SetPosition(HCP.x + 60, HCP.y + 15, 0)
					else
						HSP:SetPosition(HCP.x + 40, HCP.y, 0)
					end
				end)
			end
		end
	end
end

local function SpawnHero(inst)
	local HeroChance = MarkMod.HeroChance
	if math.random(1,100) <= HeroChance then
		local theta = math.random() * 2 * PI
		local pt = inst:GetPosition()
		local radius = math.random(30, 40)
		local offset = FindWalkableOffset(pt, theta, radius, 12, true)

		if offset then
			local hero = SpawnPrefab("hoodedhero")
			local pos = pt + offset
			hero.Transform:SetPosition(pos:Get())
			inst.HeroSpawned = true
		end
	end
end

local function MakeTheManiac(inst)
	if GetClock():IsNight() and not GetWorld():IsCave() then
		if inst.MarkState == "Markiplier" or inst.MarkState == "Wilford"  or inst.MarkState == "Fedoraplier" then
			inst.SoundEmitter:KillSound("talk")
			ManiacStats(inst)
			inst:AddTag("Maniac")
			inst:SetStateGraph("SGmarkmaniac")
			inst.AnimState:SetBuild("markmaniac")
			inst.AnimState:SetBank("mark")
			inst:AddTag("monster")
			SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
			SpawnPrefab("statue_transition_2").Transform:SetPosition(inst:GetPosition():Get())
			inst.components.inventory:DropEverything()

			inst.components.playercontroller.actionbuttonoverride = ManiacActionButton
			inst.components.playeractionpicker.leftclickoverride = LeftClickPicker
			inst.components.playeractionpicker.rightclickoverride = RightClickPicker

			inst:AddComponent("worker")
			inst.components.worker:SetAction(ACTIONS.DIG, 1)
			inst.components.worker:SetAction(ACTIONS.CHOP, 2)
			inst.components.worker:SetAction(ACTIONS.MINE, 2)
			inst.components.worker:SetAction(ACTIONS.HAMMER, 3)
			inst.ActionStringOverride = maniacactionstring

			inst.components.hunger:Pause()
			inst.components.sanity.ignore = true
			inst.Light:Enable(true)
			inst.components.dynamicmusic:Disable()
			inst.SoundEmitter:PlaySound("markiplier_sounds/markiplier/music/crazylapaint", "crazylapaint")
			inst.components.temperature:SetTemp(20)
			inst.components.eater:SetCanEatHorrible()
			inst.components.eater.strongstomach = true
			inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITH)
			inst.components.playercontroller:Enable(true)
			inst:DoTaskInTime(0, function() SetHUDState(inst) end)
		end
	elseif GetClock():IsDay() and not GetWorld():IsCave() then
		if inst.MarkState ~= "Darkipler" then
			inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITH_CANCEL)
		elseif inst.MarkState == "Darkiplier" then
			inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITH_CANCEL_DARK)
		end
		inst.components.playercontroller:Enable(true)
	end
end

local function MakeMarkiplier(inst)
	if inst.HeroSpawned == true then
		inst.HeroSpawned = false
	end
	if inst.MarkState == "Maniac" then
		inst.components.locomotor:StopMoving()
		inst.components.playercontroller:Enable(false)
		inst:DoTaskInTime(0.2, function()
		
			MarkiplierStats(inst)
			inst:RemoveTag("Maniac")
			inst:SetStateGraph("SGwilson")
			inst.AnimState:SetBuild("markiplier")
			inst.AnimState:SetBank("wilson")
			inst:RemoveTag("monster")
			inst.ActionStringOverride = nil
			SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
			SpawnPrefab("statue_transition_2").Transform:SetPosition(inst:GetPosition():Get())
			inst.components.dynamicmusic:Enable()
	
			if inst.GimmieLight == true then
				local theta = math.random() * 2 * PI
				local pt = inst:GetPosition()
				local radius = math.random(3, 7)
				local offset = FindWalkableOffset(pt, theta, radius, 12, true)
				if offset then
					local light = SpawnPrefab("torch")
					local pos = pt + offset
					light.Transform:SetPosition(pos:Get())
				end
				inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.GRAB_TORCH)
				inst:DoTaskInTime(3, function()
					inst.Light:Enable(false)
					inst.GimmieLight = false
				end)
			else
				inst.Light:Enable(false)
			end
			
			if inst.components.health.currenthealth <= 20 then
				inst.components.health:DoDelta(30)
			end
	
			inst:RemoveComponent("worker")
			inst.components.playercontroller.actionbuttonoverride = nil
			inst.components.playeractionpicker.leftclickoverride = nil
			inst.components.playeractionpicker.rightclickoverride = nil
	
			inst.components.hunger:Resume()
			inst.components.sanity.ignore = false
			inst.components.eater.strongstomach = nil
			inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BACK_TO_NORMAL)
			inst.components.playercontroller:Enable(true)
			inst.components.temperature:SetTemp(nil)
			
			inst:DoTaskInTime(0, function() SetHUDState(inst) end)
			inst:DoTaskInTime(0.1, function() inst.SoundEmitter:SetVolume("crazylapaint", 0.7) end)
			inst:DoTaskInTime(0.5, function() inst.SoundEmitter:SetVolume("crazylapaint", 0.5) end)
			inst:DoTaskInTime(0.7, function() inst.SoundEmitter:SetVolume("crazylapaint", 0.1) end)
			inst:DoTaskInTime(1, function() inst.SoundEmitter:KillSound("crazylapaint") end)
		end)
	end
end

local function RemoveHat(inst)
	local head = inst.components.inventory:GetEquippedItem(EQUIPSLOTS.HEAD)
	if head then
		inst:DoTaskInTime(0.1, function()
			local item = inst.components.inventory:Unequip(EQUIPSLOTS.HEAD)
			inst.components.inventory:GiveItem(item)
		end)
	end
end

local function ManiacTimer(inst, force)
	inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITH_WARN)
	inst.ManiacTimerGo = inst:DoPeriodicTask(1, function()
		if MarkMod.ManiacWarn == true then
			inst.ManiacTimer = inst.ManiacTimer - 1
		elseif MarkMod.ManiacWarn == false then
			inst.ManiacTimer = 0
		end
		if force and force == true then inst.ManiacTimer = 0 end
		if inst.ManiacTimer == 0 then
			inst.components.locomotor:StopMoving()
			inst.components.playercontroller:Enable(false)
			if inst.MarkState == "Markiplier" or inst.MarkState == "Wilford"  or inst.MarkState == "Fedoraplier" then
				if inst.MarkState == "Wilford" or inst.MarkState == "Fedoraplier" then
					RemoveHat(inst)
					MarkiplierStats(inst)
				end
				inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITH_START)
				inst:DoTaskInTime(1.5, function()
					MakeTheManiac(inst)
					if inst.HeroSpawned == false then
						SpawnHero(inst)
					end
				end)
			end
			inst.ManiacTimerGo:Cancel()
			inst.ManiacTimerGo = nil
		end
	end)
end

local function SetMarkManiac(inst, force)
	local MarkChooser = MarkMod.ManiacChance
	if inst.components.sanity.current <= 60 and inst.components.sanity.current >= inst.darkiplierthreshold then
		MarkChooser = MarkChooser * 2
	end
	if force and force == true then
		MarkChooser = 100
	end
	if not force then local force = false end
	if math.random(1,100) <= MarkChooser then
		if GetClock():IsNight() and not GetWorld():IsCave() and inst.MarkState ~= "Maniac" and inst.MarkState ~= "Darkiplier" then
			local days_survived = GetClock().numcycles 
			if days_survived >= 1 then
				if inst.MarkState == "Markiplier" or inst.MarkState == "Wilford"  or inst.MarkState == "Fedoraplier" then
					inst.ManiacTimer = inst.ManiacTimer + math.random(10,20)
					ManiacTimer(inst, force)
				end
			end
		end
	end
	if GetClock():IsNight() and not GetWorld():IsCave() and inst.MarkState == "Maniac" then
		inst.GimmieLight = true
		MakeMarkiplier(inst)
		if inst.HeroSpawned == true then
			inst.HeroSpawned = false
		end
	end
end

local function ManiacNote(inst, timer)
	if inst.MarkState ~= "Darkiplier" then
		inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BLACKSMITHRAGE[timer])
		inst:DoTaskInTime(2, function() SetMarkManiac(inst, true) end)
	else
		inst.components.talker:Say(STRING.MARKIMODSTRINGS.BLACKSMITH_CANCEL_DARK)
	end
end

local function IsWilford(inst)
	if inst.MarkState == "Wilford" then
		WilfordStats(inst)
		inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.MARK_WILFORD))
	end
end

local function IsFedoraplier(inst)
	if inst.MarkState == "Fedoraplier" then
		FedoraplierStats(inst)
		inst.components.talker:Say(GetRandomItem(STRINGS.MARKIMODSTRINGS.ENTER_FEDORAPLIER))
	end
end

local function Darkiplier(inst)
	inst.darkiplierthreshold = MarkMod.DarkThresh
	if inst.MarkState ~= "Darkiplier" and inst.MarkState ~= "Maniac" and inst.components.sanity.current <= inst.darkiplierthreshold then
		if inst.MarkState == "Wilford" or inst.MarkState == "Fedoraplier" then
			RemoveHat(inst)
		end
		inst:AddTag("monster")
		DarkiplierStats(inst)
		inst.AnimState:SetBuild("darkiplier")
		inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.ENTER_DARKIPLIER)
	elseif inst.MarkState == "Darkiplier" and inst.components.sanity.current >= inst.darkiplierthreshold then
		inst:RemoveTag("monster")
		MarkiplierStats(inst)
		inst.AnimState:SetBuild("markiplier")
		inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.LEAVE_DARKIPLIER)
	end
end

local function OnLoadDarkiplier(inst)
	inst:AddTag("monster")
	DarkiplierStats(inst)
	inst.AnimState:SetBuild("darkiplier")
	inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.ENTER_DARKIPLIER)
end

local function getrandomposition(inst)
    local ground = GetWorld()
    local centers = {}
    for i,node in ipairs(ground.topology.nodes) do
        local tile = GetWorld().Map:GetTileAtPoint(node.x, 0, node.y)
        if tile and tile ~= GROUND.IMPASSABLE then
            table.insert(centers, {x = node.x, z = node.y})
        end
    end
    if #centers > 0 then
        local pos = centers[math.random(#centers)]
        return Point(pos.x, 0, pos.z)
    else
        return inst:GetPosition()
    end
end

--[[local function RemoveExtraSafes(inst) --it's not working :C
	print("\nChecking to make sure there's only 1 blacksmithsafe!\nDon't worry this is only going to be done once per save!")
	local howmanysafes = 0
	local deletedsafes = 0
	local trans = inst.Transform
	local x,y,z = trans:GetWorldPosition()
	local ents = TheSim:FindEntities(x,y,z, 100, "blacksmithsafe")
	for k,v in pairs(ents) do
		if v.prefab then print("found entity: "..v.prefab) else print("found entity that has no prefab") end
		if v:HasTag("blacksmithsafe") then
			print("entity has proper tag")
			howmanysafes = howmanysafes + 1
			if howmanysafes > 1 then
				print("deleted that bitch")
				v:Remove()
				howmanysafes = howmanysafes - 1
				deletedsafes = deletedsafes + 1
			end
		end
	end
	print("\nSafe checking complete!\n"..deletedsafes.." safes have been deleted!")
end]]

local function onsave(inst, data)
	data.MarkState = inst.MarkState
	data.KeyDrop = inst.KeyDrop
	data.SpawnSafe = inst.SpawnSafe
	data.SpawnBab = inst.SpawnBab
	data.HeroSpawned = inst.HeroSpawned
	data.ManiacTimer = inst.ManiacTimer
	data.HelpShown = inst.HelpShown
end

local function onload(inst, data)
	if data then
		--Setting Mark to default state and build before applying his saved state otherwise bugs show up
		if data.maniac or data.darkiplier or data.MarkState == "Darkiplier" or data.MarkState == "Maniac" then
			inst.AnimState:SetBuild("markiplier")
			if data.maniac or data.MarkState == "Maniac" then
				inst:SetStateGraph("SGwilson")
				inst.AnimState:SetBank("wilson")
			end
		end
		MarkiplierStats(inst)
		
		--The following code is to read save files with data from v1.9 and older
		if data.markmaniac then
			MakeTheManiac(inst)
		elseif data.darkiplier then
			OnLoadDarkiplier(inst)
		end
		if data.dontdropkey then
			inst.KeyDrop = false
		end
		if data.dontspawnsafe then
			inst.SpawnSafe = false
		end
		
		--Now for the newer faster code
		inst.MarkStateChooser = data.MarkState or "Markiplier"
		local ApplyState = {}
		ApplyState["Markiplier"] = MarkiplierStats
		ApplyState["Wilford"] = IsWilford
		ApplyState["Fedoraplier"] = IsFedoraplier
		ApplyState["Maniac"] = MakeTheManiac
		ApplyState["Darkiplier"] = OnLoadDarkiplier
		inst.MarkState = data.MarkState
		ApplyState[inst.MarkStateChooser](inst)
		inst.KeyDrop = data.KeyDrop or true
		inst.SpawnSafe = data.SpawnSafe or true
		inst.SpawnBab = data.SpawnBab or true
		inst.HeroSpawned = data.HeroSpawned or false
		inst.ManiacTimer = data.ManiacTimer or 0
		if inst.ManiacTimer > 0 then
			ManiacTimer(inst)
		end
		inst.HelpShown = data.HelpShown or false
		if inst.HelpShown == false then
			inst:DoTaskInTime(1, function() TheFrontEnd:PushScreen(MarkimodHelpScreen()) end)
		end
	end
	if inst.darkiplierthreshold == nil then
		inst.darkiplierthreshold = MarkMod.DarkThresh
	end
	--RemoveExtraSafes(inst)
end

local function healthymeats(inst, food)
	local eater = inst.components.eater
	local food = food.components.edible.foodtype
	local prefab = food.prefab
		
	if eater and food == "MEAT" and not (prefab == "plantmeat" or prefab == "plantmeat_cooked") then
		if inst:HasTag("Were") then
			inst.components.health:DoDelta(math.random(5,35))
		elseif not inst:HasTag("Were") then
			inst.components.health:DoDelta(0)
		end
	end
end

local function getstatus(inst)
	if inst.MarkState then
		return string.upper(inst.MarkState)
	end
end

local fn = function(inst)
	inst:AddComponent("named")

	inst.entity:AddLight()
    inst.Light:Enable(false)
	inst.Light:SetRadius(8)
    inst.Light:SetFalloff(.6)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(255/255,161/255,161/255)
	
	if inst.darkiplierthreshold == nil then
		inst.darkiplierthreshold = MarkMod.DarkThresh
	end
	inst.MarkState = "Markiplier"
	inst.MarkStateChooser = inst.MarkState --for loading properly
	inst.SpawnSafe = true
	inst.SpawnBab = true
	inst.KeyDrop = true
	inst.BackToMark = MarkiplierStats
	inst.ApplyDarkness = Darkiplier
	inst.ApplyWarfstache = IsWilford
	inst.ApplyFedora = IsFedoraplier
	inst.RemoveHat = RemoveHat
	inst.ManiacNote = ManiacNote
	inst.GimmieLight = false
	inst.HeroSpawned = false
	inst.ManiacTimer = 0
	inst.HelpShown = false
	
	inst.components.inventory:GuaranteeItems({"blacksmithnote"})
	
	inst:AddComponent("inspectable")
	inst.components.inspectable.getstatus = getstatus
	
    inst:ListenForEvent( "nighttime", function() SetMarkManiac(inst) end, GetWorld() )
	inst:ListenForEvent( "daytime", function() MakeMarkiplier(inst) end, GetWorld() )
	inst:DoPeriodicTask(5, function() if inst.MarkState ~= "Maniac" then Darkiplier(inst) end end)
	inst.components.eater:SetOnEatFn(healthymeats)
	
	inst:DoTaskInTime(0.3, function()
		if not GetWorld():IsCave() then
			if inst.SpawnSafe == true then
				if TheSim:FindFirstEntityWithTag("BLACKSMITHSWORD") or TheSim:FindFirstEntityWithTag("blacksmithsafe") then
					inst.SpawnSafe = false
				elseif not TheSim:FindFirstEntityWithTag("BLACKSMITHSWORD") and not TheSim:FindFirstEntityWithTag("blacksmithsafe") then
					local t_loc = getrandomposition(inst)
					local LBS = SpawnPrefab("lockedblacksmithsafe")
					LBS.Transform:SetPosition(t_loc.x, t_loc.y, t_loc.z)
					inst.SpawnSafe = false
				end
			end
			if inst.SpawnBab == true then
				if TheSim:FindFirstEntityWithTag("FEDORAPLIERHAT") or TheSim:FindFirstEntityWithTag("patientbab") then
					inst.SpawnBab = false
				elseif not TheSim:FindFirstEntityWithTag("FEDORAPLIERHAT") and not TheSim:FindFirstEntityWithTag("patientbab") then
					local b_loc = getrandomposition(inst)
					local SSB = SpawnPrefab("patientbab")
					SSB.Transform:SetPosition(b_loc.x, b_loc.y, b_loc.z)
					inst.SpawnBab = false
				end
			end
		end
	end)
	
	inst.soundsname = "markiplier"
	inst.entity:AddMiniMapEntity()
    inst.components.health:SetMaxHealth(200)
	inst.components.hunger:SetMax(200)
	inst.components.sanity:SetMax(200)
	inst:AddTag("markiplier")
	
	MarkiplierStats(inst)
	inst:SetStateGraph("SGwilson")
	inst.AnimState:SetBuild("markiplier")
	inst.AnimState:SetBank("wilson")
	
	inst.OnSave = onsave
	inst.OnLoad = onload

	inst:DoPeriodicTask(0.1, function()
		local MARKSTATE = nil
		if MARKSTATE ~= inst.MarkState then
			MARKSTATE = string.lower(inst.MarkState)
		end
		if NightmaresTab == true then
			STRINGS.DUSKSTALKER_LINES.markiplier = STRINGS.DS1[MARKSTATE]
			STRINGS.DUSKSTALKER_LINES_TWO.markiplier = STRINGS.DS2[MARKSTATE]
			STRINGS.DUSKSTALKER_LINES_THREE.markiplier = STRINGS.DS3[MARKSTATE]
			STRINGS.DUSKSTALKER_LINES_FOUR.markiplier = STRINGS.DS4[MARKSTATE]
			STRINGS.DUSKSTALKER_LINES_FIVE.markiplier = STRINGS.DS5[MARKSTATE]
		end
	end)
end

return MakePlayerCharacter("markiplier", prefabs, assets, fn , start_inv)