local assets = {
	Asset("ANIM", "anim/operatingtool.zip"),
	Asset("ANIM", "anim/swap_operatingtool.zip"),
}

local prefabs = {}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_operatingtool", "swap_hammer")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end

local function onattack(inst, attacker, target)
	if math.random(1,100) <= 25 then
		if target.components.health then
			target.AnimState:SetMultColour(1,0.5,0.5,1)
			SpawnPrefab("bleed").Transform:SetPosition(target:GetPosition():Get())
			target.bleedCount = math.random(5,9)
			if target.bleedTask == nil then
				target.bleedTask = target:DoPeriodicTask(1, function()
					target.AnimState:SetMultColour(1,0,0,1)
					SpawnPrefab("bleed").Transform:SetPosition(target:GetPosition():Get())
					target.components.health:DoDelta(-5)
					target:DoTaskInTime(0.2, function() target.AnimState:SetMultColour(1,0.5,0.5,1) end)
					target.bleedCount = target.bleedCount -1
					if target.bleedCount <= 1 then
						target:DoTaskInTime(0.3, function()
							if target.poisoned == true then
								target.AnimState:SetMultColour(0.5,1,0.5,0.9)
							else
								target.AnimState:SetMultColour(1,1,1,1)
							end
							target.bleedTask:Cancel()
							target.bleedTask = nil
						end)
					end
				end)
			end
		end
	end
end
    
local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("hammer")
    anim:SetBuild("operatingtool")
    anim:PlayAnimation("idle")

    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.OPERATE)

	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(35)
	inst.components.weapon:SetOnAttack(onattack)
	
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(130)
    inst.components.finiteuses:SetUses(130)
    
    inst.components.finiteuses:SetOnFinished( onfinished )
    inst.components.finiteuses:SetConsumption(ACTIONS.OPERATE, 5)
	--inst.components.finiteuses:SetConsumption(ACTIONS.ATTACK, 1)
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/operatingtool.xml"
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/operatingtool", fn, assets, prefabs) 