local assets = {
	Asset("ANIM", "anim/timstinyplushy.zip"),
	Asset("ATLAS", "images/inventoryimages/tinytimdevice.xml")
}

local prefabs = { "tinyboxtim" }

local function SpawnTim(inst)
	local tinyboxtim = TheSim:FindFirstEntityWithTag("tinyboxtim")
	if not tinyboxtim then
		local theta = math.random() * 2 * PI
		local pt = inst:GetPosition()
		local radius = math.random(30, 40)
		local offset = FindWalkableOffset(pt, theta, radius, 12, true)
		if offset then
			local tim = SpawnPrefab("tinyboxtim")
			local pos = pt + offset
			tim.Transform:SetPosition(pos:Get())
		end
	end	
	inst:DoTaskInTime(0.1, function()
		if not inst.components.leader:IsBeingFollowedBy("tinyboxtim") then
			TheSim:FindFirstEntityWithTag("tinyboxtim").components.follower:SetLeader(inst)
		end
	end)
end

local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("timstinyplushy")
    inst.AnimState:SetBuild("timstinyplushy")
    inst.AnimState:PlayAnimation("idle", true)
	inst.entity:AddDynamicShadow()
	inst.DynamicShadow:SetSize( 1, 1 )
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("tinytimdevice.tex")
	
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("markiplier")
	
	inst:AddTag("irreplaceable")
	inst:AddTag("tinytimdevice")
	MakeInventoryPhysics(inst)
	inst:AddComponent("leader")
	inst:AddComponent("inspectable")
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/tinytimdevice.xml"
	inst:DoPeriodicTask(0.1, function() SpawnTim(inst) end)

	return inst
end

return Prefab( "common/tinytimdevice", fn, assets) 