local assets = {
    Asset("ANIM", "anim/warfstache.zip"),
    Asset("ATLAS", "images/inventoryimages/warfstache.xml")
}

local function onequip(inst, owner) 
	owner.AnimState:OverrideSymbol("swap_hat", "warfstache", "swap_hat")
	owner.AnimState:Show("HAT")
	if owner.prefab == "markiplier" then
		if owner.MarkState ~= "Darkiplier" then
			owner.MarkState = "Wilford"
			owner:ApplyWarfstache(owner)
		elseif owner.MarkState == "Darkiplier" then
			owner:DoTaskInTime(0.2, function(owner)
				owner:RemoveHat(owner)
				owner.components.talker:Say(STRINGS.MARKIMODSTRINGS.CANCEL_WILF_DARK)
			end)
		end
	end
end

local function onunequip(inst, owner) 
	if owner.prefab == "markiplier" then
		if owner.MarkState == "Wilford" then
			if owner.components.sanity.current >= owner.darkiplierthreshold then
				owner:BackToMark(owner)
			else
				owner:ApplyDarkness(owner)
			end
		end
	end
	owner.AnimState:Hide("HAT")
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst:AddTag("hat")
	inst:AddTag("warfstache")
    
    anim:SetBank("beehat")
    anim:SetBuild("warfstache")
    anim:PlayAnimation("anim")
	
    inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("markiplier")
	
    inst:AddComponent("inspectable")
    
    inst:AddTag("irreplaceable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/warfstache.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("warfstache.tex")
	
	inst.SpawnableFX = true
	
	inst:DoPeriodicTask(0.1, function()
		local owner = inst.components.inventoryitem.owner
		local WarFX = TheSim:FindFirstEntityWithTag("WarFX")
		if owner == nil then
			if not WarFX then
				if inst.SpawnableFX == true then
					SpawnPrefab("warfx").Transform:SetPosition(inst:GetPosition():Get())
					inst.SpawnableFX = false
				end
			end
		else
			if WarFX then
				TheSim:FindFirstEntityWithTag("WarFX"):Remove()
				inst.SpawnableFX = true
			end
		end
	end)
    
    return inst
end

return Prefab( "common/inventory/warfstache", fn, assets) 