local assets = {
	Asset("ANIM", "anim/squirrelplush.zip"),
	Asset("ATLAS", "images/inventoryimages/lexitoy.xml")
}

local prefabs = { "lexi" }

local function SpawnLexi(inst)
	local lexi = TheSim:FindFirstEntityWithTag("lexi")
	if not lexi then
		local theta = math.random() * 2 * PI
		local pt = inst:GetPosition()
		local radius = math.random(30, 40)
		local offset = FindWalkableOffset(pt, theta, radius, 12, true)
		if offset then
			local lex = SpawnPrefab("lexi")
			local pos = pt + offset
			lex.Transform:SetPosition(pos:Get())
		end
	end	
	inst:DoTaskInTime(0.1, function()
		if not inst.components.leader:IsBeingFollowedBy("lexi") then
			TheSim:FindFirstEntityWithTag("lexi").components.follower:SetLeader(inst)
		end
	end)
end

local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("squirrelplush")
    inst.AnimState:SetBuild("squirrelplush")
    inst.AnimState:PlayAnimation("idle")
	inst.entity:AddDynamicShadow()
	inst.DynamicShadow:SetSize( 1, 1 )
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("lexitoy.tex")
	inst.Transform:SetScale(0.4,0.4,0.4)
	
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("muyskerm")
	
	inst:AddTag("irreplaceable")
	inst:AddTag("lexitoy")
	MakeInventoryPhysics(inst)
	inst:AddComponent("leader")
	inst:AddComponent("inspectable")
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/lexitoy.xml"
	inst:DoPeriodicTask(0.1, function() SpawnLexi(inst) end)

	return inst
end

return Prefab( "common/lexitoy", fn, assets) 