local MakePlayerCharacter = require "prefabs/player_common"
local MarkimodHelpScreen = require "screens/markimodcallforhelpscreen"

local assets = {
	Asset( "SOUND", "sound/markiplier_sounds_bank00.fsb" ),
	Asset( "ANIM", "anim/muyskerm.zip" ),
	Asset( "IMAGE", "minimap/muyskerm.tex" ),
	Asset( "ATLAS", "minimap/muyskerm.xml" )
}

local prefabs = {
	"lexitoy",
	"muyskermscope",
	"muyskerm_pistol",
	"muyskerm_ammo_1",
	"muyskerm_ammo_2",
	"muyskerm_ammo_3"
}

local start_inv_temp = {"lexitoy","blueprint"}
local start_test = {"muyskerm_pistol","cutgrass","pinecone","twigs"}
local nontest_start = {"muyskerm_scope"}
if MarkMod.BobTest ~= true then
table.insert(start_inv_temp, nontest_start[1]) else
for k,v in pairs(start_test) do
table.insert(start_inv_temp, v) end end
local start_inv = start_inv_temp

local function onsave(inst, data)
	data.HelpShown = inst.HelpShown
end

local function onload(inst, data)
	if data then
		inst.HelpShown = data.HelpShown or false
		if inst.HelpShown == false then
			inst:DoTaskInTime(1, function() TheFrontEnd:PushScreen(MarkimodHelpScreen()) end)
		end
	end
end

local fn = function(inst)
	inst.HelpShown = false
	inst.OnSave = onsave
	inst.OnLoad = onload
	inst.soundsname = "wilson" --"muyskerm" using wilson until we have muyskerm sound files
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("muyskerm.tex")
	inst:SetStateGraph("SGwilson")
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("muyskerm")
	inst:AddComponent("reader")
    inst.components.health:SetMaxHealth(225)
	inst.components.hunger:SetMax(200)
	inst.components.sanity:SetMax(180)
	inst.components.sanity.neg_aura_mult = (0.9)
    inst.components.sanity.night_drain_mult = (0.9)
	inst.components.combat.damagemultiplier = (1.15)
	inst.components.health.absorb = 0.1
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.9)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.9)
end

return MakePlayerCharacter("muyskerm", prefabs, assets, fn , start_inv)