local assets = {
	Asset("ANIM", "anim/warfbug_dead.zip"),
	Asset("ATLAS", "images/inventoryimages/warfbug_dead.xml")
}

local prefabs = { "spoiled_food" }

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)
    
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_MEDSMALL * 0.6
    inst.components.edible.hungervalue = TUNING.CALORIES_TINY * 0.5
    inst.components.edible.foodtype = "MEAT"

    
    inst.AnimState:SetBank("warfbug_dead")
    inst.AnimState:SetBuild("warfbug_dead")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/warfbug_dead.xml"
    
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    
    return inst
end

return Prefab( "common/inventory/warfbug_dead", fn, assets, prefabs) 
