local assets = {
	Asset("ANIM", "anim/warfbutter.zip"),
	Asset("ATLAS", "images/inventoryimages/warfbutter.xml")
}

local prefabs = { "spoiled_food" }

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("warfbutter")
    inst.AnimState:SetBuild("warfbutter")
    inst.AnimState:PlayAnimation("warfbutter")

	inst.Transform:SetScale(0.5, 0.5, 0.5)
	
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/warfbutter.xml"
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	 
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_LARGE * 0.75
    inst.components.edible.hungervalue = TUNING.CALORIES_MED * 0.75
	inst.components.edible.foodtype = "MEAT"
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERSLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
    
    return inst
end

return Prefab( "common/inventory/warfbutter", fn, assets, prefabs) 
