local assets = { Asset("ANIM", "anim/warflowers.zip") }

local prefabs = { "warfmini" }    

local names = {"f1","f2","f3","f4","f5"}

local function SpawnWarfbugs(inst)
	inst.SpawningBugs = true
	inst:DoTaskInTime(math.random(30,60), function()
		local A_total = 0
		local B_total = 0
		local pos = inst:GetPosition()
		for k,v in pairs(TheSim:FindEntities(pos.x, pos.y, pos.z, 20)) do
			if v.prefab == "warflower" then
				A_total = A_total + 1
			elseif v.prefab == "warfbug" then
				B_total = B_total + 1
			end
		end
		local B_cap = A_total * 0.4
		if B_total < B_cap then
			local Spawner = math.random(1,100)
			if Spawner <= 15 then
				if GetClock():IsDay() then
					SpawnPrefab("warfbug").Transform:SetPosition(inst:GetPosition():Get())
				end
			end
		end
		SpawnWarfbugs(inst)
	end)
end

local function onsave(inst, data)
	data.anim = inst.animname
end

local function onload(inst, data)
    if data and data.anim then
        inst.animname = data.anim
	    inst.AnimState:PlayAnimation(inst.animname)
	end
	if inst.SpawningBugs == false then
		SpawnWarfbugs(inst)
	end
end

local function onpickedfn(inst, picker)
	if picker then
		if picker.components.sanity then picker.components.sanity:DoDelta(3) end
		if picker.components.stache then picker.components.stache:DoDelta(3) end
		local MiniAmount = MarkMod.WarfMinis
		local Warfmini = SpawnPrefab("warfmini")
		if MiniAmount >= 2 then
			for i = 1,(MiniAmount - 1) do
				picker.components.inventory:GiveItem(Warfmini)
			end
		end
	end	
	
	inst:Remove()
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	
	inst.entity:AddAnimState()
    inst.AnimState:SetBank("warflowers")
    inst.animname = names[math.random(#names)]
    inst.AnimState:SetBuild("warflowers")
    inst.AnimState:PlayAnimation(inst.animname)
    inst.AnimState:SetRayTestOnBB(true);
    
    inst:AddTag("flower")
    inst:AddTag("warflower")
	
    inst:AddComponent("inspectable")
    
    inst:AddComponent("pickable")
    inst.components.pickable.picksound = "dontstarve/wilson/pickup_plants"
    inst.components.pickable:SetUp("warfmini", 10)
	inst.components.pickable.onpickedfn = onpickedfn
    inst.components.pickable.quickpick = true
    
	MakeSmallBurnable(inst)
    MakeSmallPropagator(inst)
	
	inst.SpawningBugs = false
	SpawnWarfbugs(inst)

	inst.Transform:SetScale(1.5,1.5,1.5)

    --------SaveLoad
    inst.OnSave = onsave 
    inst.OnLoad = onload 
    
    return inst
end

return Prefab( "forest/objects/warflower", fn, assets, prefabs) 