local assets = {
	Asset("ANIM", "anim/warfmini.zip"),
	Asset("ATLAS", "images/inventoryimages/warfmini.xml")
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
	local anim = inst.entity:AddAnimState()
    anim:SetBank("warfmini")
    anim:SetBuild("warfmini")
    anim:PlayAnimation("idle")  
	inst.Transform:SetScale(0.4,0.4,0.4)
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 99

    inst:AddComponent("tradable")
 
    inst:AddComponent("inspectable")
    
    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.TINY_FUEL
    
	MakeSmallBurnable(inst, TUNING.TINY_BURNTIME)
    MakeSmallPropagator(inst)
    
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/warfmini.xml"
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_TINY
    inst.components.edible.hungervalue = 0.5
    inst.components.edible.foodtype = "MEAT"
    
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERSLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
	inst.PerishingNow = true
    inst:DoPeriodicTask(0.1, function()
		if inst.components.inventoryitem.owner and inst.components.inventoryitem.owner:HasTag("fridge") then
			if inst.PerishingNow == true then
				inst.components.perishable:StopPerishing()
				inst.PerishingNow = false
			end
		else
			if inst.PerishingNow == false then
				inst.components.perishable:StartPerishing()
				inst.PerishingNow = true
			end
		end
	end)
    
    return inst
end

return Prefab( "common/inventory/warfmini", fn, assets) 

