local assets = {
    Asset("ANIM", "anim/warfmuffin.zip"),
    Asset("IMAGE", "images/inventoryimages/warfmuffin.tex"),
    Asset("ATLAS", "images/inventoryimages/warfmuffin.xml"),
}

local prefabs = { "spoiled_food" }

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.AnimState:SetBank("warfmuffin")
    inst.AnimState:SetBuild("warfmuffin")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/warfmuffin.xml"


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 3
	 
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = 15
    inst.components.edible.hungervalue = 40
	inst.components.edible.sanityvalue = 20
	inst.components.edible.foodtype = "MEAT"
	
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_MED)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
    
    return inst
end

return Prefab( "common/inventory/warfmuffin", fn, assets, prefabs)