local MakePlayerCharacter = require "prefabs/player_common"
local MarkimodHelpScreen = require "screens/markimodcallforhelpscreen"

local assets = {
	Asset( "SOUND", "sound/markiplier_sounds_bank00.fsb" ),
	Asset( "ANIM", "anim/yamimash.zip" ),
	Asset( "IMAGE", "minimap/yamimash.tex" ),
	Asset( "ATLAS", "minimap/yamimash.xml" )
}

local prefabs = {}

local start_inv = {}

local function onsave(inst, data)
	data.HelpShown = inst.HelpShown
end

local function onload(inst, data)
	if data then
		inst.HelpShown = data.HelpShown or false
		if inst.HelpShown == false then
			inst:DoTaskInTime(1, function() TheFrontEnd:PushScreen(MarkimodHelpScreen()) end)
		end
	end
end

local fn = function(inst)
	inst.HelpShown = false
	inst.OnSave = onsave
	inst.OnLoad = onload
	inst.soundsname = "wilson" --"yamimash"
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("yamimash.tex")
	inst:SetStateGraph("SGwilson")
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("yamimash")
    inst.components.health:SetMaxHealth(150)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(150)
	inst.components.sanity.neg_aura_mult = (1)
    inst.components.sanity.night_drain_mult = (1)
	inst.components.combat.damagemultiplier = (1)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
end

return MakePlayerCharacter("yamimash", prefabs, assets, fn, start_inv)