local Screen = require "widgets/screen"
local Button = require "widgets/button"
local AnimButton = require "widgets/animbutton"
local ImageButton = require "widgets/imagebutton"
local Menu = require "widgets/menu"
local Text = require "widgets/text"
local Image = require "widgets/image"
local UIAnim = require "widgets/uianim"
local Widget = require "widgets/widget"

local SurgeryCompleteScreen = Class(Screen, function(self, bab)
	Screen._ctor(self, "SurgeryCompleteScreen")
	if not IsPaused() then SetPause(true) end
    TheInputProxy:SetCursorVisible(true)

	self.greyoverlay = self:AddChild(Image("images/greyoverlay.xml", "greyoverlay.tex"))
	local w, h = self.greyoverlay:GetSize()
	self.greyoverlay:SetTint(1,1,1,0.7)
	self.greyoverlay:SetVRegPoint(ANCHOR_MIDDLE)
    self.greyoverlay:SetHRegPoint(ANCHOR_MIDDLE)
    self.greyoverlay:SetVAnchor(ANCHOR_MIDDLE)
    self.greyoverlay:SetHAnchor(ANCHOR_MIDDLE)
    self.greyoverlay:SetScaleMode(SCALEMODE_FILLSCREEN)
	
	self.bloodmenu = self.greyoverlay:AddChild(Image("images/blood_menu.xml", "blood_menu.tex"))
	self.bloodmenu:SetScale(1.3)
	self.bloodmenu:SetPosition(0, 40, 0)
	self.bloodmenu:SetTint(1,1,1,0.8)
	
	self.root = self:AddChild(Widget("ROOT"))
    self.root:SetVAnchor(ANCHOR_MIDDLE)
    self.root:SetHAnchor(ANCHOR_MIDDLE)
    self.root:SetPosition(0,0,0)
    self.root:SetScaleMode(SCALEMODE_PROPORTIONAL)

    self.title = self.root:AddChild(Text(TITLEFONT, 70))
    self.title:SetPosition(0, 170, 0)
    self.title:SetString(STRINGS.MARKIMODSTRINGS.SURGERY_SCREEN_TITLE)
	
    self.text = self.root:AddChild(Text(BODYTEXTFONT, 30))
	self.text:SetVAlign(ANCHOR_TOP)
	self.text:SetPosition(0,-40,0)
    self.text:SetString(STRINGS.MARKIMODSTRINGS.SURGERY_SCREEN_DESC)
    self.text:EnableWordWrap(true)
    self.text:SetRegionSize(480*2, 200)

	self.menu = self.root:AddChild(ImageButton("images/blood_button.xml", "blood_button.tex"))
	self.menu:SetPosition(0, -250, 0)
	self.menu:SetText(STRINGS.MARKIMODSTRINGS.SURGERY_SCREEN_BUTTON)
	self.menu:SetOnClick(function() SetPause(false) bab:GiveHat(bab) TheFrontEnd:PopScreen() end)
end)

return SurgeryCompleteScreen