local M   = GLOBAL.MarkMod
local S   = GLOBAL.STRINGS
local A   = S.ACTIONS
local N   = S.NAMES
local C   = S.CHARACTERS
local R   = S.RECIPE_DESC
local CN  = S.CHARACTER_NAMES
local CT  = S.CHARACTER_TITLES
local CQ  = S.CHARACTER_QUOTES
local CD  = S.CHARACTER_DESCRIPTIONS
local W1  = C.GENERIC.DESCRIBE
local W2  = C.WILLOW.DESCRIBE
local W3  = C.WOLFGANG.DESCRIBE
local W4  = C.WENDY.DESCRIBE
local W5  = C.WX78.DESCRIBE
local W6  = C.WICKERBOTTOM.DESCRIBE
local W7  = C.WOODIE.DESCRIBE
local W8  = C.WAXWELL.DESCRIBE
local NMT = GLOBAL.NightmaresTab
local NM1 = S.DUSKSTALKER_LINES
local NM2 = S.DUSKSTALKER_LINES_TWO
local NM3 = S.DUSKSTALKER_LINES_THREE
local NM4 = S.DUSKSTALKER_LINES_FOUR
local NM5 = S.DUSKSTALKER_LINES_FIVE

S.MARKIMODSTRINGS = {}
local MM = S.MARKIMODSTRINGS
local require = GLOBAL.require

--Custom Event Quotes
MM.BLACKSMITH_START = "Where's... the..."
MM.BLACKSMITH = "BLAAAAAAAAAACKSMIIIIIIIITH?!"
MM.IS_THAT_THE_KEY = "IS THAT THE KEY TO THE BLACKSMITH?!"
MM.MANIAC_GONE = "The Maniac has disappeared!"
MM.AVENGEME = "AVENGE ME!!!"
MM.WHERE_IS_BLACKSMITH = "WHERE'S THE BLACKSMITH?!"
MM.BONK = "BONK!"
MM.BLACKSMITH_CANCEL = "Nevermind..."
MM.BLACKSMITH_CANCEL_DARK = "Blacksmith? I don't care about the blacksmith!"
MM.GRAB_TORCH = "I should grab that magically appearing torch..."
MM.BACK_TO_NORMAL = "What just happened?"
MM.BLACKSMITH_WARN = "I feel a sudden urge to find the blacksmith..."
MM.ENTER_DARKIPLIER = "I don't quite feel like myself..."
MM.LEAVE_DARKIPLIER = "I'm feeling much better!"
MM.CANCEL_WILF_DARK = "Keep that thing away from my face!"
MM.SURGERY_SCREEN_TITLE = "Surgery Complete!"
MM.SURGERY_SCREEN_DESC = "I'm sure he'll be fine!\nHere, have this hat as a reward!"
MM.SURGERY_SCREEN_BUTTON = "OK"

MM.WILFORD_RESTED = "I'm feeling well rested!"
MM.WILFORD_WORNOUT = "That was exhaustingly fun!"
MM.WILFORD_BACKTONORMAL = "That was fun!"
MM.WILFORD_LOWPOWER = "My Warfstache power is too low!"
MM.WILFORD_TIMER_1 = "I need to wait before I do that again..."
MM.WILFORD_TIMER_2 = "I still need to rest."
MM.WILFORD_TIMER_3 = "I'm almost done resting!"

--Different character announcements for the 2 guns in the mod...
MM.POOF = {
	default = "I feel like yelling poof!",
	wilson = "Poof...?",
	willow = "Poof up in a flame!",
	wendy = "This gun curses you to say poof.",
	wolfgang = "WOLFGANG POOFED YOU!",
	wx78 = "POOF MODULE ACCEPTED",
	wickerbottom = "...poof... This gun is a curse.",
	woodie = "Poof, right on the dot eh?",
	waxwell = "POOF!... That was oddly inappropriate...",
	wathgrithr = "I SHALL SMITE THOU WITH A VALKYRIC POOF!",
	webber = "We shall poof you all away...",
	
	markiplier = "HAHAH! POOF!",
	wilford = "POOF!",
	darkiplier = "I'm not going to say poof...\nYou can't make me!",
	fedoraplier = "Euphoric POOF!",
	santiplier = "I'LL POOF ALL THE KIDDIES",
	lordminion777 = "I don't know why but I want to say poof...",
	muyskerm = "A sudden urge just came over me... POOF!",
	yamimash = "I now understand why Mark loves to say poof so much..."
}

MM.I_MISSED = {
	default = "I missed...",
	wilson = "How could I have missed?",
	willow = "I missed! I'm better with fire...",
	wendy = "Missing is something I'm used to doing...",
	wolfgang = "How did Wolfgang miss?",
	wx78 = "AIMBOT MALFUNCTIONING",
	wickerbottom = "My superior intellect should not have allowed a miss!",
	woodie = "A Canadian eye isn't supposed to miss, eh...",
	waxwell = "I'm surprised I missed!",
	wathgrithr = "I missed? What sorcery is this?!",
	webber = "How could we miss? We have 8 more eyes than anyone else!",
	
	markiplier = "WHAT?! I MISSED?!",
	wilford = "I hate you for causing me to miss!",
	darkiplier = "Come back here to meet your death!",
	fedoraplier = "I did not miss you, you simply missed the bullet!",
	santiplier = "Oh... I missed again...",
	lordminion777 = "Missing? Me? How?",
	muyskerm = "uh oh, I missed...",
	yamimash = "I missed! Incredible!"
}

MM.OUT_OF_AMMO = {
	default = "I'm all out of ammo...",
	wilson = "My ammo has run dry!",
	willow = "Why can't I use fire as ammo?",
	wendy = "This gun's ammunition is as empty as my soul...",
	wolfgang = "Wolfgang can't keep gun going!",
	wx78 = "AMMO HAS DEPLETED",
	wickerbottom = "Logic would presume that nothing lasts forever.\nThere's no more ammunition!",
	woodie = "Eh, I'll need some more ammo to fire this!",
	waxwell = "I've run out of ammunition.",
	wathgrithr = "Alas, my ammo is gone!",
	webber = "We've run out of our ammo!",
	
	markiplier = "NO! I've run out of ammo!",
	wilford = "My wonderful ammo is all gone!",
	darkiplier = "This is a blessing and a curse...\nI'm all out of ammo!",
	fedoraplier = "By god by golly, it appears my ammo stores are out!",
	santiplier = "SANTIPLIER'S RAGE IS AT IT'S PEAK! I HAVE NO AMMO!!!",
	lordminion777 = "I thought I would never run out of ammo!",
	muyskerm = "My ammunition is completely depleted!",
	yamimash = "Awww... I ran out of ammo..."
}

MM.HEADSHOT = {
	default = "HEADSHOT!",
	wilson = "Right in your brain!",
	willow = "This gun has unleashed the true power of fire!",
	wendy = "The hole that's now in your head looks like the one in my soul.",
	wolfgang = "Bullet hurt weak head!",
	wx78 = "DAMAGE INDICATORS OFF THE CHARTS",
	wickerbottom = "I've delivered a devastating cranial fracture.",
	woodie = "Right in the noggin, eh?",
	waxwell = "My aim is better than I thought it was!",
	wathgrithr = "Váli and Freyja are with me!",
	webber = "We have two brains, you now have zero!",
	
	markiplier = "I BOOSHED YOUR FACE IN!",
	wilford = "Looks like you won't be doing much thinking anymore...",
	darkiplier = "I've created a dark hole in your mind!",
	fedoraplier = "Clearly, your IQ level has just dropped!",
	santiplier = "Did I just get a headshot? Santiplier can't see clearly...",
	lordminion777 = "Why didn't its head explode?",
	muyskerm = "Oooooh, HEADSHOT!",
	yamimash = "Ooh... that looked painful!"
}

MM.OPERATE = {
	default = {},
	wilson = {"I'm covered in blood!"},
	willow = {},
	wendy = {},
	wolfgang = {},
	wx78 = {},
	wickerbottom = {"I'll need to expose his thoracic region and insert a new heart."},
	woodie = {"You're in pretty bad shape, eh? I'll have to fix you up!"},
	waxwell = {"I could be doing far more important things right now..."},
	wathgrithr = {},
	webber = {},
	
	markiplier = {"SHUT UP NURSE!", "NO NO NO NO NO!", "STOP HOLDING THIS BACKWORDS", "FUUUUUUUUUUUUUUUUUUUUUU--dge...", "WORK RIGHT!", "I HATE YOU!"},
	wilford = {"Where did it all go so wrong?!"},
	darkiplier = {"He could die right now, as far as I care."},
	fedoraplier = {"My amazing medical skills will heal this patient in an euphorically short period of time."},
	santiplier = {},
	lordminion777 = {},
	muyskerm = {},
	yamimash = {}
}

MM.BLACKSMITHRAGE = {
 "Where the HECK IS THE BLACKSMITH?",
 "Stop playing games with me, Blacksmith!",
 "I'm still going to find you, Blacksmith! \nI swear I will!",
 "Where could the Blacksmith BE?",
 "Finding you might not be an easy task, but I'll accomplish it!",
 "Where are you hiding, you filthy Blacksmith?!",
 "Argh, mark my words, Blacksmith! \nI'LL FIND YOU, ONE DAY!",
 "I'll never give up searching for you, Blacksmith!",
 "You'll regret the day I find you!",
 "The Blacksmith better be ready to fight me once I find him!",
 "I'm gonna take all his tools when I find him!",
 "You'll regret every letter you've written in this note once I find you!",
 "Just you wait, Blacksmith! \nI will find you!",
 "curse you, Blacksmith!",
 "Why you little!"
}

MM.BLACKSMITHTAUNT = {
 "\"You'll never find me.\" - The Blacksmith\n",
 "\"Even a little baby would be able to find me.\" - The Blacksmith\n",
 "\"Any luck finding me yet?\" - The Blacksmith\n",
 "\"You won't be able to find me, not even in your dreams.\" - The Blacksmith\n",
 "\"I believe I should warn you, you're very far away from me.\" - The Blacksmith\n",
 "\"Why don't you just give up your search for me?\" - The Blacksmith\n",
 "\"Just give up, you'll never find me. Ever. \" - The Blacksmith\n",
 "\"It's hopeless for you. You'll never find me.\" - The Blacksmith\n",
 "\"You wouldn't be able to find me even if I gave you a map to my house.\" - The Blacksmith\n",
 "\"It's funny to watch you trying to find me. A shame you'll never accomplish this task.\" - The Blacksmith\n",
 "\"You're now getting near me. \nOh sorry, my mistake, NOT*\" - The Blacksmith\n",
 "\"You're getting closer! Oh wait no you aren't...\" - The Blacksmith\n",
 "\"You're getting farther and farther away from me.\" - The Blacksmith\n",
 "\"How about we play 'Find the Blacksmith'? Oh wait, we already are.\" - The Blacksmith\n",
 "\"Two words. Give up.\" - The Blacksmith\n"
}

--Beer announcements
MM.DRINK = {
	default = "Oh boy...",
	wilson = "I immediately regret this!",
	willow = "Now my insides are now flammable...",
	wendy = "I suddenly feel... Happy...",
	wolfgang = "Wolfgang doesn't understand this feeling!",
	wx78 = "LOOSING ALL CONTROL OVER SELF",
	wickerbottom = "Drinking this was a horrible choice.",
	woodie = "Nuthin' like a good beer, eh?",
	waxwell = "This isn't regular beer...",
	wathgrithr = "The perfect way to celebrate victory!",
	webber = "We are too young for this...",
	
	markiplier = "Wait, I'm not playing Minecraft...",
	wilford = "I really enjoy the taste of this!",
	darkiplier = "This doesn't make me feel better... Just more evil!",
	fedoraplier = "Quite the beverage for a tea replacement!",
	santiplier = "SANTA WILL KILL ALL THE KIDDIES!",
	lordminion777 = "It doesn't taste as horrible as when Molly makes drinks...",
	muyskerm = "That beer was unusual tasting...",
	yamimash = "Ok, that was weird..."
}

MM.AWAKE = {
	default = "Where am I?",
	wilson = "I'm glad that's over...",
	willow = "My love for fire is now shrouded by how sick I feel...",
	wendy = "I am suddenly more depressed than before...",
	wolfgang = "Wolfgang's tummy is angry...",
	wx78 = "SYSTEM REBOOT PROCESS COMPLETE",
	wickerbottom = "How could I have chosen to sleep??",
	woodie = "Beer always brings about a hangover, eh?",
	waxwell = "I don't remember anything from the past few hours...",
	wathgrithr = "Ah, just like every day after a celebration!",
	webber = "OUR HEAD HURTS!!!",
	
	markiplier = "Ugh, hangovers suck",
	wilford = "Wow, I feel so horrible right now.",
	darkiplier = "YES! THE SICK FEELING IS GREAT!",
	fedoraplier = "A gentleman like myself shall not regret!",
	santiplier = "Santiplier doesn't feel too good...",
	lordminion777 = "Oh god, I thought I would never feel THIS bad!",
	muyskerm = "Don't feel very good at the moment...",
	yamimash = "That beer seems to cause complete memory loss..."
}

--Pun Quotes
MM.PIG_LIKE_PUNS = {
	"Pun good!",
	"Pun make happy!",
	"Love pun!"
}

MM.BUNNY_LIKE_PUNS = {
	"That was funny!"
}

MM.NOLIKE_PUN = {
	"THAT WAS HORRIBLE!"
}

local puns_temp = {
	"I wondered why the baseball was getting bigger. Then it hit me.",
	"What do you call an oversized Apple desktop? \nA Big Macintosh.",
	"Do you need to draw money? \nI could offer you a pencil.",
	"They're trying to censor the internet? \nThat's SOPA-thetic!",
	"Have you heard people are starting to pickpocket midgets? \nSeriously, who would stoop so low?",
	"How many Mexicans does it take to change a light bulb? \nJust Juan!",
	"Did you hear about the two guys who stole a calendar? \nThey each got 6 months.",
	"What do you call an alligator in a vest? \nAn investigator!",
	"I know some jokes about unemployment, but they need some work",
	"Why couldn't the bike stand on its own? \nBecause it was two tired!",
	"Did you hear about the guy whose whole left side was cut off? \nHe's all right now.",
	"Did you hear about the guy who got hit in the head with a can of soda? \nHe was lucky it was a soft drink.",
	"I don't trust stairs. Why? \nBecause they're always up to something.",
	"Don't trust people that do acupuncture. \nThey're back stabbers.",
	"Police were called to a daycare where a three-year-old was resisting a rest.",
	"Why do they put fences around cemeteries? \nBecause people are dying to get in",
	"Starting a band called 1023MB! \nWe'll never get a gig.",
	"What did the buffalo say to his son when he left for college? \nBison!",
	"Where do you drown a hipster? \nIn the mainstream",
	"2 fish were in a tank one asked the other: \n'How do I drive this thing?'",
	"Have you ever tried to eat a clock? \nIt's very time consuming.",
	"When the window fell into the incinerator, it was a pane in the ash to retrieve.",
	"I accidentally ate some food colouring!\nI'm OK, but I feel like I've dyed a little inside.",
	"A prisoner's favourite punctuation mark is the period. \nIt marks the end of his sentence.",
	"When Peter Pan punches, they Neverland!",
	"Why did the boy throw his clock out the window? He wanted to see time fly!",
	"What did the fish say when it ran into a wall? \nDam!",
	"Why do sharks swim in salt water? \nBecause pepper water makes them sneeze!",
	"I have a few jokes about unemployed people! \nBut it doesn't matter, none of them work.",
	"A blind man walks into a bar... And a chair... and a table.",
	"Einstein developed a theory about space, and it was about time too.",
}

local dirty_puns = {
	"Vagina jokes aren't funny... Period!",
	"The butcher backed up into the meat grinder and got a little behind in his work.",
}

--Event Quote Tables
local wilford_temp = {
	"It's me, Wilford Warfstache!",
	"I want some meat...",
	"I love my magnificent warfstache!",
	"I feel like I need to be interviewing things!",
	"Something needs an interviewing!",
	"Time to interview!",
	"Wilford Warfstache knows what's best!",
	"Where did it all go so wrong?"
}

local wilford_swears = {
	"Warfstache don't take shit from nobody!",
	"Time to kick ass!",
	"I'm oh so badass!",
	"FUCK OFF, Slenderman..."
}

local wilford_slang = {
	"Warfstache don't take crap from nobody!",
	"Time to kick butt!",
	"I'm oh so awesome!",
	"BUG OFF, Slenderman..."
}

local wilford_mark = { --these are quotes that only Mark can say when he puts on his warfstache item
	"I wonder where Markiplier just went...",
	"You don't need to look both ways when you got SWAG!"
}

local fedora_temp = {
	"I'm gunna be in your shower just to wash your back incase you need it!",
	"You daft idiot!",
	"As an alpha male, I am at the top of the food chain!",
	"M'Ladies!",
	"Gentlemen, and M'Ladies!",
	"How are you on this euphoric evening?",
	"(Because I respect women so much.)\nI've got tons of female friends.",
	"If you wanna just be my friend that's... Not ok...",
	"I've got a lot of style!",
	"Obviously, I'm good at video games!",
	"I'm very intelligent! I'm just not motivated enough...",
	"I'm the best catch! You can't get any better than me!",
	"Be fashionable... Be fashionable...",
	"I'll be there for you when you least need me!",
	"I'll be looking in your windows to make sure you are safe when you sleep!",
	"I'll be in your closet to make sure I'm always there when you need me.",
	"It's an awfully euphoric day don't you think?",
	"I'm so much better than the neanderthalic betas out there on the internet!",
	"You don't even know what it's like to live my life...",
	"You don't even know what it's like to be burdened by my intellect...",
	"My level of intelligence trying to find a peer to debate with is just impossible!",
	"Remember the next time you want a fashionable man, look up a man such as me!",
	"I've got a mind that would eclipse yours any day!",
	"I'm always willing to come to the defence of you M'Ladies on the internet.",
	"If I loose I win and if I win I win!",
	"How dare you, sir..."
}

local fedora_swear = {
	"You daft prat, I do say that your mother is the most fornicatious woman on whore street!"
}

local fedora_slang = {

}

local wilfveggie_temp = {
	"I am so glad I don't have to eat that on a regular basis...",
	"Plants are for hippies!",
	"Silly vegetarians... you should get meat in you anyway you can!",
	"I'm going to gag",
	"I wish I had some meat right about now...",
	"The only plant I enjoy is the warfstache plant!",
	"AKH",
	"blah",
	"ewwww",
	"Disgusting piece of yuk!",
	"I wish plants would start growing meats instead..."
}

local wilfveggie_swear = {
	"That was so fucking disgusting!",
	"DAMNIT that was gross!",
	"BALLS my mouth feels sick!",
	"Why in the hell did I just put that in my mouth?!"
}

local wilfveggie_slang = {
	"That was so fricking disgusting!",
	"DARNIT that was gross!",
	"AGH my mouth feels sick!",
	"Why in the heck did I just put that in my mouth?!"
}

local hero_temp = {
	"I'll kill him!",
	"You've been tormenting our blacksmith too much!",
	"For honour and pride!",
	"I can't let him touch my kids!",
	"You can't kill me!",
	"I'll be rich when I save the world!",
	"Take this, you brute!",
	"Leave us alone!",
	"I'll slay this monster!",
	"Let us be!",
	"I'll bring peace, one way or another!",
	"For the blacksmith, I smite thee!",
	"I've had it with you and your blacksmith searching ways!",
	"I'll put an end to your madness!",
	"Just die already!",
	"You're a freak of nature!",
	"When your dead the world will know my name!",
	"You are completely psychotic!",
	"The Blacksmith told me that you'll never find him!",
	"I wish Mark was here to help me kill this freak...",
	"Wilford Warfstache would know what to do!",
	"You're more trouble than Darkiplier...",
	"You got nothing on Santiplier's rampage!"
}

local hero_swear = {
	"I will so totally mount your head or ass above my fireplace!",
	"Die, damn you!",
	"Fuck you",
	"You scared my friend so bad he shit in his pants!",
	"You're such a dick...",
	"This shit has gone too far!",
	"I'm going to kick your ass!",
	"Bitch."
}

local hero_slang = {
	"I will so totally mount your head or butt above my fireplace!",
	"Die, darn you!",
	"Fudge you",
	"You scared my friend so bad he crapped in his pants!",
	"You're such a jerk...",
	"This crap has gone too far!",
	"I'm going to kick your butt!"
}

if M.SwearControl == true then
	for k,v in pairs(wilford_swears) do
		table.insert(wilford_temp, v)
	end
	for k,v in pairs(wilfveggie_swear) do
		table.insert(wilfveggie_temp, v)
	end
	for k,v in pairs(hero_swear) do
		table.insert(hero_temp, v)
	end
	for k,v in pairs(dirty_puns) do
		table.insert(puns_temp, v)
	end
	for k,v in pairs(fedora_swear) do
		table.insert(fedora_temp, v)
	end
else
	for k,v in pairs(wilford_slang) do
		table.insert(wilford_temp, v)
	end
	for k,v in pairs(wilfveggie_slang) do
		table.insert(wilfveggie_temp, v)
	end
	for k,v in pairs(hero_slang) do
		table.insert(hero_temp, v)
	end
	for k,v in pairs(fedora_slang) do
		table.insert(fedora_temp, v)
	end
end
MM.WILFORD = wilford_temp
MM.WILFORD_EAT_VEGGIE = wilfveggie_temp
MM.WILFORD_VS_MANIAC = hero_temp
MM.PUNS = puns_temp
MM.ENTER_FEDORAPLIER = fedora_temp

for k,v in pairs(wilford_mark) do
	table.insert(wilford_temp, v)
end
MM.MARK_WILFORD = wilford_temp

--Actions
A.BONK = "Bonk"
A.CYCLE_STATE = "Cycle State"
A.DRINK = "Drink"
A.OPERATE = "Operate"
A.GIRL_TRANSFORM_ON = "Activate"
A.GIRL_TRANSFORM_OFF = "Deactivate"
A.GIRL_LIGHT_ON = "Enable Light"
A.GIRL_LIGHT_OFF = "Disable Light"

--Character names, titles, quotes, etc.
CN.markiplier = "Markiplier"
CN.wilford = "Wilford Warfstache"
CN.lordminion777 = "LordMinion777"
CN.muyskerm = "Muyskerm"
CN.yamimash = "Yamimash"
CN.santiplier = "Santiplier"
CN.darkiplier = "Darkiplier"

CT.markiplier = "The Youtuber"
CT.wilford = "The News Reporter"
CT.lordminion777 = "The King of Puns"
CT.muyskerm = "The Law Student"
CT.yamimash = "The Gamer"
CT.santiplier = "The Drunken \"Saint\""
CT.darkiplier = "The Emo Vampire"

CQ.markiplier = "\"I'm too pro!\""
CQ.wilford = "\"Where did it all go so wrong?!\""
CQ.lordminion777 = "\"I would never!\""
CQ.muyskerm = "\"You morons!\""
CQ.yamimash = "\"I am really scared...\""
if M.SwearControl == true then
	CQ.santiplier = "\"GET BACK HERE YOU BASTARD KIDDIES!\""
else
	CQ.santiplier = "\"GET BACK HERE YOU KIDDIES!\""
end
CQ.darkiplier = "\"I don't quite feel like myself...\""

CD.markiplier = "*Brings his magnificent Warfstache\n*Tiny Box Tim comes along on his adventure\n*Wants to know where the blacksmith is"
if M.SwearControl == true then
	CD.wilford = "*Loves meat and hates plants\n*Can generate raw badass energy\n*Obsesses over his Warfstache"
else
	CD.wilford = "*Loves meat and hates plants\n*Can generate raw awesome energy\n*Obsesses over his Warfstache"
end
CD.lordminion777 = "*Is a pun master\n*Grows a beard sometimes\n*Can clone Ted the alien\n*IS IN BETA*"
CD.muyskerm = "*Is more resourceful\n*Brings his pet dog Lexi\n*Has an awesome gun\n*IS IN BETA*"
CD.yamimash = "*Brings a Pokeball\n*Loves bangers and mashers\n*Is easily scared"
CD.santiplier = "*Can't go sober or he'll kill himself\n*Has a magical beard\n*Came to the island with his sleigh and kiddies"
CD.darkiplier = "*Hates everything but insanity\n*Everything hates him\n*Stole the GoogleIRL unit to help take the world"

--Speech
--No Markiplier however since his quotes change on a very regular basis! His quotes can only be handled within his prefab.
if M.SwearControl == true then
	C.WILFORD = require "speech/default/speech_wilford"
	C.LORDMINION777 = require "speech/default/speech_lordminion777"
	C.MUYSKERM = require "speech/default/speech_muyskerm"
	C.YAMIMASH = require "speech/default/speech_yamimash"
	C.SANTIPLIER = require "speech/default/speech_santiplier"
	C.DARKIPLIER = require "speech/default/speech_darkiplier"
else
	C.WILFORD = require "speech/slang/speech_wilford"
	C.LORDMINION777 = require "speech/slang/speech_lordminion777"
	C.MUYSKERM = require "speech/slang/speech_muyskerm"
	C.YAMIMASH = require "speech/slang/speech_yamimash"
	C.SANTIPLIER = require "speech/slang/speech_santiplier"
	C.DARKIPLIER = require "speech/slang/speech_darkiplier"
end
C.GOOGLEIRL = require "speech/speech_googleirl"

--DuskStalker quotes if someone has NightmaresTab mod enabled
if NMT == true then
	--Since DuskStalkers quotes change based on what state Mark is in we need to do things a little bit differently for him...
	S.DS1 = {}
	S.DS2 = {}
	S.DS3 = {}
	S.DS4 = {}
	S.DS5 = {}
	
	S.DS1.markiplier = "I wonder if that Tiny Box Tim of yours can float!"
	S.DS2.markiplier = "I don't think you are \"Too pro!\""
	S.DS3.markiplier = "I think your life is a lie!"
	S.DS4.markiplier = "Slenderman doesn't love you, it's in your imagination!"
	S.DS5.markiplier = "You have killed so many bobs that it isn't funny anymore..."
	
	S.DS1.wilford = "They aren't ready for Their interview, Mr. Warfstache. I hope you don't mind waiting a lot longer."
	S.DS2.wilford = "Why a pink moustache?"
	S.DS3.wilford = "I'm going to take all your meat away!"
	S.DS4.wilford = "Will you just drop the act Wilford?"
	S.DS5.wilford = "News flash, YOUR FOREVER ALONE ON THIS ISLAND!"
	
	S.DS1.darkiplier = "That's right... multiply your darkness..."
	S.DS2.darkiplier = "I love it when you are this way..."
	S.DS3.darkiplier = "You remind me of myself!"
	S.DS4.darkiplier = "Come, join us... Darkiplier..."
	S.DS5.darkiplier = "You look deathly... I like it..."
	
	S.DS1.fedoraplier = "May the fleas of a thousand reindeer invade your groin"
	S.DS2.fedoraplier = "You, sir, couldn't ever come up with a successful insult!"
	S.DS3.fedoraplier = "I do say, your hat makes your butt look fat!"
	S.DS4.fedoraplier = "Any one of my one hundred ten fedoras could beat your fedora in the back ally!"
	S.DS5.fedoraplier = "I'm not sorry but it looks like your parents got it on with a pig when you were conceived!"
	
	S.DS1.maniac = "I know where the blacksmith is..."
	S.DS2.maniac = "I think you've lost it..."
	S.DS3.maniac = "The blacksmith is REALLY easy to find..."
	S.DS4.maniac = "I was just talking with the blacksmith..."
	S.DS5.maniac = "Look at you... all confused and stupid..."
	
	NM1.wilford = "They aren't ready for Their interview, Mr. Warfstache. I hope you don't mind waiting a lot longer."
	NM2.wilford = "Why a pink moustache?"
	NM3.wilford = "I'm going to take all your meat away!"
	NM4.wilford = "Will you just drop the act Wilford?"
	NM5.wilford = "News flash, YOUR FOREVER ALONE ON THIS ISLAND!"
	
	NM1.darkiplier = "That's right... multiply your darkness..."
	NM2.darkiplier = "I love it when you are this way..."
	NM3.darkiplier = "You remind me of myself!"
	NM4.darkiplier = "Come, join us... Darkiplier..."
	NM5.darkiplier = "You look deathly... I like it..."
	
	NM1.lordminion777 = "Oh Wade, you are not THAT punny..."
	if M.SwearControl == true then
		NM2.lordminion777 = "Damnit Wade..."
	else
		NM2.lordminion777 = "Dangit Wade..."
	end
	NM3.lordminion777 = "Why do you keep such an evil monster around all the time?"
	NM4.lordminion777 = "Wade you are one of the only ones that can actually scare me..."
	NM5.lordminion777 = "Your lack of sleep is getting to you..."
	
	NM1.muyskerm = "Mark has killed so many Bobs... I think he's been wanting to operate on you too!"
	NM2.muyskerm = "Mark absolutely hates the \"Bob's brain\" item...\nHe called it \"stupid\"!"
	NM3.muyskerm = "Bob, you're underneath a shadow!"
	NM4.muyskerm = "Oh Bob... You were destined to come here and fester in the darkness..."
	NM5.muyskerm = "A student of law? More like a moron that plays video games!\nJust like the rest..."
	
	NM1.yamimash = "The Markimash ship just hit an iceberg!"
	NM2.yamimash = "Did you know Yami means darkness? I like that..."
	NM3.yamimash = "You're a complete baby Yamimash!"
	NM4.yamimash = "Am I scaring you yet Yamimash?"
	NM5.yamimash = "You're not good at games... Just simulators!\nUp next, unconscious simulator!"
	
	NM1.santiplier = "I should put you out of your miseries..."
	NM2.santiplier = "You are so drunk that you probably think I'm a side-effect don't you?"
	NM3.santiplier = "You've killed more than I have!"
	NM4.santiplier = "This is just plain ridiculousness."
	NM5.santiplier = "You make Maxwell look like the good guy!"
end

--Names
N.WARFSTACHE = "Warfstache"
N.TINYBOXTIM = "Tiny Box Tim"
N.TINYTIMDEVICE = "Tim's Tiny Plushy"
N.HOODEDHERO = "The Hooded Hero"
N.BLACKSMITHKEY = "The Blacksmith's Universal Key"
N.LOCKEDBLACKSMITHSAFE = "The Locked Blacksmith's Safe"
N.UNLOCKEDBLACKSMITHSAFE = "The Blacksmith's Safe"
N.BLACKSMITHNOTE = "The Blacksmith's Note"
N.BLACKSMITHSWORD = "The Blacksmith's Sword"
N.BLACKSMITHPLATINUM = "The Blacksmith's Platinum"
N.PATIENTBAB = "The Lost Patient"
N.HEARTBOX = "Donor Box"
N.NEW_HEART = "New Heart"
N.OPERATINGTOOL = "Face Saw"
N.FEDORA = "Fedora"
N.WARFSTAFF = "The Warfstaff"
N.WARFSTAFF_EMPTY = "Empty Warfstaff"
N.WARFBUG = "Warf-Bug"
N.WARFBUG_DEAD = "Dead Warf-Bug"
N.WARFLOWER = "Warf-Flower"
N.WARFMINI = "WarfMini"
N.WARFBUTTER = "WarfButter"
N.POOFGUN = "Poof Gun"
N.POOFGUN_BROKEN = "Broken Gold Pistol"
N.WARFMUFFIN = "Warf-Muffin"
N.BOOZE = "Booze"
N.PINKFUZZ = "Pink Fuzz"
N.TED = "Ted"
N.TEDCLONER = "Ted-Clonerizor 3000"
N.PUNBOOK = "The Pun-ishing Tales of Wade"
N.CLONERPOWERSOURCE = "Super Ultra Mega Future Battery"
N.MUYSKERM_PISTOL = "Scoped Pistol"
N.LEXI = "Lexi"
N.LEXITOY = "Lexi's Squirrel Toy"
N.MUYSKERM_SCOPE = "Scope"
N.MUYSKERM_AMMO_1 = "Scoped Pistol Ammo"
N.MUYSKERM_AMMO_2 = "Magic Ammo"
N.MUYSKERM_AMMO_3 = "Healing Ammo"
N.GOOGLEIRL = "GoogleIRL"
N.GOOGLEIRLITEM = "GoogleIRL"
N.GOOGLEPIECE = "GoogleIRL HardDrive"
N.CHROMESWORD = "Chrome Sword"

--Recipe Description
R.BLACKSMITHSWORD = "Create the most powerful sword ever!"
R.OPERATINGTOOL = "To operate on random patients you find!"
R.WARFSTAFF = "The staff of legends."
R.POOFGUN = "Poof your enemies away!"
R.BLUEPRINT = "Learn some random things!"
R.MUYSKERM_PISTOL = "For long ranged fun!"
R.MUYSKERM_AMMO_1 = "Gotta keep your gun stocked."
R.MUYSKERM_AMMO_2 = "Show your enemies magic!"
R.MUYSKERM_AMMO_3 = "Heal your friends."
R.TEDCLONER = "Clone your friend! (one at a time.)"
R.PUNBOOK = "A pun-derful book of laughs!"
R.GOOGLEIRL = "A Drone to answer your questions!"

--Wilson Examinations (and mod characters that have not yet written quotes)
W1.MARKIPLIER = {
	GENERIC 					= "I've seen your videos... You are annoying.",
	MARKIPLIER					= "I've seen your videos... You are annoying.",
	WILFORD						= "When did the pink moustache become a thing?",
	DARKIPLIER					= "Now you're someone I can relate to!",
	MANIAC						= "All brain functions have just shut down for you haven't they?",
	FEDORAPLIER					= "Interesting, the darkness gets to him more than anyone else!"
}
W1.WILFORD = {
	GENERIC						= "Wilford the news reporter? Was there a Slenderman sighting?",
	AVERAGE						= "Wilford the news reporter? Was there a Slenderman sighting?",
	MIGHTY						= "You are one buff news reporter."
}
W1.LORDMINION777 				= "His hands are unusually feminine."
W1.MUYSKERM						= "I once thought to study law... For about 3 seconds."
W1.YAMIMASH						= "We should have a tea party sometime!"
W1.SANTIPLIER					= "It smells funny!"
W1.WARFSTACHE 					= "It's a pink moustache."
W1.TINYBOXTIM = {
	GENERIC 					= "A living box! I wonder if he'd like science...",
	WARFBOX 					= "Interesting... The box knows how to wear cosmetics!",
	EUPHORICBOX					= "I can relate with this box's form!",
	WARFORICBOX					= "Now you are contradicting yourself!"
}
W1.TINYTIMDEVICE 				= "This thing should be classified as a bio-hazard"
W1.HOODEDHERO 					= "He seems like he really wants to kill Mark..."
W1.BLACKSMITHKEY 				= "The creator of this was an advanced god of science!"
W1.LOCKEDBLACKSMITHSAFE 		= "Nothing can destroy this or it's lock ever..."
W1.UNLOCKEDBLACKSMITHSAFE 		= "A rather large indestructible safe for my things!"
W1.BLACKSMITHSWORD 				= "Who needs black magic when you have dark science?"
W1.BLACKSMITHSWORD_BLUEPRINT 	= "This blueprint is seriously advanced"
W1.BLACKSMITHPLATINUM 			= "Rebuilt atom by atom to become the strongest metal in the universe!"
W1.BLACKSMITHNOTE = {
	GENERIC						= "This is the most scientifically advanced piece of paper in the world!",
	DAY_NOREAD					= "It can't be read in the sunlight... I wonder how he managed this!",
	CAVE_NOREAD					= "It's far too dark down here to read this!",
	ALREADY_READ_TONIGHT		= "AMAZING! The text dissapears after you read it once!",
	BLACKSMITH_1				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[1].."uh... what?",
	BLACKSMITH_2				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[2].."",
	BLACKSMITH_3				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[3].."",
	BLACKSMITH_4				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[4].."",
	BLACKSMITH_5				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[5].."",
	BLACKSMITH_6				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[6].."",
	BLACKSMITH_7				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[7].."",
	BLACKSMITH_8				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[8].."",
	BLACKSMITH_9				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[9].."",
	BLACKSMITH_10				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[10].."",
	BLACKSMITH_11				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[11].."",
	BLACKSMITH_12				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[12].."",
	BLACKSMITH_13				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[13].."",
	BLACKSMITH_14				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[14].."",
	BLACKSMITH_15				= GLOBAL.STRINGS.MARKIMODSTRINGS.BLACKSMITHTAUNT[15]..""
}
W1.PATIENTBAB = {
	GENERIC						= "How and why are you here?",
	PREPPED						= "He's prepped for surgery! But I'm not that kind of doctor...",
	BLEEDING					= "He's bleeding out ever so slowly!",
	FINISHED					= "All of his organs are gone and his heart is upside down..."
}
W1.HEARTBOX 					= "I wonder who donated this...?"
W1.NEW_HEART 					= "Why is there a heart out here in the middle of nowhere?"
W1.FEDORA						= "What a dapper top!"
W1.OPERATINGTOOL				= "Made with teeth? What kind of doctor would make this?!"
W1.WARFSTAFF 					= "What a fancy weapon!"
W1.WARFSTAFF_EMPTY 				= "The soft fluffy pink moustache was dealing all the damage?"
W1.WARFBUG 						= "How in the world did this hybrid work?..."
W1.WARFBUG_DEAD 				= "Jeez these things are frail and weak!"
W1.WARFLOWER 					= "I can't help but wonder where this species became a thing."
W1.WARFMINI 					= "It's a tiny pink moustache."
W1.WARFBUTTER 					= "A meaty substitution for butter!"
W1.POOFGUN_BROKEN 				= "Looks like there's a butt imprint on it."
W1.POOFGUN 						= "This gun is ridiculous... and unusually powerful."
W1.WARFMUFFIN 					= "I wonder if that Wilford guy has some intestinal blockage."
W1.MUYSKERM_SCOPE				= "I can see really far away with this..."
W1.MUYSKERM_PISTOL = {
	GENERIC						= "This is pretty good for long ranged attacks!",
	NORMAL						= "This is pretty good for long ranged attacks!",
	MAGIC						= "I'll have to say that it's a bit odd when science uses magic...",
	HEALING						= "How is this even supposed to heal?"
}
W1.MUYSKERM_AMMO_1				= "Part of a good gun is good ammo..."
W1.MUYSKERM_AMMO_2				= "It sparkles with evil!"
W1.MUYSKERM_AMMO_3				= "Why can't these powers be used on something less painful than a bullet?"
W1.LEXITOY						= "Lexi seems to like squirrels."
W1.LEXI							= "What a cute little dog!"
W1.BELLE						= "What an adorably long skinny dog!"
W1.BELLETOY						= "Belle seems to like penguins with Santa hats."
W1.PUNBOOK						= "I love reading this to my friends!\nI don't think they like it though..." --"Even if I did it for money...\nIt would be non-cents to try to out pun the king of puns!"
W1.TEDCLONER					= "Now I can clone my good drunk friend Ted!"
W1.CLONERPOWERSOURCE			= "This has enough energy to run a small city for years!\nBetter use it on something important..."
W1.TED							= "Ted are you drunk again?"
W1.TED_ROBO						= "Quite a deadly death machine aren't you..."
W1.TED_FESTIVE					= "You are one of the only things that brings cheer in this dark world..."
W1.TED_DOG						= "You are so cute! yes you are!"
W1.TED_BABY						= "What an adorable source of death!"
W1.TED_PRETTY					= "I think you passed beautiful point and went strait to the 'more ugly' area!"
W1.TED_DRUNK					= "You been partying?"
W1.TED_EUPHORIC					= "I can be rather dapper myself..."
W1.TED_WARF						= "What is it with this pink moustache??"
W1.TED_WHITEBOY					= "You are so wimpy!"
W1.TED_GOLD						= "You are gunna make me rich!"
W1.BOOZE						= "I'm pretty sure drinking this is a bad idea."
W1.PINKFUZZ						= "It smells of ammonia!"
W1.POTATO						= ""
W1.POTATO_COOKED				= ""
W1.YAMIBALL						= ""
W1.SPUDGUN						= ""
W1.YAMITEA						= ""
W1.YAMIKITTY					= ""
W1.YAMIKITTY_TOY				= ""
W1.GOOGLEIRL 					= "My useless slave!"
W1.GOOGLEIRLITEM				= "He is pretty small now."
W1.GOOGLEPIECE					= "I hacked and reprogrammed a lot of this code and now GoogleIRL will serve me!"
W1.CHROMESWORD					= "I wonder how GoogleIRL crafted this..."

--Willow Examinations
W2.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W2.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W2.LORDMINION777 				= ""
W2.MUYSKERM						= ""
W2.YAMIMASH						= ""
W2.SANTIPLIER					= ""
W2.WARFSTACHE 					= ""
W2.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W2.TINYTIMDEVICE 				= ""
W2.HOODEDHERO 					= ""
W2.BLACKSMITHKEY 				= ""
W2.LOCKEDBLACKSMITHSAFE 		= ""
W2.UNLOCKEDBLACKSMITHSAFE 		= ""
W2.BLACKSMITHSWORD 				= ""
W2.BLACKSMITHSWORD_BLUEPRINT 	= ""
W2.BLACKSMITHPLATINUM 			= ""
W2.WARFSTAFF 					= ""
W2.WARFSTAFF_EMPTY 				= ""
W2.WARFBUG 						= ""
W2.WARFBUG_DEAD 				= ""
W2.WARFLOWER 					= ""
W2.WARFMINI 					= ""
W2.WARFBUTTER 					= ""
W2.POOFGUN_BROKEN 				= ""
W2.POOFGUN 						= ""
W2.WARFMUFFIN 					= ""
W2.MUYSKERM_SCOPE				= ""
W2.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W2.MUYSKERM_AMMO_1				= ""
W2.MUYSKERM_AMMO_2				= ""
W2.MUYSKERM_AMMO_3				= ""
W2.LEXITOY						= ""
W2.LEXI							= ""
W2.BELLE						= ""
W2.BELLETOY						= ""
W2.PUNBOOK						= ""
W2.TEDCLONER					= ""
W2.TEDCLONER_BROKEN				= ""
W2.TED       					= "I remember seeing him in a movie once..."
W2.TED_ROBO      				= "Hopefully this one won't lie to me."
W2.TED_FESTIVE     				= "I like the red lights!"
W2.TED_DOG      				= "Let's kill all the rabbits in the world, doggie!"
W2.TED_BABY     			 	= "I can teach him the wonders of the fire!"
W2.TED_PRETTY     				= "KILL IT! KILL IT WITH FIRE!"
W2.TED_DRUNK     				= "I don't think drinking is good for you..."
W2.TED_EUPHORIC     			= "He seems pretty happy. I wonder why..."
W2.TED_WARF      				= "This moustache would be even cooler if it was on fire!"
W2.TED_WHITEBOY     			= "You're pathetic, but I like you."
W2.TED_GOLD      				= "Is it an alien made of gold or gold made of an alien?"
W2.BOOZE						= ""
W2.PINKFUZZ						= ""
W2.POTATO						= ""
W2.POTATO_COOKED				= ""
W2.YAMIBALL						= ""
W2.SPUDGUN						= ""
W2.YAMITEA						= ""
W2.YAMIKITTY					= ""
W2.YAMIKITTY_TOY				= ""

--Wolfgang Examinations
W3.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W3.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W3.LORDMINION777 				= ""
W3.MUYSKERM						= ""
W3.YAMIMASH						= ""
W3.SANTIPLIER					= ""
W3.WARFSTACHE 					= ""
W3.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W3.TINYTIMDEVICE 				= ""
W3.HOODEDHERO 					= ""
W3.BLACKSMITHKEY 				= ""
W3.LOCKEDBLACKSMITHSAFE 		= ""
W3.UNLOCKEDBLACKSMITHSAFE 		= ""
W3.BLACKSMITHSWORD 				= ""
W3.BLACKSMITHSWORD_BLUEPRINT 	= ""
W3.BLACKSMITHPLATINUM 			= ""
W3.WARFSTAFF 					= ""
W3.WARFSTAFF_EMPTY 				= ""
W3.WARFBUG 						= ""
W3.WARFBUG_DEAD 				= ""
W3.WARFLOWER 					= ""
W3.WARFMINI 					= ""
W3.WARFBUTTER 					= ""
W3.POOFGUN_BROKEN 				= ""
W3.POOFGUN 						= ""
W3.WARFMUFFIN 					= ""
W3.MUYSKERM_SCOPE				= ""
W3.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W3.MUYSKERM_AMMO_1				= ""
W3.MUYSKERM_AMMO_2				= ""
W3.MUYSKERM_AMMO_3				= ""
W3.LEXITOY						= ""
W3.LEXI							= ""
W3.BELLE						= ""
W3.BELLETOY						= ""
W3.PUNBOOK						= ""
W3.TEDCLONER					= ""
W3.TEDCLONER_BROKEN				= ""
W3.TED       					= "Is puny! Wolfgang is stronger!"
W3.TED_ROBO      				= "Weak like a tin can!"
W3.TED_FESTIVE     				= "Ooh! Shiny!"
W3.TED_DOG      				= "Wolfgang is stronger AND cuter than you!"
W3.TED_BABY      				= "Wolfgang should teach you how to be strong man when grown up!"
W3.TED_PRETTY    			 	= "You are the most beautiful thing Wolfgang has ever seen! \nAfter Wolfgang's mother."
W3.TED_DRUNK     				= "You're drunk Alien. Go home."
W3.TED_EUPHORIC     			= "Puny euphoric alien is making me happy!"
W3.TED_WARF      				= "Wolfgang likes your moustache!"
W3.TED_WHITEBOY     			= "HA! You are even punier now!"
W3.TED_GOLD      				= "Wolfgang is stronger than glittery gold alien!"
W3.BOOZE						= ""
W3.PINKFUZZ						= ""
W3.POTATO						= ""
W3.POTATO_COOKED				= ""
W3.YAMIBALL						= ""
W3.SPUDGUN						= ""
W3.YAMITEA						= ""
W3.YAMIKITTY					= ""
W3.YAMIKITTY_TOY				= ""

--Wendy Examinations
W4.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W4.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W4.LORDMINION777 				= ""
W4.MUYSKERM						= ""
W4.YAMIMASH						= ""
W4.SANTIPLIER					= ""
W4.WARFSTACHE 					= ""
W4.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W4.TINYTIMDEVICE 				= ""
W4.HOODEDHERO 					= ""
W4.BLACKSMITHKEY 				= ""
W4.LOCKEDBLACKSMITHSAFE 		= ""
W4.UNLOCKEDBLACKSMITHSAFE 		= ""
W4.BLACKSMITHSWORD 				= ""
W4.BLACKSMITHSWORD_BLUEPRINT 	= ""
W4.BLACKSMITHPLATINUM 			= ""
W4.WARFSTAFF 					= ""
W4.WARFSTAFF_EMPTY 				= ""
W4.WARFBUG 						= ""
W4.WARFBUG_DEAD 				= ""
W4.WARFLOWER 					= ""
W4.WARFMINI 					= ""
W4.WARFBUTTER 					= ""
W4.POOFGUN_BROKEN 				= ""
W4.POOFGUN 						= ""
W4.WARFMUFFIN 					= ""
W4.MUYSKERM_SCOPE				= ""
W4.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W4.MUYSKERM_AMMO_1				= ""
W4.MUYSKERM_AMMO_2				= ""
W4.MUYSKERM_AMMO_3				= ""
W4.LEXITOY						= ""
W4.LEXI							= ""
W4.BELLE						= ""
W4.BELLETOY						= ""
W4.PUNBOOK						= ""
W4.TEDCLONER					= ""
W4.TEDCLONER_BROKEN				= ""
W4.TED       					= "He looks and smells like death."
W4.TED_ROBO      				= "A creature without feelings... \nThat was turned into a robot."
W4.TED_FESTIVE     				= "Why are you so festive? \nThere's nothing to be happy about."
W4.TED_DOG      				= "He looks like a nice companion... But unfortunately death will claim him, eventually."
W4.TED_BABY      				= "The purest thing in this entire world... Sadly, your mind will be tainted one day."
W4.TED_PRETTY     				= "That's what happens when you follow the world's beauty standards."
W4.TED_DRUNK     				= "You drank the nectar of the foolish, didn't you?"
W4.TED_EUPHORIC     			= "At least something is happy with all of this..."
W4.TED_WARF      				= "What's the meaning of this pink moustache?"
W4.TED_WHITEBOY     			= "Aren't you afraid of being weak?"
W4.TED_GOLD      				= "Not all that glitters is gold... \nBut he surely is!"
W4.BOOZE						= ""
W4.PINKFUZZ						= ""
W4.POTATO						= ""
W4.POTATO_COOKED				= ""
W4.YAMIBALL						= ""
W4.SPUDGUN						= ""
W4.YAMITEA						= ""
W4.YAMIKITTY					= ""
W4.YAMIKITTY_TOY				= ""

--WX78 Examinations
W5.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W5.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W5.LORDMINION777 				= ""
W5.MUYSKERM						= ""
W5.YAMIMASH						= ""
W5.SANTIPLIER					= ""
W5.WARFSTACHE 					= ""
W5.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W5.TINYTIMDEVICE 				= ""
W5.HOODEDHERO 					= ""
W5.BLACKSMITHKEY 				= ""
W5.LOCKEDBLACKSMITHSAFE 		= ""
W5.UNLOCKEDBLACKSMITHSAFE 		= ""
W5.BLACKSMITHSWORD 				= ""
W5.BLACKSMITHSWORD_BLUEPRINT 	= ""
W5.BLACKSMITHPLATINUM 			= ""
W5.WARFSTAFF 					= ""
W5.WARFSTAFF_EMPTY 				= ""
W5.WARFBUG 						= ""
W5.WARFBUG_DEAD 				= ""
W5.WARFLOWER 					= ""
W5.WARFMINI 					= ""
W5.WARFBUTTER 					= ""
W5.POOFGUN_BROKEN 				= ""
W5.POOFGUN 						= ""
W5.WARFMUFFIN 					= ""
W5.MUYSKERM_SCOPE				= ""
W5.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W5.MUYSKERM_AMMO_1				= ""
W5.MUYSKERM_AMMO_2				= ""
W5.MUYSKERM_AMMO_3				= ""
W5.LEXITOY						= ""
W5.LEXI							= ""
W5.BELLE						= ""
W5.BELLETOY						= ""
W5.PUNBOOK						= ""
W5.TEDCLONER					= ""
W5.TEDCLONER_BROKEN				= ""
W5.TED       					= "UNKNOWN LIFEFORM DETECTED."
W5.TED_ROBO      				= "INTELLIGENT LIFEFORM FINALLY DETECTED!"
W5.TED_FESTIVE     				= "WHY WEAR THESE LIGHTS? THEY ARE IRRELEVANT."
W5.TED_DOG      				= "HIS LOYALTY IS PITIFUL."
W5.TED_BABY      				= "ANNOYING LIFEFORM DETECTED. \nTO BE CONSIDERED EXTERMINATION."
W5.TED_PRETTY     				= "OPTICAL SENSORS MALFUNCTIONING BECAUSE OF THIS BEAUTIFULLY UGLY LIFEFORM"
W5.TED_DRUNK     				= "HIS ACTIONS ARE SENSELESS AND ILLOGICAL. HE IS A THREAT TO MY WELL-BEING."
W5.TED_EUPHORIC     			= "HIS BRAIN IS BEING CLOUDED BY EUPHORIA."
W5.TED_WARF     				= "I DON'T UNDERSTAND THE MEANING OF THE MOUSTACHE."
W5.TED_WHITEBOY     			= "WHY DID YOU CHOOSE TO TURN INTO A HUMAN? THAT IS NOT A WISE CHOISE."
W5.TED_GOLD      				= "A FOOL CREATURE MADE OUT OF GOLD."
W5.BOOZE						= ""
W5.PINKFUZZ						= ""
W5.POTATO						= ""
W5.POTATO_COOKED				= ""
W5.YAMIBALL						= ""
W5.SPUDGUN						= ""
W5.YAMITEA						= ""
W5.YAMIKITTY					= ""
W5.YAMIKITTY_TOY				= ""

--Wickerbottom Examinations
W6.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W6.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W6.LORDMINION777 				= ""
W6.MUYSKERM						= ""
W6.YAMIMASH						= ""
W6.SANTIPLIER					= ""
W6.WARFSTACHE 					= ""
W6.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W6.TINYTIMDEVICE 				= ""
W6.HOODEDHERO 					= ""
W6.BLACKSMITHKEY 				= ""
W6.LOCKEDBLACKSMITHSAFE 		= ""
W6.UNLOCKEDBLACKSMITHSAFE 		= ""
W6.BLACKSMITHSWORD 				= ""
W6.BLACKSMITHSWORD_BLUEPRINT 	= ""
W6.BLACKSMITHPLATINUM 			= ""
W6.WARFSTAFF 					= ""
W6.WARFSTAFF_EMPTY 				= ""
W6.WARFBUG 						= ""
W6.WARFBUG_DEAD 				= ""
W6.WARFLOWER 					= ""
W6.WARFMINI 					= ""
W6.WARFBUTTER 					= ""
W6.POOFGUN_BROKEN 				= ""
W6.POOFGUN 						= ""
W6.WARFMUFFIN 					= ""
W6.MUYSKERM_SCOPE				= ""
W6.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W6.MUYSKERM_AMMO_1				= ""
W6.MUYSKERM_AMMO_2				= ""
W6.MUYSKERM_AMMO_3				= ""
W6.LEXITOY						= ""
W6.LEXI							= ""
W6.BELLE						= ""
W6.BELLETOY						= ""
W6.PUNBOOK						= ""
W6.TEDCLONER					= ""
W6.TEDCLONER_BROKEN				= ""
W6.TED       					= "That's an Internecivus Raptus! I never knew I'd get to meet one of these in person!"
W6.TED_ROBO      				= "He's preserving his brain inside a steel mobile-unit."
W6.TED_FESTIVE     				= "He must be celebrating a special holiday. I guess it is Christmas."
W6.TED_DOG      				= "He possess a Canis lupus familiaris collar now, does that makes him a Internecivus Lupus Raptus?"
W6.TED_BABY      				= "He's just an infant. His body is still not fully developed."
W6.TED_PRETTY     				= "He must really love cosmetics!"
W6.TED_DRUNK    	 			= "He ingested high doses of ethanol-based alcohol."
W6.TED_EUPHORIC     			= "He's in an intense state of transcendent happiness combined with an overwhelming sense of contentment."
W6.TED_WARF      				= "His upper lip seems to have pink-colored hair. Interesting."
W6.TED_WHITEBOY     			= "He seems to enjoy being dressed like a Homo Sapiens."
W6.TED_GOLD      				= "He is pure Aurum, also know as gold."
W6.BOOZE						= ""
W6.PINKFUZZ						= ""
W6.POTATO						= ""
W6.POTATO_COOKED				= ""
W6.YAMIBALL						= ""
W6.SPUDGUN						= ""
W6.YAMITEA						= ""
W6.YAMIKITTY					= ""
W6.YAMIKITTY_TOY				= ""

--Woodie Examinations
W7.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W7.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W7.LORDMINION777 				= ""
W7.MUYSKERM						= ""
W7.YAMIMASH						= ""
W7.SANTIPLIER					= ""
W7.WARFSTACHE 					= ""
W7.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W7.TINYTIMDEVICE 				= ""
W7.HOODEDHERO 					= ""
W7.BLACKSMITHKEY 				= ""
W7.LOCKEDBLACKSMITHSAFE 		= ""
W7.UNLOCKEDBLACKSMITHSAFE 		= ""
W7.BLACKSMITHSWORD 				= ""
W7.BLACKSMITHSWORD_BLUEPRINT 	= ""
W7.BLACKSMITHPLATINUM 			= ""
W7.WARFSTAFF 					= ""
W7.WARFSTAFF_EMPTY 				= ""
W7.WARFBUG 						= ""
W7.WARFBUG_DEAD 				= ""
W7.WARFLOWER 					= ""
W7.WARFMINI 					= ""
W7.WARFBUTTER 					= ""
W7.POOFGUN_BROKEN 				= ""
W7.POOFGUN 						= ""
W7.WARFMUFFIN 					= ""
W7.MUYSKERM_SCOPE				= ""
W7.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W7.MUYSKERM_AMMO_1				= ""
W7.MUYSKERM_AMMO_2				= ""
W7.MUYSKERM_AMMO_3				= ""
W7.LEXITOY						= ""
W7.LEXI							= ""
W7.BELLE						= ""
W7.BELLETOY						= ""
W7.PUNBOOK						= ""
W7.TEDCLONER					= ""
W7.TEDCLONER_BROKEN				= ""
W7.TED       					= "He seems like a nice fellow!"
W7.TED_ROBO      				= "He seems like a nice murdering-robot fellow!"
W7.TED_FESTIVE     				= "Aren't you supposed to put these on trees and such?"
W7.TED_DOG      				= "C'mere doggy!"
W7.TED_BABY      				= "You're a cute little baby! Yes you are!"
W7.TED_PRETTY    		 		= "As pretty as the swamp monster."
W7.TED_DRUNK     				= "He drank way more beer than he could handle."
W7.TED_EUPHORIC     			= "I never met someone or something as happy as this guy."
W7.TED_WARF      				= "What a nice-looking moustache!"
W7.TED_WHITEBOY     			= "At least he has style now eh?"
W7.TED_GOLD      				= "I just hope he doesn't make a coffee table out of gold."
W7.BOOZE						= ""
W7.PINKFUZZ						= ""
W7.POTATO						= ""
W7.POTATO_COOKED				= ""
W7.YAMIBALL						= ""
W7.SPUDGUN						= ""
W7.YAMITEA						= ""
W7.YAMIKITTY					= ""
W7.YAMIKITTY_TOY				= ""

--Maxwell Examinations
W8.MARKIPLIER = {
	GENERIC 					= "",
	MARKIPLIER					= "",
	WILFORD						= "",
	DARKIPLIER					= "",
	MANIAC						= "",
	FEDORAPLIER					= ""
}
W8.WILFORD = {
	GENERIC						= "",
	AVERAGE						= "",
	MIGHTY						= ""
}
W8.LORDMINION777 				= ""
W8.MUYSKERM						= ""
W8.YAMIMASH						= ""
W8.SANTIPLIER					= ""
W8.WARFSTACHE 					= ""
W8.TINYBOXTIM = {
	GENERIC 					= "",
	WARFBOX 					= "",
	EUPHORICBOX					= "",
	WARFORICBOX					= ""
}
W8.TINYTIMDEVICE 				= ""
W8.HOODEDHERO 					= ""
W8.BLACKSMITHKEY 				= ""
W8.LOCKEDBLACKSMITHSAFE 		= ""
W8.UNLOCKEDBLACKSMITHSAFE 		= ""
W8.BLACKSMITHSWORD 				= ""
W8.BLACKSMITHSWORD_BLUEPRINT 	= ""
W8.BLACKSMITHPLATINUM 			= ""
W8.WARFSTAFF 					= ""
W8.WARFSTAFF_EMPTY 				= ""
W8.WARFBUG 						= ""
W8.WARFBUG_DEAD 				= ""
W8.WARFLOWER 					= ""
W8.WARFMINI 					= ""
W8.WARFBUTTER 					= ""
W8.POOFGUN_BROKEN 				= ""
W8.POOFGUN 						= ""
W8.WARFMUFFIN 					= ""
W8.MUYSKERM_SCOPE				= ""
W8.MUYSKERM_PISTOL = {
	GENERIC						= "",
	NORMAL						= "",
	MAGIC						= "",
	HEALING						= ""
}
W8.MUYSKERM_AMMO_1				= ""
W8.MUYSKERM_AMMO_2				= ""
W8.MUYSKERM_AMMO_3				= ""
W8.LEXITOY						= ""
W8.LEXI							= ""
W8.BELLE						= ""
W8.BELLETOY						= ""
W8.PUNBOOK						= ""
W8.TEDCLONER					= ""
W8.TEDCLONER_BROKEN				= ""
W8.TED       					= "I don't remember bringing you to this world!"
W8.TED_ROBO      				= "Robots shouldn't be trusted..."
W8.TED_FESTIVE     				= "I don't know what he's festive about, Christmas isn't even needed!"
W8.TED_DOG      				= "I'm not a fan of dogs."
W8.TED_BABY      				= "I really don't like kids..."
W8.TED_PRETTY     				= "Please, define... Pretty..."
W8.TED_DRUNK    	 			= "I wonder how many drinks he had to act this way..."
W8.TED_EUPHORIC     			= "Euphoria will one day kill you."
W8.TED_WARF      				= "I don't think this mustache is dapper enough."
W8.TED_WHITEBOY     			= "He's too weak for my liking."
W8.TED_GOLD      				= "Gold isn't important to me anymore, but it sure seems important to you."
W8.BOOZE						= ""
W8.PINKFUZZ						= ""
W8.POTATO						= ""
W8.POTATO_COOKED				= ""
W8.YAMIBALL						= ""
W8.SPUDGUN						= ""
W8.YAMITEA						= ""
W8.YAMIKITTY					= ""
W8.YAMIKITTY_TOY				= ""

AddSimPostInit(function(inst) --DLC and mod characters must be in a postinit to get rid of any and all crashes
	if inst.prefab == "wathgrithr" or inst.prefab == "webber" then
		local W9  = C.WATHGRITHR.DESCRIBE
		local W10 = C.WEBBER.DESCRIBE
		--Wigfrid Examinations
		W9.MARKIPLIER = {
			GENERIC 					= "",
			MARKIPLIER					= "",
			WILFORD						= "",
			DARKIPLIER					= "",
			MANIAC						= "",
			FEDORAPLIER					= ""
		}
		W9.WILFORD = {
			GENERIC						= "",
			AVERAGE						= "",
			MIGHTY						= ""
		}
		W9.LORDMINION777 				= ""
		W9.MUYSKERM						= ""
		W9.YAMIMASH						= ""
		W9.SANTIPLIER					= ""
		W9.WARFSTACHE 					= ""
		W9.TINYBOXTIM = {
			GENERIC 					= "",
			WARFBOX 					= "",
			EUPHORICBOX					= "",
			WARFORICBOX					= ""
		}
		W9.TINYTIMDEVICE 				= ""
		W9.HOODEDHERO 					= ""
		W9.BLACKSMITHKEY 				= ""
		W9.LOCKEDBLACKSMITHSAFE 		= ""
		W9.UNLOCKEDBLACKSMITHSAFE 		= ""
		W9.BLACKSMITHSWORD 				= ""
		W9.BLACKSMITHSWORD_BLUEPRINT 	= ""
		W9.BLACKSMITHPLATINUM 			= ""
		W9.WARFSTAFF 					= ""
		W9.WARFSTAFF_EMPTY 				= ""
		W9.WARFBUG 						= ""
		W9.WARFBUG_DEAD 				= ""
		W9.WARFLOWER 					= ""
		W9.WARFMINI 					= ""
		W9.WARFBUTTER 					= ""
		W9.POOFGUN_BROKEN 				= ""
		W9.POOFGUN 						= ""
		W9.WARFMUFFIN 					= ""
		W9.MUYSKERM_SCOPE				= ""
		W9.MUYSKERM_PISTOL = {
			GENERIC						= "",
			NORMAL						= "",
			MAGIC						= "",
			HEALING						= ""
		}
		W9.MUYSKERM_AMMO_1				= ""
		W9.MUYSKERM_AMMO_2				= ""
		W9.MUYSKERM_AMMO_3				= ""
		W9.LEXITOY						= ""
		W9.LEXI							= ""
		W9.BELLE						= ""
		W9.BELLETOY						= ""
		W9.PUNBOOK						= ""
		W9.TEDCLONER					= ""
		W9.TEDCLONER_BROKEN				= ""
		W9.TED							= ""
		W9.TED_ROBO						= ""
		W9.TED_FESTIVE					= ""
		W9.TED_DOG						= ""
		W9.TED_BABY						= ""
		W9.TED_PRETTY					= ""
		W9.TED_DRUNK					= ""
		W9.TED_EUPHORIC					= ""
		W9.TED_WARF						= ""
		W9.TED_WHITEBOY					= ""
		W9.TED_GOLD						= ""
		W9.BOOZE						= ""
		W9.PINKFUZZ						= ""
		W9.POTATO						= ""
		W9.POTATO_COOKED				= ""
		W9.YAMIBALL						= ""
		W9.SPUDGUN						= ""
		W9.YAMITEA						= ""
		W9.YAMIKITTY					= ""
		W9.YAMIKITTY_TOY				= ""

		--Webber Examinations
		W10.MARKIPLIER = {
			GENERIC 					= "",
			MARKIPLIER					= "",
			WILFORD						= "",
			DARKIPLIER					= "",
			MANIAC						= "",
			FEDORAPLIER					= ""
		}
		W10.WILFORD = {
			GENERIC						= "",
			AVERAGE						= "",
			MIGHTY						= ""
		}
		W10.LORDMINION777 				= ""
		W10.MUYSKERM					= ""
		W10.YAMIMASH					= ""
		W10.SANTIPLIER					= ""
		W10.WARFSTACHE 					= ""
		W10.TINYBOXTIM = {
			GENERIC 					= "",
			WARFBOX 					= "",
			EUPHORICBOX					= "",
			WARFORICBOX					= ""
		}
		W10.TINYTIMDEVICE 				= ""
		W10.HOODEDHERO 					= ""
		W10.BLACKSMITHKEY 				= ""
		W10.LOCKEDBLACKSMITHSAFE 		= ""
		W10.UNLOCKEDBLACKSMITHSAFE 		= ""
		W10.BLACKSMITHSWORD 			= ""
		W10.BLACKSMITHSWORD_BLUEPRINT 	= ""
		W10.BLACKSMITHPLATINUM 			= ""
		W10.WARFSTAFF 					= ""
		W10.WARFSTAFF_EMPTY 			= ""
		W10.WARFBUG 					= ""
		W10.WARFBUG_DEAD 				= ""
		W10.WARFLOWER 					= ""
		W10.WARFMINI 					= ""
		W10.WARFBUTTER					= ""
		W10.POOFGUN_BROKEN 				= ""
		W10.POOFGUN 					= ""
		W10.WARFMUFFIN 					= ""
		W10.MUYSKERM_SCOPE				= ""
		W10.MUYSKERM_PISTOL = {
			GENERIC						= "",
			NORMAL						= "",
			MAGIC						= "",
			HEALING						= ""
		}
		W10.MUYSKERM_AMMO_1				= ""
		W10.MUYSKERM_AMMO_2				= ""
		W10.MUYSKERM_AMMO_3				= ""
		W10.LEXITOY						= ""
		W10.LEXI						= ""
		W10.BELLE						= ""
		W10.BELLETOY					= ""
		W10.PUNBOOK						= ""
		W10.TEDCLONER					= ""
		W10.TEDCLONER_BROKEN			= ""
		W10.TED       					= "Granpa always told me never to speak with strangers, and you're very strange."
		W10.TED_ROBO      				= "What a cool robot!"
		W10.TED_FESTIVE     			= "Christmas used to be my favorite time of the year."
		W10.TED_DOG      				= "We always wanted a dog!"
		W10.TED_BABY      				= "We don't know how to take care of children!"
		W10.TED_PRETTY     				= "We wish I could un-see this thing..."
		W10.TED_DRUNK     				= "You're scaring us."
		W10.TED_EUPHORIC     			= "You really are happy aren't you? Maybe we should try being happy too..."
		W10.TED_WARF      				= "It looks like granpa's moustache, but more pink."
		W10.TED_WHITEBOY     			= "You kinda look like one of my friends... I wonder what happened to him..."
		W10.TED_GOLD      				= "We could buy the entire world with you!"
		W10.BOOZE						= ""
		W10.PINKFUZZ					= ""
		W10.POTATO						= ""
		W10.POTATO_COOKED				= ""
		W10.YAMIBALL						= ""
		W10.SPUDGUN						= ""
		W10.YAMITEA						= ""
		W10.YAMIKITTY					= ""
		W10.YAMIKITTY_TOY				= ""
	end
end)


--[[EXAMPLE for Mister L
	character_name = {
		[#] = { --That's the world's ID that I gave them, they are already labelled for you though
			[#] = {#, "quote"} --the first '#' = the order in which the quote displays, 
								 the second '#' = how many seconds the quote will show, 
								 and "quote" = the quote obviously
			[#] = # --the first '#' = Maxwell's State Address (always the highest number in the list), 
			the second '#' = Maxwell's State, 1 = Tuxedo, 2 = coat, 3 = starting to get angry, 4 = angry, 5 = furiously mad
		}
	},
]]

--Custom Intro strings
GLOBAL.MARKIMOD_MAXWELL_INTROS = {
	markiplier = {
		[1] = { --SANDBOX
			[1] = {2, "Hello, Mark..." },
			[2] = {3, "I've been watching your videos for quite some time now..." },
			[3] = {4, "But I don't think you are \"Too Pro\" as you call yourself..." },
			[4] = {3, "For you didn't fare so well last time you were here..." },
			[5] = {3, "So I've challenged you, to see if you truly are \"Too pro\"..." },
			[6] = {3, "I even brought one of your good friends to help you out..." },
			[7] = {1, "Good luck..." },
			[8] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {2, "I see you found my portal..." },
			[2] = {1, "again..." },
			[3] = {2, "I wonder if you'll survive this time..." },
			[4] = {2, "Good luck once more..." },
			[5] = 2
		},
		[3] = { --ADVENTURE_2
			[1] = {1, "Hello." },
			[2] = {3, "Looks like you are doing much better than last time!" },
			[3] = {2, "I highly doubt you'll make it any farther..." },
			[4] = 2
		},
		[4] = { --ADVENTURE_3
			[1] = {2, "Your progressing very well..." },
			[2] = {3, "But you should stop now while your ahead." },
			[3] = {3, "You aren't going to want what's waiting at the end..." },
			[4] = 3
		},
		[5] = { --ADVENTURE_4
			[1] = {1, "Still alive eh?" },
			[2] = {3, "Well I guess someone doesn't like to listen..." },
			[3] = {2, "And yet you want people to listen to you." },
			[4] = {2, "Are my little speeches just tempting you now?" },
			[5] = {3, "Fine, continue along and ignore me! I don't care anymore..." },
			[6] = 4
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {1, "Greetings!" },
			[2] = {2, "I've put you here in the perfect little world." },
			[3] = {2, "Here you can stay, and here you will be happy!" },
			[4] = {3, "Or... You can disregard my gift and jump into that sick wormhole." },
			[5] = {1, "Your choice..." },
			[6] = 2
		},
		[7] = { --ADVENTURE_5
			[1] = {1, "I am surprised!" },
			[2] = {2, "Genuinely surprised..." },
			[3] = {3, "Nobody makes it this far without a bit of skill..." },
			[4] = {3, "I am going to make sure that you don't make it this time!" },
			[5] = {2, "Have fun in the night..." },
			[6] = 5
		}
	},
	wilford = {
		[1] = { --SANDBOX
			[1] = {1, "Say, Pal..." },
			[2] = {2, "You appear to have been shot!" },
			[3] = {3, "You should heal yourself up before night comes..." },
			[4] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {2, "Oh, you found my portal!" },
			[2] = {3, "I see you can survive quite well on your own." },
			[3] = {4, "I wonder if you'll survive this time..." },
			[4] = 2
		},
		[3] = { --ADVENTURE_2
			[1] = {1, "Hello." },
			[2] = {2, "Very few have ever gotten this far!" },
			[3] = {3, "I highly doubt you'll make it any farther..." },
			[4] = 3
		},
		[4] = { --ADVENTURE_3
			[1] = {2, "Your progressing very well..." },
			[2] = {3, "But stopping now would be your best choice!" },
			[3] = {2, "This is my final warning..." },
			[4] = 3
		},
		[5] = { --ADVENTURE_4
			[1] = {1, "What?!" },
			[2] = {3, "I'm amazed you didn't listen to me!" },
			[3] = {3, "Repeating myself now would be pointless now." },
			[4] = {3, "You're not going to make it through this time!" },
			[5] = 4
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {1, "Why, hello!" },
			[2] = {3, "I've put you here in the perfect little world." },
			[3] = {3, "You'll be able to live instead of survive here!" },
			[4] = {2, "Don't get any bright ideas now." },
			[5] = 2
		},
		[7] = { --ADVENTURE_5
			[1] = {2, "A true champion you are!" },
			[2] = {4, "You are the first in a very long time to have made it this far!" },
			[3] = {3, "And you ask yourself, 'Where did it all go so wrong?'" },
			[4] = {2, "I say you went wrong here!" },
			[5] = {2, "Have fun in the night!" },
			[6] = 5
		}
	},
	darkiplier = {
		[1] = { --SANDBOX
			[1] = {1, "Say, Pal..." },
			[2] = {2, "You look rather mental!" },
			[3] = {3, "Reminds me a bit of myself..." },
			[4] = {4, "I recommend you find something to eat before night comes."},
			[5] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {2, "Good job on finding my portal!" },
			[2] = {2, "You know, I like you!" },
			[3] = {4, "Maybe we can become friends someday!" },
			[4] = 2
		},
		[3] = { --ADVENTURE_2
			[1] = {1, "Hello, friend." },
			[2] = {4, "You and your robot building prowess are surviving quite well!" },
			[3] = {3, "But I really do think that you should stop progressing..." },
			[4] = 2
		},
		[4] = { --ADVENTURE_3
			[1] = {2, "I warned you last time..." },
			[2] = {2, "You didn't listen..." },
			[3] = {2, "Nobody listens..." },
			[4] = {3, "And I thought we could be friends!" },
			[5] = 3
		},
		[5] = { --ADVENTURE_4
			[1] = {3, "You immature little monster..." },
			[2] = {2, "LOOK AT ME!" },
			[3] = {3, "IS THIS WHAT YOU WANT TO BECOME?!" },
			[4] = {3, "Stop... moving... forward..." },
			[5] = 4
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {1, "Greetings." },
			[2] = {3, "I'm sorry for my outburst earlier..." },
			[3] = {2, "Maybe we can start anew!" },
			[4] = {3, "I've just given you the gift of a perfect world!" },
			[5] = {5, "Please, spend your time here wisely! And don't try to leave or you'll regret it..."},
			[6] = 2
		},
		[7] = { --ADVENTURE_5
			[1] = {2, "DARK ARE WE?" },
			[2] = {4, "REBELLING AGAINST ANYTHING AND EVERYTHING I SAY?" },
			[3] = {2, "WELL DON'T WORRY." },
			[4] = {3, "MAYBE THIS GIFT WILL TICKLE YOUR FANCY!" },
			[5] = {2, "ENJOY YOUR ETERNAL DARKNESS..." },
			[6] = 5
		}
	},
	lordminion777 = {
		[1] = { --SANDBOX
			[1] = {1, "Hello Wade."},
			[2] = {3, "I'm going to be short and thick with you."},
			[3] = {2, "In this world I am the lord."},
			[4] = {2, "And you, the minion"},
			[5] = {3, "So have fun being a pawn in my game."},
			[6] = {4, "Oh, and find something to eat before night comes."},
			[7] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {4, "Oh, I see you managed to find my portal..."},
			[2] = {3, "But can you manage to reach the end?"},
			[3] = {3, "The last \"chapter\"?"},
			[4] = {3, "Only time will tell."},
			[5] = {3, "Until then, good luck."},
			[6] = 2
		},
		[3] = { --ADVENTURE_2
			[1] = {2, "Well, I..."},
			[2] = {4, "I actually didn't expect you to survive that world..."},
			[3] = {3, "It seems I've underestimated you."},
			[4] = {4, "I'll have to study you a little bit more..."},
			[5] = {2, "Fairwell, minion."},
			[6] = 2
		},
		[4] = { --ADVENTURE_3
			[1] = {3, "This is getting very annoying."},
			[2] = {3, "You're supposed to fail."},
			[3] = {4, "And you're not doing what you're supposed to do."},
			[4] = {3, "You're supposed to obey me."},
			[5] = {2, "So just fail!"},
			[6] = 3
		},
		[5] = { --ADVENTURE_4
			[1] = {3, "You're really annoying, you know?"},
			[2] = {3, "Maybe I'll finally get rid of you here..."},
			[3] = {4, "You won't hold on for much longer, Minion..."},
			[4] = {2, "I know you won't."},
			[5] = 4
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {3, "How about a truce?"},
			[2] = {3, "I know humans like peace..."},
			[3] = {3, "Just stay here in this perfect world!"},
			[4] = {3, "Practice your puns..."},
			[5] = {3, "Just don't keep going or else..."},
			[6] = 2
 		},
		[7] = { --ADVENTURE_5
			[1] = {3, "End of the game, Minion!"},
			[2] = {3, "You won't survive this world."},
			[3] = {3, "Luck left you."},
			[4] = {3, "Chance left you."},
			[5] = {3, "You're all alone here."},
			[6] = {4, "Can you survive what you dread the most?"},
			[7] = 5
		}
	},
	muyskerm = {
		[1] = { --SANDBOX
			[1] = {1, "Hello, Bob."},
			[2] = {3, "It's a pleasure to see you here once again."},
			[3] = {4, "I was afraid you wouldn't play with me any more."},
			[4] = {3, "So I decided to play with YOU!"},
			[5] = {4, "...Can you find something to eat before night comes?"},
			[6] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {3, "So, I see you found my... \"door\"..."},
			[2] = {4, "Well, this island is far different than yours."},
			[3] = {4, "I doubt you'll be able to escape this place..."},
			[4] = {3, "But why not give it a try, though?"},
			[5] = {3, "Hope dies last, after all."},
			[6] = 2
		},
		[3] = { --ADVENTURE_2
			[1] = {4, "I see misfortune decided to spare you."},
			[2] = {3, "Ms. Luck was by your side..."},
			[3] = {4, "But she left. Which means you aren't lucky."},
			[4] = {3, "Not anymore, \"Muyskerm\"..."},
			[5] = {2, "Not anymore."},
			[6] = 2
		},
		[4] = { --ADVENTURE_3
			[1] = {3, "How did you manage to..."},
			[2] = {1, "Argh!"},
			[3] = {4, "I guess I must make better traps and harsher worlds..."},
			[4] = {2, "...to deal with you!"},
			[5] = {2, "Better be careful here..."},
			[6] = 3
		},
		[5] = { --ADVENTURE_4
			[1] = {3, "I realise you do have skill, Bob."},
			[2] = {3, "But this ends now."},
			[3] = {4, "There's no point in even trying to leave."},
			[4] = {3, "This island will be your grave."},
			[5] = 4
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {2, "Bob, my friend."},
			[2] = {4, "I decided to spare you from the horrors awaiting you."},
			[3] = {3, "I'm giving this paradise to you!"},
			[4] = {3, "And in return, All I ask..."},
			[5] = {4, "Is for you to stay here and simply not advance further."},
			[6] = {3, "Can you do that for me?"},
			[7] = 2
		},
		[7] = { --ADVENTURE_5
			[1] = {4, "What are you even trying to accomplish?"},
			[2] = {3, "Why didn't you give up?"},
			[3] = {4, "I had you in my grasp so many times..."},
			[4] = {4, "And yet you always managed to escape it!"},
			[5] = {3, "You're just like a cockroach!"},
			[6] = {3, "Maybe the night will teach you a proper lesson!"},
			[7] = 5
		}
	},
	yamimash = {
		[1] = { --SANDBOX
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[2] = { --ADVENTURE_1
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[3] = { --ADVENTURE_2
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[4] = { --ADVENTURE_3
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[5] = { --ADVENTURE_4
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[7] = { --ADVENTURE_5
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		}
	},
	santiplier = {
		[1] = { --SANDBOX
			[1] = {2, "Say pal, you don't..."},
			[2] = {2, "What has happened?"},
			[3] = {2, "How'd you get here?"},
			[4] = {2, "You've crushed my subject!"},
			[5] = {2, "You'll just have to replace him."},
			[6] = {3, "But you'll need to find something to eat before nightfall..."},
			[7] = 2
		},
		[2] = { --ADVENTURE_1
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[3] = { --ADVENTURE_2
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[4] = { --ADVENTURE_3
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[5] = { --ADVENTURE_4
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[6] = { --ADVENTURE_TWOLANDS
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		},
		[7] = { --ADVENTURE_5
			[1] = {0, ""},
			[2] = {0, ""},
			[3] = {0, ""},
			[4] = {0, ""},
			[5] = {0, ""},
			[6] = {0, ""},
			[7] = {0, ""},
			[8] = {0, ""},
			[9] = {0, ""},
			[10] = {0, ""},
			[11] = 1
		}
	}
}