require("stategraphs/commonstates")

local actionhandlers = 
{
    
    ActionHandler(ACTIONS.CHOP, "work"),
    ActionHandler(ACTIONS.MINE, "work"),
    ActionHandler(ACTIONS.DIG, "work"),
    ActionHandler(ACTIONS.HAMMER, "work"),
    ActionHandler(ACTIONS.EAT, "eat"),
}


local events=
{
    CommonHandlers.OnLocomote(false,true),
    CommonHandlers.OnAttack(),
    CommonHandlers.OnAttacked(),
    CommonHandlers.OnDeath(),
    EventHandler("doattack", function(inst)
                inst.sg:GoToState("attack")
    end),
	
	    EventHandler("death", function(inst)
        inst.components.playercontroller:Enable(false)
        inst.sg:GoToState("death")
        inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/death_beaver")    
        
		--local sound_name = inst.soundsname or inst.prefab
        --local path = inst.talker_path_override or "dontstarve/characters/"
        --if inst.prefab ~= "wes" then
			--inst.SoundEmitter:PlaySound(path..sound_name.."/death_voice")    
		--end
        
    end),

}


local states=
{
    
    State{
        name = "tomarkiplier",
        tags = {"busy"},
        onenter = function(inst)
			inst.components.locomotor:Stop()
            inst.Physics:Stop()            
            inst.AnimState:PlayAnimation("dead")
            inst.sg:SetTimeout(3)
            inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/death_beaver")
            --inst.components.beaverness.doing_transform = true
        end,

        timeline =
        {
            --TimeEvent(10*FRAMES, function(inst) inst.SoundEmitter:KillSound("markmusic") end)
        },
        
        ontimeout = function(inst) 
            TheFrontEnd:Fade(false,2)
            inst:DoTaskInTime(2, function() 
                
                --GetClock():MakeNextDay()
                
                --inst.components.beaverness.makeperson(inst)
                inst.components.sanity:SetPercent(.25)
                inst.components.hunger:SetPercent(.25)
                inst.sg:GoToState("wakeup")
                TheFrontEnd:Fade(true,1)
            end)
        end
    },

State{
name = "entrance",
tags = {"busy"},
onenter = function(inst)
inst.components.playercontroller:Enable(false)
inst.Physics:Stop() 
inst.AnimState:PlayAnimation("entrance")
TheCamera:SetDistance(15)
inst.components.health:SetInvincible(true)
end,

onexit = function(inst)
inst.components.health:SetInvincible(false)
inst.components.playercontroller:Enable(true)
end,

events=
{
EventHandler("animover", function(inst) TheCamera:SetDistance(30) inst.sg:GoToState("idle") end ),
}, 
}, 

State{
name = "idle",
tags = {"idle", "canrotate"},

onenter = function(inst, pushanim)
inst.Physics:Stop()
inst.AnimState:PlayAnimation("idle", true)
--[[if pushanim then
if type(pushanim) == "string" then
inst.AnimState:PlayAnimation(pushanim)
end
inst.AnimState:PushAnimation("idle", true)
else
inst.AnimState:PlayAnimation("idle", true)
end]]
inst.sg:SetTimeout(math.random()*4+2)
end,

timeline=
{
TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(15*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
--TimeEvent(20*FRAMES, function(inst) inst.components.talker:Say("WHERE'S THE BLACKSMITH?!") end ),
TimeEvent(30*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(45*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
TimeEvent(60*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(75*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
--TimeEvent(80*FRAMES, function(inst) inst.components.talker:Say("WHERE'S THE BLACKSMITH?!") end ),
TimeEvent(90*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(105*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
TimeEvent(120*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(135*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
--TimeEvent(140*FRAMES, function(inst) inst.components.talker:Say("WHERE'S THE BLACKSMITH?!") end ),
TimeEvent(150*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(165*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
TimeEvent(180*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_breathin") end ),
TimeEvent(195*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/bunnyman/wererabbit_idle") end ),
--TimeEvent(200*FRAMES, function(inst) inst.components.talker:Say("WHERE'S THE BLACKSMITH?!") end ),
},

ontimeout= function(inst)
--inst.sg:GoToState("funnyidle")
end,
},

State{
name = "funnyidle",
tags = {"idle", "canrotate"},

onenter = function(inst, pushanim)
inst.Physics:Stop()
inst.AnimState:PlayAnimation("howl")
end,

timeline = 
{
TimeEvent(5*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/deerclops/taunt_grrr") end),
TimeEvent(20*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/deerclops/taunt_howl") end),
},

events=
{
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ),
}, 
},

State{
name = "attack",
tags = {"busy", "attack"},

onenter = function(inst)
inst.Physics:Stop() 
inst.AnimState:PlayAnimation("work")
inst.AnimState:PushAnimation("work", false)
--inst.sg.statemem.action = inst:GetBufferedAction()
end,

timeline=
{
TimeEvent(0*FRAMES, function(inst) inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BONK) end ),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/maxwell/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/wilson/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/hurt") end),
		TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/eat_beaver") end),
		TimeEvent(10*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/deerclops/taunt_grrr") end),
TimeEvent(12*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/wilson/attack_whoosh") end),
TimeEvent(16*FRAMES, function(inst) inst.components.combat:DoAttack(inst.sg.statemem.target) end),
TimeEvent(17*FRAMES, function(inst) inst.sg:RemoveStateTag("attack") inst.sg:RemoveStateTag("busy") inst.sg:AddStateTag("idle") end),
},

events=
{
EventHandler("animqueueover", function(inst)
inst.sg:GoToState("idle")
end ),
},
},

--[[State{
name = "run_start",
tags = {"moving", "running", "canrotate"},

onenter = function(inst) 
inst.components.locomotor:RunForward()
inst.AnimState:PlayAnimation("walk_pre")
--inst.components.periodicspawner:Stop()
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
inst.sg.mem.foosteps = 0
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("run") end ), 
},
},

State{
name = "run",
tags = {"moving", "running", "canrotate"},

onenter = function(inst) 
inst.components.locomotor:RunForward()
inst.AnimState:PlayAnimation("walk_loop")
if not inst.components.combat.target then
inst.Physics:SetCollisionCallback(oncollide)
end
end,

onexit = function(inst)
inst.Physics:SetCollisionCallback(nil)
end,

timeline = 
{
TimeEvent(0*FRAMES, function(inst)
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
SpawnPrefab("darkwoosh").Transform:SetPosition(inst:GetPosition():Get()) 
end),

TimeEvent(10*FRAMES, function(inst)
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
SpawnPrefab("darkwoosh").Transform:SetPosition(inst:GetPosition():Get()) 
end),
},

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("run") end ), 
},
},

State{
name = "run_stop",
tags = {"canrotate"},

onenter = function(inst) 
inst.Physics:Stop()
inst.AnimState:PlayAnimation("walk_pst")
--inst.components.periodicspawner:Start()
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
if not inst.components.combat.target then
inst.Physics:SetCollisionCallback(oncollide)
end
end,

onexit = function(inst)
inst.Physics:SetCollisionCallback(nil)
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ), 
},
},

State{
name = "walk_start",
tags = {"moving", "canrotate"},

onenter = function(inst) 
inst.components.locomotor:WalkForward()
inst.AnimState:PlayAnimation("walk_pre")
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("walk") end ), 
},
}, 

State{
name = "walk",
tags = {"moving", "canrotate"},

onenter = function(inst) 
inst.components.locomotor:WalkForward()
inst.AnimState:PlayAnimation("walk_loop")
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("walk") end ), 
},
}, 

State{
name = "walk_stop",
tags = {"canrotate"},

onenter = function(inst) 
inst.Physics:Stop()
inst.AnimState:PlayAnimation("walk_pst")
--inst.components.periodicspawner:Start()
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
if not inst.components.combat.target then
inst.Physics:SetCollisionCallback(oncollide)
end
end,

onexit = function(inst)
inst.Physics:SetCollisionCallback(nil)
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ), 
},
},]]

State{
name = "work",
tags = {"busy", "working"},

onenter = function(inst)
inst.Physics:Stop() 
inst.AnimState:PlayAnimation("work")
inst.AnimState:PushAnimation("work", false)
inst.sg.statemem.action = inst:GetBufferedAction()
end,

timeline=
{
TimeEvent(0*FRAMES, function(inst) inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.WHERE_IS_BLACKSMITH) end ),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/maxwell/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/wilson/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/hurt") end),
		TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/eat_beaver") end),
		TimeEvent(10*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/creatures/deerclops/taunt_grrr") end),
TimeEvent(12*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/wilson/attack_whoosh") end),
TimeEvent(16*FRAMES, function(inst) inst:PerformBufferedAction() end),
TimeEvent(17*FRAMES, function(inst) inst.sg:RemoveStateTag("working") inst.sg:RemoveStateTag("busy") inst.sg:AddStateTag("idle") end),
TimeEvent(18*FRAMES, function(inst)
if (TheInput:IsMouseDown(MOUSEBUTTON_LEFT) or
TheInput:IsKeyDown(KEY_SPACE)) and 
inst.sg.statemem.action and 
inst.sg.statemem.action:IsValid() and 
inst.sg.statemem.action.target and 
inst.sg.statemem.action.target:IsActionValid(inst.sg.statemem.action.action) and 
inst.sg.statemem.action.target.components.workable then
inst:ClearBufferedAction()
inst:PushBufferedAction(inst.sg.statemem.action)
end
end), 
},
events=
{
EventHandler("animqueueover", function(inst)
inst.sg:GoToState("idle")
end ),
},
},

State{
name = "hit",
tags = {"busy"},

onenter = function(inst)
inst.SoundEmitter:PlaySound("dontstarve/creatures/deerclops/hurt")
inst.AnimState:PlayAnimation("hurt")
inst.Physics:Stop() 
end,

events=
{
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ),
}, 
}, 


    State{
        name = "death",
        tags = {"busy"},
        
        onenter = function(inst)
            inst.components.locomotor:Stop()
            inst.AnimState:Hide("swap_arm_carry")
            inst.AnimState:PlayAnimation("dead")
        end,
		
events=
{
EventHandler("animover", function(inst) inst.sg:GoToState("death_loop") end ),
}, 
},

    State{
        name = "death_loop",
        tags = {"busy"},
        
        onenter = function(inst)
            inst.components.locomotor:Stop()
            inst.AnimState:Hide("swap_arm_carry")
            inst.AnimState:PlayAnimation("dead_loop")
        end,
		
events=
{
EventHandler("animover", function(inst) inst.sg:GoToState("death_loop") end ),
}, 
},

State{
name = "eat",
tags = {"busy"},

onenter = function(inst)
inst.Physics:Stop() 
inst.AnimState:PlayAnimation("eat")
inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/eat_beaver") 
end,

timeline=
{
TimeEvent(9*FRAMES, function(inst) inst:PerformBufferedAction() end),
TimeEvent(12*FRAMES, function(inst) inst.sg:RemoveStateTag("busy") inst.sg:AddStateTag("idle") end),
}, 

events=
{
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ),
}, 
},

State{
name = "stopwalkingnow",
tags = {"canrotate"},

onenter = function(inst) 
inst.Physics:Stop()
inst.AnimState:PlayAnimation("walk_pst")
--inst:RemoveTag("stopwalkingnow")
inst.components.locomotor:StopMoving()
--inst.components.periodicspawner:Start()
inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
if not inst.components.combat.target then
inst.Physics:SetCollisionCallback(oncollide)
end
end,

timeline=
{
TimeEvent(30*FRAMES, function(inst) inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.WHERE_IS_BLACKSMITH) end ),
TimeEvent(30*FRAMES, function(inst) inst.components.locomotor:StopMoving() end),
},

onexit = function(inst)
inst.Physics:SetCollisionCallback(nil)
end,

events=
{ 
EventHandler("animover", function(inst) inst.sg:GoToState("idle") end ), 
},
},

    State{
        name = "backtomarkpls",
        tags = {"busy"},
        onenter = function(inst)
			--inst.components.beaverness.doing_transform = true
            inst.Physics:Stop() 
            inst.components.playercontroller:Enable(false)           
            inst.AnimState:PlayAnimation("dead")
            inst.components.health:SetInvincible(true)
        end,
		
	timeline=
{
TimeEvent(3*FRAMES, function(inst) inst.components.talker:Say(STRINGS.MARKIMODSTRINGS.BACK_TO_NORMAL) end ),
TimeEvent(3*FRAMES, function(inst) inst:AddTag("TRANSFORMBACK") end),
},
        
        onexit = function(inst)
			--if not inst.components.beaverness:IsBeaver() then
				--inst.components.beaverness.makebeaver(inst)
			--end
			inst.components.health:SetInvincible(false)
			inst.components.playercontroller:Enable(true)
			inst.components.beaverness.doing_transform = false
        end,

        events =
        {
            EventHandler("animover", function(inst)
	            --inst.components.beaverness.makebeaver(inst)
                --inst.sg:GoToState("transform_pst")
            end ),
        } 
    },
}
--[[
CommonStates.AddCombatStates(states,
{
    hittimeline =
    {
        TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/hurt_beaver") end),
    },
    
    attacktimeline = 
    {
		TimeEvent(0*FRAMES, function(inst) inst.components.talker:Say("WHERE'S THE BLACKSMITH?!") end ),
        TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/wilson/attack_whoosh") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/maxwell/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/wilson/hurt") end),
		--TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/hurt") end),
		TimeEvent(0*FRAMES, function(inst) inst.SoundEmitter:PlaySound("dontstarve/characters/woodie/eat_beaver") end),
        TimeEvent(6*FRAMES, function(inst) inst.components.combat:DoAttack(inst.sg.statemem.target) end),
        TimeEvent(8*FRAMES, function(inst) inst.sg:RemoveStateTag("attack") inst.sg:RemoveStateTag("busy") inst.sg:AddStateTag("idle") end),
    },

    deathtimeline=
    {
    },
})

CommonStates.AddRunStates(states,
{
	runtimeline = {
		TimeEvent(0*FRAMES, PlayFootstep ),
		TimeEvent(10*FRAMES, PlayFootstep ),
	},
})--]]

--CommonStates.AddIdle(states)

CommonStates.AddWalkStates(states, {
    walktimeline = 
    { 
        TimeEvent(1*FRAMES, function(inst) 
			inst.SoundEmitter:PlaySound("dontstarve/movement/run_marble_small")
            inst.components.locomotor:RunForward() 
        end),
        TimeEvent(7*FRAMES, function(inst) 
            PlayFootstep(inst)
            inst.components.locomotor:RunForward()
        end),
    }
}, nil, true)
    
return StateGraph("markmaniac", states, events, "idle", actionhandlers)

