local Widget = require "widgets/widget"
local GirlLightBadge = require "widgets/girllightbadge"

local googleirl_light = Class(Widget, function(self, owner)
    Widget._ctor(self, "Status")
    self.owner = owner
	self.google = TheSim:FindFirstEntityWithTag("GoogleIRL") 

    self.light = self:AddChild(GirlLightBadge(owner))
    self.light:SetPosition(-80,140,-150)
    self.light:SetScale(0.8)

    self:FollowMouseConstrained()
    self:StartUpdating()
	self:UpdateValues()
end)

function googleirl_light:UpdateValues()
	if self.google and self.google.components.fueled then
    self.light:SetPercent(self.google.components.fueled:GetPercent(), self.google.components.fueled.maxfuel) end
end

function googleirl_light:OnUpdate()
	if self.google and self.google.components.fueled then
	local target = nil

	local ents = TheInput:GetAllEntitiesUnderMouse()
	for k,v in pairs(ents) do
		if v:HasTag("GoogleIRL") and v.Transform then
			target = v
			break
		end
	end
	
	if (target) then
		self:Show()
		self.owner = target
		local pos = TheInput:GetScreenPosition()
		self:UpdatePosition(pos.x, pos.y)
	else
		self.owner = GetPlayer()
		self:Hide()
	end
	
	self:UpdateValues() end
end

function googleirl_light:UpdatePosition(x,y)
    self:SetPosition(x+75,y-10,0)
end

function googleirl_light:FollowMouseConstrained()
    if not self.followhandler then
        self.followhandler = TheInput:AddMoveHandler(function(x,y) self:UpdatePosition(x,y) end)
        local pos = TheInput:GetScreenPosition()
        self:UpdatePosition(pos.x, pos.y)
    end
end

function googleirl_light:LightDelta()
	if self.google and self.google.components.fueled then
	self.light:SetPercent(self.owner.components.fueled:GetPercent(), self.owner.components.fueled.maxfuel) end
end

return googleirl_light
